2005-12-30 21:45  twisti

	* src/vm/jit/mips/codegen.c:
	  * vm/jit/codegen.inc: Removed.
	  * vm/exceptions.h: Added.
	  * vm/jit/codegen-common.h: Likewise.
	  * vm/jit/dseg.h: Likewise.
	  * codegen: Renamed codegen_createlinenumbertable to
	    dseg_createlinenumbertable.

2005-12-30 21:38  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * vm/jit/codegen.inc: Removed.
	  * vm/exceptions.h: Added.
	  * vm/jit/codegen-common.h: Likewise.
	  * vm/jit/dseg.h: Likewise.
	  * codegen: Renamed codegen_createlinenumbertable to
	    dseg_createlinenumbertable.

2005-12-30 21:31  twisti

	* src/vm/jit/alpha/codegen.c:
	  * vm/jit/codegen.inc: Removed.
	  * vm/exceptions.h: Added.
	  * vm/jit/codegen-common.h: Likewise.
	  * vm/jit/dseg.h: Likewise.
	  * codegen: Renamed codegen_createlinenumbertable to
	    dseg_createlinenumbertable.

2005-12-30 15:29  twisti

	* src/vm/jit/i386/codegen.c:
	  * vm/jit/codegen.inc: Removed.
	  * vm/jit/codegen-common.h: Added.
	  * vm/jit/dseg.h: Likewise.
	  * codegen: Renamed codegen_createlinenumbertable to
	    dseg_createlinenumbertable.

2005-12-30 15:28  twisti

	* src/vm/jit/reg.inc:
	  * vm/options.h: Added.

2005-12-30 15:28  twisti

	* src/vm/builtin.c:
	  * builtin_displaymethodstop: Fixed warnings.

2005-12-30 15:21  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * vm/exceptions.h: Added.
	  * vm/jit/codegen-common.h: Likewise.
	  * vm/jit/dseg.h: Likewise.
	  * vm/jit/codegen.inc: Removed.
	  * codegen: Renamed codegen_createlinenumbertable to
	    dseg_createlinenumbertable.

2005-12-30 15:19  twisti

	* src/vm/jit/: jit.c, jit.h, parse.h, reg.h, stack.c, stacktrace.c,
	  verify/typecheck.h:
	  * vm/jit/codegen.inc.h: Renamed to vm/jit/codegen-common.h.

2005-12-30 15:18  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * Moved stuff to codegen-common.[ch] and dseg.[ch].

2005-12-30 15:17  twisti

	* src/vm/jit/: codegen-common.c, codegen-common.h:
	  * Moved codegen stuff from codengen.inc.

2005-12-30 15:16  twisti

	* src/vm/jit/: dseg.c, dseg.h:
	  * Moved data segment stuff from codegen.inc.

2005-12-30 15:14  twisti

	* src/vm/jit/Makefile.am:
	  * noinst_HEADERS: Removed codegen.inc, codegen.inc.h.
	  * libjit_la_SOURCES: Added codegen-common.[ch], dseg.[ch].

2005-12-30 15:13  twisti

	* src/vm/loader.c:
	  * vm/jit/codegen.inc.h: Renamed to vm/jit/codegen-common.h.

2005-12-30 15:13  twisti

	* src/vm/: linker.c, method.c:
	  * vm/jit/codegen.inc.h: Removed.

2005-12-22 17:26  twisti

	* src/vm/suck.c:
	  * suck_add_from_property: Correct scandir error handling.

2005-12-22 17:11  twisti

	* src/native/vm/VMSystemProperties.c:
	  * cacao/cacao.h: Removed.
	  * vm/suck.h: Added.

2005-12-22 17:10  twisti

	* src/vm/: suck.c, suck.h:
	  * bootclasspath, classpath: Moved from cacao.[ch].
	  * scandir_filter: Added.
	  * suck_add: Bugfix, check for . in zip/jar files.
	  * suck_add_from_property: Required for java.endorsed.dirs.

2005-12-22 17:08  twisti

	* src/cacao/: cacao.c, cacao.h:
	  * bootclasspath, classpath: Moved to suck.[ch].

2005-12-22 16:05  twisti

	* src/: vm/Makefile.am, vm/properties.c, vm/properties.h,
	  native/include/Makefile.am,
	  native/include/java_util_Properties.h,
	  native/vm/VMSystemProperties.c, cacao/cacao.c:
	  * properties.[ch]: Added, moved the commandline properties handling
	    stuff to these files.

2005-12-22 15:06  twisti

	* src/vm/statistics.h:
	  * STATS: Renamed to STATISTICS.

2005-12-22 15:05  twisti

	* src/vm/statistics.c:
	  * Small cosmetic changes.

2005-12-22 15:04  twisti

	* src/vm/: linker.c, utf8.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 15:03  twisti

	* src/vm/: class.c, initialize.c, loader.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * NDEBUG: Added.

2005-12-22 15:02  twisti

	* src/vm/jit/codegen.inc.h:
	  * Typo.

2005-12-22 15:02  twisti

	* src/vm/jit/jit.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * DEBUG_JIT_COMPILEVERBOSE: Added.

2005-12-22 15:01  twisti

	* src/vm/jit/jit.h:
	  * COUNT, COUNT_SPILLS: Added.

2005-12-22 15:00  twisti

	* src/vm/jit/: reg.h, reg.inc, lsra.inc, codegen.inc:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 15:00  twisti

	* src/vm/jit/stack.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * Added #if !defined(NDEBUG) around debug functions.

2005-12-22 14:59  twisti

	* src/vm/jit/alpha/codegen.h:
	  * COUNT_SPILLS: Removed.

2005-12-22 14:58  twisti

	* src/vm/jit/i386/codegen.c:
	  * BlockPtrOfPC: Obsolete.
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 14:58  twisti

	* src/vm/jit/i386/codegen.h:
	  * BlockPtrOfPC: Removed.
	  * COUNT_SPILLS: Likewise.

2005-12-22 14:57  twisti

	* src/vm/jit/: i386/emitfuncs.c, stack.h:
	  * COUNT: Removed.

2005-12-22 14:55  twisti

	* src/vm/jit/: powerpc/codegen.h, mips/codegen.h:
	  * COUNT_SPILLS: Removed.

2005-12-22 14:54  twisti

	* src/vm/jit/: schedule/schedule.c, loop/analyze.c, loop/loop.h,
	  intrp/codegen.c, inline/inline.c, inline/parseRT.c,
	  inline/parseRTstats.c, inline/parseXTA.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 14:54  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * STATS: Removed, use #if defined(ENABLE_STATISTICS) instead.

2005-12-22 14:53  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * vm/jit/jit.h: Added.
	  * COUNT_SPILLS: Removed.

2005-12-22 14:52  twisti

	* src/native/jni.c:
	  * STATS: Renamed to STATISTICS.
	  * Some code cleanup and added some IMPLEMENT ME!.

2005-12-22 14:51  twisti

	* src/native/vm/VMClassLoader.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 14:08  twisti

	* src/mm/memory.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-22 12:17  twisti

	* src/vm/jit/parse.c:
	  * parse: Some compilers put a JAVA_NOP after a blockend instruction,
	    don't know which though, but found a binary which had such a basic
	  block.

2005-12-22 12:06  twisti

	* src/vm/builtin.c:
	  * builtin_displaymethodstop: Print the returned string for
	    java.lang.String objects and the class for all others.

2005-12-22 11:56  twisti

	* src/vm/: string.c, stringlocal.h:
	  * javastring_strlen: Changed argument type from java_objectheader to
	    java_lang_String.

2005-12-21 17:57  anton

	* src/vm/jit/intrp/vmgenx: bugfix (srcdir-related)

2005-12-21 17:51  anton

	* src/vm/jit/intrp/Makefile.am: * # is not portable, bugfix.

2005-12-21 17:43  anton

	* src/vm/jit/codegen.inc:
	  * codegen_finish: -no-replication bugfix.

2005-12-21 17:42  anton

	* src/vm/jit/codegen.inc.h:
	  * lastmcodeptr: Also enable for intrp.

2005-12-21 17:39  anton

	* src/vm/jit/intrp/: asmpart.c, codegen.c, disasm.c,
	  dynamic-super.c, engine.c, engine1.c, engine2.c, intrp.h,
	  java.vmg, peephole-addsubseq.awk, peephole-gen,
	  peephole-statistics, peephole.c, peeprules.vmg, prims2x.fs,
	  vmgenx: disasm.c: added support for static profiling (disabled),
	            does not generate subsequences added -no-replication implementation
	  added interpreter code generation statistics added -no-quicksuper
	  added static superinstructions (combined with dynamic
	     superinstructions) and related files (peephole-addsubseq.awk
	  peephole-statistics peeprules.vmg) engine.c: played around tuning
	            the dispatch and the register allocation (mostly disabled now)
	            throwing-instruction optimization can be turned off now
	            (with small source code change).

2005-12-21 17:23  anton

	* src/vm/jit/intrp/arch.h:
	  * __INTRP__, USE_spTOS: Removed.

2005-12-21 17:22  anton

	* src/vm/jit/intrp/Makefile.am:
	  * INCLUDES: Removed libffi include.

2005-12-21 17:17  anton

	* src/vm/: options.c, options.h:
	  * opt_no_quicksuper: Added.

2005-12-21 17:16  anton

	* src/cacao/cacao.c:
	  * OPT_NO_QUICKSUPER: Added.

2005-12-21 11:28  twisti

	* src/vm/jit/intrp/codegen.c:
	  * Use WITH_FFI and WITH_FFCALL defines from configure.
	  * nativecall: Bugfix for ffcall, forgot to port from ffi.

2005-12-21 11:27  twisti

	* src/vm/jit/intrp/engine.c:
	  * FFCALL: Define plus header includes removed.

2005-12-21 11:26  twisti

	* src/vm/jit/intrp/intrp.h:
	  * Use #ifdef WITH_FFI.

2005-12-21 11:25  twisti

	* configure.in:
	  * --with-avcall: Renamed to --with-ffcall.
	  * ffcall: Check for __builtin_avcall, as av_call is defined in
	  avcall.h.

2005-12-21 01:11  twisti

	* src/mm/nogc.c:
	  * vm/tables.h: Removed.

2005-12-21 01:06  twisti

	* src/vm/: method.h, jit/stack.c, jit/stack.h:
	  * LSRA: Renamed to ENABLE_LSRA.

2005-12-21 01:05  twisti

	* src/vm/jit/: alpha/codegen.c, i386/codegen.c, i386/codegen.h,
	  mips/codegen.c, powerpc/codegen.c, x86_64/codegen.c,
	  arm/codegen.c, jit.c:
	  * LSRA: Renamed to ENABLE_LSRA.
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-21 01:03  twisti

	* src/vm/jit/x86_64/md-asm.h:
	  * a0l: Defined.

2005-12-21 01:03  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_handle_exception: Some small changes.

2005-12-21 01:02  twisti

	* src/vm/jit/reg.inc:
	  * LSRA: Renamed to ENABLE_LSRA.

2005-12-21 00:58  twisti

	* src/vm/: options.c, options.h:
	  * LSRA: Renamed to ENABLE_LSRA.

2005-12-21 00:38  twisti

	* configure.in:
	  * STATISTICS: Renamed AM_CONDITIONAL to ENABLE_STATISTICS.

2005-12-21 00:32  twisti

	* autogen.sh, src/Makefile.am:
	  * libffi: Removed.

2005-12-21 00:31  twisti

	* src/vm/Makefile.am:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * USE_ZLIB: Renamed to ENABLE_ZLIB.

2005-12-21 00:28  twisti

	* src/native/vm/VMClassLoader.c:
	  * defineClass: Don't check for cl == NULL, this is ok.
	  * USE_ZLIB: Renamed to ENABLE_ZLIB.

2005-12-21 00:26  twisti

	* src/vm/loader.c:
	  * loader_load_all_classes: Renamed classes to htclasses.
	  * USE_ZLIB: Renamed to ENABLE_ZLIB.

2005-12-21 00:25  twisti

	* src/vm/zip.c:
	  * zip_find: Renamed classes to htclasses.

2005-12-21 00:25  twisti

	* src/vm/: suck.c, suck.h:
	  * list_classpath_entry: Renamed classes to htclasses.
	  * USE_ZLIB: Renamed to ENABLE_ZLIB.

2005-12-21 00:09  twisti

	* src/cacaoh/cacaoh.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.

2005-12-21 00:08  twisti

	* src/cacao/cacao.c:
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * LSRA: Renamed to ENABLE_LSRA.

2005-12-21 00:07  twisti

	* src/cacao/Makefile.am:
	  * FFCALL_LIB, FFI_LIB: Removed, now checked by configure.

2005-12-20 23:48  twisti

	* configure.in:
	  * Major cleanup.
	  * Check for ffi or ffcall.
	  * STATISTICS: Renamed to ENABLE_STATISTICS.
	  * EXTERNAL_OVERFLOW, DONT_FREE_FIRST: Removed.
	  * LSRA: Renamed to ENABLE_LSRA.
	  * USE_ZLIB: Renamed to ENABLE_ZLIB.
	  * AC_CONFIG_SUBDIRS: Removed src/libffi.

2005-12-20 23:14  twisti

	* src/vm/jit/stack.c:
	  * ICMD_AASTORECONST: Made it work again.
	  * ICMD_xASTORECONST, ICMD_PUTSTATICCONST, ICMD_PUTFIELDCONST: Don't
	    generate for intrp.

2005-12-20 22:45  twisti

	* .externalToolBuilders/: CacaoAutogen.launch,
	  CacaoConfigure.launch:
	  * Cacao's builders should only be run when certain resources change.
	    This patch gives an approximate set and prevents cacao from being
	    rebuilt when classpath is changed.

2005-12-20 22:13  twisti

	* src/vm/jit/intrp/codegen.c:
	  * ICMD_PUTSTATICCONST, ICMD_PUTFIELDCONST: Removed, they are not
	    generated in stack for intrp.

2005-12-20 22:10  twisti

	* .cdtproject, .externalToolBuilders/CacaoAutogen.launch,
	  .externalToolBuilders/CacaoConfigure.launch:
	  * This fixes a bug in the eclipse builder cacao configuration
	  location.

2005-12-20 21:39  edwin

	* src/vm/jit/i386/codegen.c:
	  * src/vm/jit/i386/codegen.c: fixed DUP2_X1 instruction, a "->prev"
	  was missing

2005-12-20 13:59  edwin

	* src/vm/resolve.c:
	  * resolve_method: impose loading constraints on loader of container
	      instead of declarer of the method. This fixes incorrect constraints
	      on the 'this' parameter. (For other parameters it makes no
	  difference.)

2005-12-13 02:39  twisti

	* src/vm/jit/intrp/: asmpart.c, intrp.h, java.vmg:
	  * asm_handle_exception: Renamed to intrp_asm_handle_exception.

2005-12-13 02:32  twisti

	* src/cacaoh/cacaoh.c:
	  * Define options as an enum.

2005-12-13 02:32  twisti

	* src/cacao/cacao.c:
	  * Define options in an enum.
	  * OPT_NO_REPLICATION, opt_no_replication: Added.

2005-12-13 02:31  twisti

	* src/vm/: options.c, options.h:
	  * opt_no_replication: Added.
	  * OPT_ERROR, OPT_IGNORE: Defined negative since the other options
	    are an enum.

2005-12-12 14:23  twisti

	* src/vm/jit/intrp/profile.c: profiling stuff for static
	  superinstructions

2005-12-12 14:21  twisti

	* src/vm/jit/intrp/: peephole-blacklist, peephole-gen,
	  seq2rule.awk, stat.awk: added stuff for generating static
	  superinstructions

2005-12-11 15:06  twisti

	* tests/codepatching/Makefile.am:
	  * Make it work with non-gnu make.

2005-12-11 02:06  twisti

	* configure.in, src/cacao/cacao.c, src/vm/class.c, src/vm/field.c,
	  src/vm/field.h, src/vm/utf8.c, src/vm/jit/inline/sets.c:
	  * Replaced ENABLE_DEBUG with NDEBUG.

2005-12-11 01:02  twisti

	* src/vm/Makefile.am:
	  * ZLIB_OBJ: Removed unzip.[ch], added zip.[ch].

2005-12-11 01:00  twisti

	* src/native/vm/VMClassLoader.c:
	  * nativeGetResources: New zip code changes.

2005-12-11 00:59  twisti

	* src/: cacao/cacao.c, cacaoh/cacaoh.c:
	  * main: Added suck_add.

2005-12-11 00:58  twisti

	* src/vm/: loader.c, loader.h, suck.c, suck.h, unzip.c, unzip.h,
	  zip.c, zip.h:
	  * Rewrite of bootstrap ZIP handling code, now uses hashtables, this
	    speeds up VM startup and other stuff quite noticeable.

2005-12-11 00:55  twisti

	* src/vm/utf8.c:
	  * utf_new: Removed debugging code.

2005-12-09 18:35  anton

	* src/vm/jit/intrp/java.vmg: converted java.vmg to use new "..."
	  feature of vmgen

2005-12-09 16:24  twisti

	* src/cacao/cacao.c:
	  * main (compileall): Don't print the method if class linking fails.

2005-12-09 16:10  twisti

	* src/vm/jit/mips/linux/md-os.c:
	  * signal_handler_sigsegv: Use u1* instead of functionptr.

2005-12-09 16:09  twisti

	* src/vm/exceptions.c:
	  * exceptions_handle_exception: Special handling of monitorexit
	    object for MIPS32.

2005-12-09 15:39  twisti

	* src/vm/jit/mips/asmpart.S:
	  * vm/jit/mips/md-abi.h, vm/jit/abi.h: Added.
	  * asm_handle_exception: Major rewrite.
	  * More code cleanup in other functions.

2005-12-09 15:32  twisti

	* src/vm/jit/mips/codegen.c:
	  * codegen: Don't set cd->mcodeend (now done in codegen_setup),
	    faster code for static monitorenter.

2005-12-09 15:30  twisti

	* src/vm/jit/mips/md-asm.h:
	  * asll: Added.

2005-12-09 12:32  twisti

	* src/vm/jit/mips/: md-asm.h, md-abi.h, md-abi.inc:
	  * Added MIPS32 stuff.

2005-12-09 02:14  twisti

	* src/vm/jit/powerpc/darwin/md-asm.h:
	  * builtin_monitorexit, builtin_trace_exception, initialize_class,
	    link_class, load_class_bootstrap: Removed.
	  * exceptions_handle_exception: Added.

2005-12-09 01:42  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * vm/jit/abi.h: Added.
	  * asm_handle_exception: Major rewrite.
	  * More code cleanup in other functions (still some stuff left).

2005-12-09 01:41  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * codegen: Don't set cd->mcodeend (now done in codegen_setup),
	    faster code for static monitorenter.

2005-12-09 00:17  twisti

	* src/vm/builtintable.inc:
	  * builtintable_internal: Added some #ifdef DISABLE_GC to get equal
	    addresses in call trace.

2005-12-09 00:15  twisti

	* src/vm/jit/alpha/asmpart.S:
	  * vm/jit/alpha/md-abi.h, vm/jit/alpha/md-asm.h, vm/jit/abi.h: Added.
	  * asm_handle_exception: Major rewrite.
	  * More code cleanup in other functions (still some stuff left).

2005-12-09 00:12  twisti

	* src/vm/jit/alpha/codegen.c:
	  * codegen: Don't set cd->mcodeend (now done in codegen_setup),
	    faster code for static monitorenter.

2005-12-09 00:10  twisti

	* src/vm/jit/alpha/md-asm.h:
	  * SAVE_TEMPORARY_REGISTERS, RESTORE_TEMPORARY_REGISTERS: Fixed float
	    registers.
	  * Smaller define changes.

2005-12-09 00:09  twisti

	* src/vm/jit/alpha/md-abi.h:
	  * Removed trailing spaces.

2005-12-09 00:08  twisti

	* src/vm/builtin.c:
	  * builtin_trace_exception: Removed options check.

2005-12-09 00:07  twisti

	* src/vm/exceptions.c:
	  * exceptions_handle_exception: Check options for
	  builtin_trace_exception.

2005-12-08 21:31  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegendata: Removed $ifdef's from mcodeptr.

2005-12-08 17:29  twisti

	* src/vm/jit/i386/asmpart.S:
	  * vm/jit/abi.h, vm/jit/i386/md-abi.h, vm/jit/i386/md-asm.h: Includes
	  added.
	  * asm_handle_exception: Save temporary register, they may be used in
	    leaf functions or over try-catch blocks without a call.
	  * Huge code cleanup in some functions.

2005-12-08 17:27  twisti

	* src/vm/jit/i386/Makefile.am:
	  * noinst_HEADERS: Added md-asm.h.

2005-12-08 17:27  twisti

	* src/vm/jit/i386/md-asm.h:
	  * asmpart.S defines.

2005-12-08 15:35  twisti

	* src/vm/jit/abi.h:
	  * Added, contains common ABI defines.

2005-12-08 15:33  twisti

	* src/vm/jit/asmpart.h:
	  * config.h, vm/types.h, vm/global.h, vm/linker.h: Includes added.

2005-12-08 15:32  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * vm/jit/abi.h: Added.
	  * asm_handle_exception: Save temporary register, they may be used in
	    leaf functions or over try-catch blocks without a call.
	  * Huge code cleanup in all functions.

2005-12-08 15:31  twisti

	* src/vm/jit/Makefile.am:
	  * noinst_HEADERS: Added abi.h.

2005-12-08 15:27  twisti

	* src/vm/jit/x86_64/md-asm.h:
	  * Added register defines.
	  * SAVE_TEMPORARY_REGISTERS, RESTORE_TEMPORARY_REGISTERS: Added float
	    registers.

2005-12-08 15:25  twisti

	* src/vm/exceptions.c:
	  * exceptions_handle_exception: Better assert message.

2005-12-07 21:23  twisti

	* src/vm/jit/asmpart.h:
	  * Removed accidentaly slipped in #if 0, we have to fix this
	  properly.

2005-12-07 21:22  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_ncode_increase: #ifdef'd ENABLE_INTRP.
	  * codegen_finish: ncodelen likewise.

2005-12-07 18:44  twisti

	* src/cacao/cacao.c:
	  * main (compileall): Print error and exception instead of calling
	    throw_main_exception_exit.

2005-12-07 18:43  twisti

	* src/vm/loader.c:
	  * load_class_bootstrap: Use new_noclassdeffounderror instead of
	    new_exception_utfmessage.

2005-12-07 18:32  anton

	* src/vm/jit/intrp/: dynamic-super.c, intrp.h, java.vmg, md.c:
	  * Dynamic superinstructions including patched instructions (jmv98
	  works).

2005-12-07 17:10  anton

	* configure.in, m4/acinclude.m4:
	  * AC_ASM_SKIP16: Added.

2005-12-07 17:09  anton

	* src/cacao/cacao.c:
	  * OPT_NO_DYNAMIC: Added.

2005-12-07 17:08  anton

	* src/vm/: options.c, options.h:
	  * opt_no_dynamic: Added.

2005-12-07 17:07  anton

	* src/vm/jit/codegen.inc:
	  * codegen_setup: Initialize dynamic superinstructions variables.
	  * codegen_ncode_increase: Added.
	  * codegen_finish: Relocate dynamic superinstruction code space.

2005-12-07 17:06  anton

	* src/vm/jit/codegen.inc.h:
	  * NCODEINITSIZE: Added.
	  * codegendata: Added stuff for dynamic superinstructions.
	  * codegen_ncode_increase: Added.

2005-12-07 17:04  anton

	* src/vm/jit/asmpart.h:
	  * asm_calljavafunction2: Changed void* to jni_callblock*.

2005-12-07 17:03  anton

	* src/vm/jit/intrp/: Makefile.am, asmpart.c, codegen.c,
	  dynamic-super.c, engine.c, engine1.c, engine2.c, gray.fs,
	  intrp.h, java.vmg, md.c, peephole.c, prims2x.fs, vmgenx:
	  * Dynamic superinstructions added.
	  * Some code cleanup.

2005-12-06 23:30  twisti

	* src/vm/jit/i386/asmpart.S:
	  * asm_handle_exception: Much better, simpler and smaller
	    implementation (but SWT does not work yet, FIXME!).

2005-12-06 21:18  twisti

	* src/vm/exceptions.c:
	  * assert.h: Added.
	  * exceptions_handle_exception: Also do monitorexit.

2005-12-06 21:13  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_handle_exception: Much better, simpler and smaller
	  implementation.

2005-12-05 23:54  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_handle_exception: Use exceptions_handle_exception.

2005-12-05 23:10  twisti

	* src/vm/jit/tools/genoffsets.c:
	  * offclassloaded, offclasslinked: Removed.

2005-12-05 23:09  twisti

	* src/vm/class.h:
	  * classinfo: Removed loaded, linked members.

2005-12-05 23:08  twisti

	* src/: cacao/cacao.c, native/vm/VMClass.c,
	  native/vm/VMClassLoader.c, vm/builtin.c, vm/class.c,
	  vm/classcache.c, vm/initialize.c, vm/linker.c, vm/loader.c,
	  vm/resolve.c, vm/string.c, vm/jit/inline/parseXTA.h,
	  vm/jit/verify/typeinfo.c:
	  * Replaced c->loaded and c->linked stuff with
	    c->state & CLASS_{LOADED,LINKED}.

2005-12-05 23:02  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * vm/exceptions.h: Removed.
	  * vm/class.h: Added.

2005-12-05 21:45  twisti

	* configure.in:
	  * ENABLE_JIT: Forgot to define that for autconf.

2005-12-05 20:56  twisti

	* src/vm/jit/alpha/patcher.c:
	  * vm/class.h: Added.

2005-12-05 20:48  twisti

	* src/vm/jit/intrp/: java-disasm.i, java-gen.i, java-labels.i,
	  java-peephole.i, java-profile.i, java-vm.i:
	  * We distribute these files only in releases, others have to have a
	  vmgen.

2005-12-05 20:48  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * INCLUDES: ffi headers are generated fro .in files into builddir.
	  * BUILT_SOURCES: Added again.
	  * CLEANFILES: Added.
	  * libintrp_la_SOURCES: Removed .i files, need to check this for make
	  dist.

2005-12-05 20:37  twisti

	* src/vm/jit/mips/patcher.c:
	  * vm/class.h: Added.
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-05 20:36  twisti

	* src/vm/jit/mips/codegen.c:
	  * vm/class.h: Added.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-05 20:32  twisti

	* src/vm/jit/verify/typecheck.c:
	  * ICMD_{PUT,GET}{STATIC,FIELD}: Don't set isleafmethod = false for
	  MIPS.
	  * ICMD_IREM0X10001, ICMD_LREM0X10001: Removed.

2005-12-05 20:23  twisti

	* src/vm/jit/parse.c:
	  * JAVA_{PUT,GET}{STATIC,FIELD}: Removed isleafmethods = false for
	  mips.
	  * JAVA_CHECKCAST: Likewise.
	  * JAVA_INSTANCEOF: Likewise.

2005-12-05 20:03  twisti

	* src/vm/suck.h:
	  * SUCK_BE_*: We can't use optimized version on MIPS because of
	  alignment.

2005-12-05 19:24  twisti

	* src/vm/jit/intrp/engine.c:
	  * builtin_throw: Compile error and warning fixes.

2005-12-05 19:15  twisti

	* src/vm/jit/intrp/codegen.c:
	  * vm/class.h: Added.
	  * vm/tables.h: Removed.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-05 19:14  twisti

	* src/vm/jit/intrp/patcher.c:
	  * vm/class.h: Added.
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).

2005-12-05 19:12  twisti

	* src/vm/jit/i386/codegen.c:
	  * vm/tables.h: Removed.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-05 19:12  twisti

	* src/vm/jit/i386/patcher.c:
	  * vm/class.h: Added.
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-05 13:16  michi

	* src/vm/jit/arm/codegen.c:
	  * removed tables.h
	  * removed some log messages
	  * load_var_to_reg_{lng,dbl} and store_reg_to_var_{lng,dbl} added
	  * load_var_to_reg_int_{low,high} renamed to
	  load_var_to_reg_lng_{low,high}
	  * changed arguments to asm_cacheflush

2005-12-05 12:42  michi

	* src/vm/jit/arm/codegen.h:
	  * load_var_to_reg_{lng,dbl} and store_reg_to_var_{lng,dbl}: Added.
	  * load_var_to_reg_int_{low,high} renamed to
	  load_var_to_reg_lng_{low,high}
	  * M_LDR_NEGATIVE: Added.
	  * removed some log messages

2005-12-05 12:26  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_cacheflush: changed arguments (adapted to header file).
	  * renamed codegen_findmethod to md_codegen_findmethod.

2005-12-05 12:23  michi

	* src/vm/jit/arm/patcher.c:
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-05 11:35  michi

	* src/vm/jit/arm/md.c:
	  * removed log messages

2005-12-03 17:09  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * vm/tables.h: Removed.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-03 17:09  twisti

	* src/vm/jit/powerpc/patcher.c:
	  * vm/class.h: Added.
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-03 16:25  twisti

	* src/vm/jit/alpha/patcher.c:
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-03 16:24  twisti

	* src/vm/jit/alpha/codegen.c:
	  * vm/tables.h: Removed.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-03 15:53  twisti

	* configure.in:
	  * --disable-debug added.

2005-12-03 15:43  twisti

	* src/native/jni.c:
	  * Replaced c->initialized by (c->state & CLASS_INITIALIZED).
	  * NewDirectByteBuffer: Started to implement it correctly (not
	    finished yet).

2005-12-03 15:39  twisti

	* src/vm/zip.h:
	  * Started to write our own zip handling code.

2005-12-03 15:34  twisti

	* src/vm/Makefile.am:
	  * tables.[ch]: Renamed to hashtable.[ch].
	  * suck.[ch]: Added.

2005-12-03 15:32  twisti

	* src/vm/: suck.c, suck.h:
	  * Moved suck related stuff from loader and improved some functions,
	    added some SUCK_{LE,BE}_* macros which are endian dependent.

2005-12-03 14:31  twisti

	* src/vm/exceptions.h:
	  * exceptionentry: Added.

2005-12-03 14:06  twisti

	* src/vm/exceptions.c:
	  * vm/types.h, vm/jit/methodheader.h: Added.
	  * vm/tables.h: Removed.
	  * exceptions_handle_exception: Started to implement parts of
	    asm_handle_exception in C.

2005-12-03 14:00  twisti

	* src/vm/class.c:
	  * vm/tables.h: Removed.
	  * class_create_classinfo: Use classinfo object.
	  * class_postset_header_vftbl: Renamed classcache_hash to
	    hashtable_classcache, use classinfo object.  * #ifdef ENABLE_DEBUG
	  some debug methods.

2005-12-03 13:58  twisti

	* src/vm/initialize.c:
	  * initialize_class: Use c->state instead of old members
	    (initializing, initialized, now we also have a CLASS_ERROR state and
	    return a NoClassDefFoundError in this case (fixes mauve test).

2005-12-03 13:43  twisti

	* src/vm/field.h:
	  * config.h, vm/types.h: Added.
	  * field_display: #ifdef'd ENABLE_DEBUG.

2005-12-03 13:41  twisti

	* src/vm/field.c:
	  * Removed a bunch of unused headers.
	  * vm/field.h, vm/utf8.h: Added.
	  * field_display: #ifdef'd ENABLE_DEBUG.

2005-12-03 13:40  twisti

	* src/vm/class.h:
	  * java_lang_Class.h: Added.
	  * vm/tables.h: Removed.
	  * Added class state defines (CLASS_LOADING, CLASS_LOADED,
	    CLASS_LINKING, CLASS_LINKED, CLASS_INITIALIZING, CLASS_INITIALIZED,
	  CLASS_ERROR).
	  * classinfo: Use `java_lang_Class object' instead of defining the
	    members hardcoded, removed members initializing_thread,
	    erroneous_state, vmData, initialized, initializing.

2005-12-03 13:35  twisti

	* src/vm/builtin.c:
	  * builtin_new: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).
	  * builtin_staticmonitorenter: Use object member of classinfo
	  structure.

2005-12-03 13:34  twisti

	* src/vm/jit/inline/sets.c:
	  * Added ENABLE_DEBUG.

2005-12-03 13:34  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_get_putstatic: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).
	  * patcher_clinit: Likewise.

2005-12-03 13:33  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * vm/tables.h: Removed.
	  * codegen: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-03 13:32  twisti

	* src/vm/jit/tools/genoffsets.c:
	  * Removed unused offsets.

2005-12-03 13:32  twisti

	* src/vm/jit/jit.c:
	  * vm/tables.h: Removed.
	  * jit_compile_intern: Replaced c->initialized by
	    (c->state & CLASS_INITIALIZED).

2005-12-03 13:31  twisti

	* src/vm/jit/stack.c:
	  * vm/tables.h: Removed.
	  * show_icmd_lock: Renamed to lock_show_icmd and made it a pointer.
	  * stack_init: Allocate a object for lock.
	  * show_icmd: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-03 13:23  twisti

	* src/vm/jit/stacktrace.h:
	  * exceptionentry: Moved to exceptions.h.

2005-12-03 13:19  twisti

	* src/native/vm/VMClassLoader.c:
	  * vm/tables.h: Removed.
	  * defineClass: cb->pos now points to the current read position, use
	    object member of classinfo struct.

2005-12-03 13:18  twisti

	* src/native/vm/Method.c:
	  * invokeNative: Replaced c->initialized by (c->state &
	  CLASS_INITIALIZED).

2005-12-03 13:16  twisti

	* src/native/include/java_lang_Class.h:
	  * Required by class.[ch] during bootstrapping.

2005-12-03 13:15  twisti

	* src/native/include/Makefile.am:
	  * java_lang_Class.h: Moved to NO_GEN_HEADER_FILES.

2005-12-02 16:26  twisti

	* src/vm/loader.c:
	  * sys/stat.h, toolbox/util.h, vm/tables.h: Removed.
	  * vm/suck.h: Added.
	  * suck_*: Moved to suck.c.
	  * check_classbuffer_size: Renamed to suck_check_classbuffer_size.
	  * skip_nbytes: Renamed to suck_skip_nbytes.
	  * cb->pos points now to the current read position (not the last
	    position as before).

2005-12-02 16:19  twisti

	* src/vm/loader.h:
	  * config.h, vm/types.h, vm/class.h: Added.
	  * suck_*: Moved to suck.h.

2005-12-02 16:15  twisti

	* src/cacao/cacao.c:
	  * vm/tables.h: Removed.
	  * vm/suck.h: Added.
	  * main: Removed tables_init call, check suck_init for error,
	    classcache_hash renamed to hashtable_classcache.
	  * exit_handler: #ifdef ENABLE_DEBUG show methods.

2005-12-02 01:05  twisti

	* src/mm/boehm.h:
	  * config.h: Added.
	  * runboehmfinalizer: Removed.

2005-12-02 00:50  twisti

	* src/vm/descriptor.h:
	  * vm/tables.h: Renamed to vm/hashtable.h.

2005-12-02 00:50  twisti

	* src/vm/: classcache.c, classcache.h:
	  * vm/tables.h: Renamed to vm/hashtable.h.
	  * lock_classcache_hashtable: Renamed to lock_hashtable_classcache.
	  * classcache_init: Added hashtable_create of hashtable_classcache.

2005-12-02 00:45  twisti

	* src/vm/: hashtable.c, hashtable.h, tables.c, tables.h:
	  * tables.[ch]: Moved to hashtable.[ch] and removed some stuff.

2005-12-02 00:32  twisti

	* src/vm/utf8.c:
	  * config.h, vm/types.h: Added.
	  * vm/tables.h: Renamed to vm/hashtable.h.
	  * hashtable_utf: Added.
	  * lock_utf_hashtable: Renamed to lock_hashtable_utf.
	  * utf8_init: Added hashtable_create of hashtable_utf.

2005-12-02 00:25  twisti

	* src/vm/unzip.c:
	  * Removed tables.h include.

2005-12-02 00:22  twisti

	* src/native/tools/gennativetable.c:
	  * main: Removed tables_close call.

2005-12-02 00:19  twisti

	* src/vm/string.c:
	  * Added global hashtable_string.
	  * Renamed lock_string_hashtable to lock_hashtable_string.
	  * string_init: Added hashtable_create of hashtable_string.

2005-12-02 00:18  twisti

	* src/vm/stringlocal.h:
	  * Renamed vm/tables.h to vm/hashtable.h.
	  * Renamed string_hash to hashtable_string.

2005-12-02 00:07  twisti

	* src/threads/native/: generic-primitives.h, threads.c, threads.h:
	  * Removed vm/tables.h include.

2005-12-01 20:46  twisti

	* src/native/native.c:
	  * Renamed vm/tables.h to vm/hashtable.h.

2005-12-01 20:45  twisti

	* src/: native/vm/Constructor.c, native/vm/Field.c,
	  native/vm/VMClass.c, native/vm/VMRuntime.c,
	  native/vm/VMStackWalker.c, native/vm/VMSystemProperties.c,
	  native/vm/VMThrowable.c, toolbox/logging.c:
	  * Removed vm/tables.h include.

2005-12-01 20:40  twisti

	* src/vm/jit/: parse.c, stacktrace.c:
	  * Removed vm/tables.h include.

2005-12-01 20:38  twisti

	* src/cacaoh/cacaoh.c:
	  * Renamed vm/tables.h to vm/hashtable.h.
	  * main: Removed tables_init and tables_close call.

2005-12-01 20:37  twisti

	* src/: mm/boehm.c, cacaoh/headers.c, vm/jit/inline/inline.c,
	  vm/jit/inline/parseRT.c, vm/jit/inline/parseRTstats.c,
	  vm/jit/inline/parseXTA.c, vm/jit/inline/sets.c,
	  vm/jit/verify/typecheck.c, vm/jit/verify/typeinfo.c:
	  * Removed vm/tables.h include.

2005-12-01 19:52  edwin

	* src/vm/descriptor.c:
	  * descriptor_to_basic_type: some minor cleanup

2005-12-01 19:46  edwin

	* src/vm/: descriptor.c, descriptor.h, linker.c, loader.c,
	  tables.c, tables.h:
	  * desc_to_type: renamed to descriptor_to_basic_type, cleaned up,
	  moved to descriptor.c
	  * desc_typesize: renamed to descriptor_typesize, cleaned up, moved
	  to descriptor.c

2005-12-01 19:21  twisti

	* src/native/: native.c, native.h:
	  * Renamed library_hash to hashtable_library and stuff that's
	  related.

2005-12-01 19:20  twisti

	* src/native/vm/VMRuntime.c:
	  * nativeLoad: Renamed native_library_hash_find to
	    native_hashtable_library_find and native_library_hash_add to
	    native_hashtable_library_add.

2005-11-30 21:11  stefan

	* README: better english

2005-11-30 16:29  anton

	* src/vm/jit/intrp/java.vmg: bugfix: patchers now store spTOS
	  before calling other stuff (for backtracability)

2005-11-30 16:28  anton

	* src/vm/jit/intrp/md.c:
	  * md_init: Use line buffering on vm_out.

2005-11-29 15:34  anton

	* src/vm/jit/intrp/codegen.h:
	  * MCODECHECK: Removed lastmcodeptr calculation, now done in
	    codegen_increase.

2005-11-29 15:33  anton

	* src/vm/jit/intrp/engine.c:
	  * Added md-abi.h again (required for TRACE_ARGS_NUM).

2005-11-29 15:33  anton

	* src/vm/jit/codegen.inc:
	  * codegen_increase: Check for lastmcodeptr != NULL (required for
	  intrp).

2005-11-29 15:31  anton

	* src/cacao/cacao.c:
	  * main: Link the mainclass.

2005-11-28 20:28  edwin

	* src/vm/: descriptor.c, descriptor.h:
	  * descriptor.h: removed redundant comments
	  * descriptor.c: remove debug code for NDEBUG, replaced
	      DESCRIPTOR_ASSERT with standard assert

2005-11-28 19:51  edwin

	* src/vm/: classcache.c, classcache.h:
	  * classcache.c, classcache.h: make NDEBUG remove debug helpers,
	      replaced CLASSCACHE_ASSERT with standard assert

2005-11-28 19:31  edwin

	* src/vm/loader.c:
	  * loader.c: ifdef verifier code with ENABLE_VERIFIER

2005-11-28 19:00  edwin

	* src/vm/jit/: alpha/codegen.c, alpha/patcher.c, i386/codegen.c,
	  i386/patcher.c, mips/codegen.c, mips/patcher.c,
	  powerpc/codegen.c, powerpc/patcher.c, x86_64/codegen.c,
	  x86_64/patcher.c:
	  * codegen.c: ifdef athrow/areturn patcher with ENABLE_VERIFIER
	  * patcher.c: ifdef athrow/areturn patcher with ENABLE_VERIFIER

2005-11-28 17:23  edwin

	* src/vm/: global.h, resolve.c, resolve.h, jit/jit.c, jit/jit.h,
	  jit/verify/typecheck.c, jit/verify/typeinfo.h:
	  * renamed CACAO_TYPECHECK to ENABLE_VERIFIER
	  * srv/vm/resolve.c, src/vm/resolve.h: #ifdef code only used for
	        verification with ENABLE_VERIFIER. (Access checks and loading
	        constraints are also #ifdef ENABLE_VERIFIER. This might be
	  controversial.)

2005-11-27 17:31  michi

	* src/vm/jit/arm/patcher.c:
	  * asm_cacheflush now takes size instead of endptr (fix compiler
	  warnings).

2005-11-27 15:11  edwin

	* src/vm/: classcache.c, classcache.h:
	  * classcache.c: removed splint /*@...@*/ annotations
	  * classcache.c: converted declarations to twisti style
	  * classcache_free: declare void arguments

2005-11-27 14:52  edwin

	* src/vm/classcache.c:
	  * classcache_store: fix: do not replace class if it is the same
	  classinfo*

2005-11-26 23:28  edwin

	* src/: native/vm/VMClassLoader.c, vm/classcache.c,
	  vm/classcache.h:
	  * defineClass: check if class has already been defined _or
	  initiated_
	  * classcache_lookup_defined_or_initiated: added
	  * classcache.h: removed redundant comments
	  * classcache.c: cleaned up "!= NULL" that were added for splint

2005-11-26 22:51  edwin

	* src/: cacaoh/headers.c, native/vm/VMClassLoader.c, vm/class.c,
	  vm/class.h, vm/classcache.c, vm/exceptions.c, vm/exceptions.h,
	  vm/resolve.c, vm/utf8.c, vm/utf8.h:
	  * added exceptions_new_linkageerror
	  * use it where appropriate
	  * throw a LinkageError on redefinition of a class by the same
	  classloader

2005-11-26 22:45  twisti

	* src/vm/loader.c:
	  * load_class_from_classloader: Store array classes also in the
	  classcache.
	  * Removed verbose loader stuff.

2005-11-26 22:40  twisti

	* src/vm/class.h:
	  * classinfo: classvftbl removed.

2005-11-26 20:23  twisti

	* src/native/jni.c:
	  * use_class_as_object removed, link_class added where required.

2005-11-26 20:18  twisti

	* src/vm/linker.c:
	  * linker_init: Link java.lang.Class first and then call
	    class_postset_header_vftbl, which postsets the header.vftbl.
	  * link_class_intern: Don't set header.vftbl to vftbl.

2005-11-26 20:17  twisti

	* src/vm/: class.c, class.h:
	  * class_create_classinfo: Set header.vftbl to the vftbl of
	    java.lang.Class when already loaded and linked.
	  * class_postset_header_vftbl: Added.

2005-11-26 20:15  twisti

	* src/: native/native.c, native/vm/Field.c, native/vm/VMClass.c,
	  native/vm/VMClassLoader.c, native/vm/VMObject.c, vm/builtin.c,
	  vm/jit/parse.c, vm/jit/stacktrace.c, vm/jit/x86_64/patcher.c:
	  * use_class_as_object removed, link_class added where required.

2005-11-26 20:13  twisti

	* src/cacaoh/headers.c:
	  * asm_call_jit_compiler: Removed.
	  * asm_builtin_f2i, asm_builtin_f2l, asm_builtin_d2i,
	    asm_builtin_d2l: Likewise.
	  * use_class_as_object: Removed.

2005-11-26 16:57  twisti

	* src/vm/jit/powerpc/: codegen.c, codegen.h:
	  * store_reg_to_var_int0: Removed.
	  * store_reg_to_var_lng, store_reg_to_var_adr, store_reg_to_var_flt,
	    store_reg_to_var_dbl: Added.

2005-11-26 16:56  twisti

	* src/vm/jit/powerpc/linux/md-os.c:
	  * signal_handler_sigsegv: Changed functionptr to u1*.

2005-11-26 16:56  twisti

	* src/vm/jit/powerpc/linux/md-abi.c:
	  * Nothing important, removed spaces, add empty lines.

2005-11-25 12:31  twisti

	* src/vm/jit/codegen.inc.h:
	  * PACK_REGS, GET_LOW_REG, GET_HIGH_REG: Changed packing order of
	    low/high, this ways it's more "natural" and we can always call
	    GET_LOW_REG even when the register is not packed.

2005-11-24 01:53  twisti

	* configure.in:
	  * Changed version to 0.93+cvs.

2005-11-24 01:26  twisti

	* ChangeLog:
	  * Updated to 0.93.

2005-11-24 01:21  twisti

	* configure.in:
	  * Changed version to 0.93.

2005-11-24 00:16  twisti

	* tests/regression/Makefile.am:
	  * Renamed checkall to check.

2005-11-24 00:16  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * EXTRA_DIST: Added with java.vmg.

2005-11-23 23:55  twisti

	* tests/regression/Makefile.am:
	  * EXTRA_DIST: Added Test.sh.

2005-11-23 23:55  twisti

	* tests/Makefile.am:
	  * EXTRA_DIST: Added prop.java.

2005-11-23 23:55  twisti

	* tests/prop.java:
	  * Updated.

2005-11-23 23:49  twisti

	* tests/regression/Makefile.am:
	  * EXTRA_DIST: Typo.

2005-11-23 23:40  twisti

	* src/vm/jit/intrp/peephole.c:
	  * gen_inst: Use lastmcodeptr instead of last_compiled.

2005-11-23 23:39  twisti

	* src/vm/jit/intrp/codegen.h:
	  * vm/types.h: Added.
	  * MCODECHECK: Use lastmcodeptr instead of last_compiled.

2005-11-23 23:39  edwin

	* man/cacao.1: * (cacao.1): fix typo

2005-11-23 23:39  twisti

	* src/vm/jit/intrp/intrp.h:
	  * gen_BBSTART: Use lastmodeptr instead of last_compiled.
	  * createcalljavafunction: Changed return type from
	    functionptr to u1*.

2005-11-23 23:38  twisti

	* src/vm/jit/intrp/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 23:37  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * libintrp_la_SOURCES: Added *.i files.
	  * BUILT_SOURCES: Removed.

2005-11-23 23:36  twisti

	* src/vm/jit/stacktrace.c:
	  * Use codegen_findmethod for intrp and md_codegen_findmethod for
	  jit.

2005-11-23 23:36  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegendata: Removed last_compiled for intrp and use lastmcodeptr
	    instead.

2005-11-23 23:34  twisti

	* tests/Makefile.am:
	  * EXTRA_DIST: Added hello.java.

2005-11-23 23:33  twisti

	* tests/regression/Makefile.am:
	  * EXTRA_DIST: Added with all files.

2005-11-23 22:47  twisti

	* src/vm/jit/alpha/linux/md-os.c:
	  * Removed duplicate stuff that slipped in when added alpha-freebsd
	  support.

2005-11-23 22:43  edwin

	* man/cacao.1: * (cacao.1): use .BR again. The problem on IRIX was
	               the 6-argument limitation.  We currently do not care about that.

2005-11-23 22:36  twisti

	* src/vm/jit/alpha/: Makefile.am, md.c, freebsd/.cvsignore,
	  freebsd/Makefile.am, freebsd/md-os.c, linux/.cvsignore,
	  linux/Makefile.am, linux/md-os.c:
	  * Added alpha-freebsd support.

2005-11-23 22:35  twisti

	* configure.in:
	  * src/vm/jit/alpha/freebsd/Makefile,
	    src/vm/jit/alpha/linux/Makefile: Added.

2005-11-23 22:29  edwin

	* man/cacao.1: * (cacao.1): IRIX does not seem to like the .BR
	  macro, so we avoid it.

2005-11-23 22:17  edwin

	* man/cacao.1: * (cacao.1): updated the manpage

2005-11-23 16:28  michi

	* src/vm/jit/arm/codegen.c:
	  * codegen: Changed return value to bool, throw InternalError for
	    unknown ICMD.
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 16:27  michi

	* src/vm/jit/arm/disass.c:
	  * fixed compiler warning

2005-11-23 16:05  twisti

	* src/vm/jit/Makefile.am:
	  * noinst_HEADERS: Added methodheader.h and disass.h.

2005-11-23 16:04  twisti

	* src/lib/Makefile.am:
	  * EXTRA_DIST: Added all java files.

2005-11-23 15:41  twisti

	* src/vm/jit/: alpha/Makefile.am, i386/Makefile.am,
	  intrp/Makefile.am, mips/Makefile.am, powerpc/Makefile.am,
	  x86_64/Makefile.am:
	  * asmoffsets.h, disass.h: Removed if missed before.

2005-11-23 15:40  twisti

	* tests/Makefile.am:
	  * jctest, fptest, fp, extest: Removed.

2005-11-23 15:40  twisti

	* tests/: fp.java, fp.output, fptest.java, fptest.output,
	  jctest.java, jctest.output, jctest.dec:
	  * Removed, most of them are now regression tests.

2005-11-23 14:42  michi

	* src/vm/jit/arm/md.c:
	  * signal_handler_sigsegv: Use u1* instead of functionptr.
	  * md_stacktrace_get_returnaddress: Likewise.
	  * codegen_findmethod: Renamed to md_codegen_findmethod.

2005-11-23 13:54  twisti

	* src/vm/jit/mips/codegen.c:
	  * ICMD_xASTORE: Moved var_to_reg_xxx directly before actual store,
	    this makes life much easier on mips32.
	  * ICMD_{I,L,A}ASTORECONST: Use M_xST_INTERN macro as the offset will
	    not overflow.

2005-11-23 13:31  twisti

	* src/vm/jit/mips/codegen.c:
	  * ICMD_xALOAD: Use REG_ITMP3 register to calculate the base address,
	    this is necessary on mips32.

2005-11-23 12:56  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * ICMD_GETFIELD: Check if a destination register is equals the
	    source register for long type.

2005-11-23 01:47  twisti

	* src/vm/jit/i386/: freebsd/md-os.c, linux/md-os.c:
	  * signal_handler_sigsegv, signal_handler_sigfpe: Replaced
	    functionptr with u1*.

2005-11-23 01:46  twisti

	* src/vm/jit/i386/md.c:
	  * md_stacktrace_get_returnaddress: Changed return type from
	    functionptr to u1*.
	  * md_codegen_findmethod: Added.

2005-11-23 01:46  twisti

	* src/vm/jit/i386/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 01:21  twisti

	* src/vm/jit/mips/irix/md-os.c:
	  * signal_handler_sigsegv: Use u1* instead of functionptr.

2005-11-23 01:21  twisti

	* src/vm/jit/mips/md.c:
	  * md_stacktrace_get_returnaddress: Use u1* instead of functionptr.
	  * codegen_findmethod: Renamed to md_codegen_findmethod.

2005-11-23 01:20  twisti

	* src/vm/jit/mips/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 01:06  twisti

	* tests/codepatching/test.java:
	  * Made most functions private.

2005-11-23 01:05  twisti

	* src/vm/jit/powerpc/md.c:
	  * md_stacktrace_get_returnaddress: Use u1* instead of functionptr.
	  * codegen_findmethod: Renamed to md_codegen_findmethod.

2005-11-23 01:03  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 00:54  twisti

	* src/vm/jit/alpha/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 00:47  twisti

	* src/vm/jit/x86_64/md.c:
	  * signal_handler_sigsegv, signal_handler_sigfpe: Replaced
	    functionptr with u1*.
	  * md_stacktrace_get_returnaddress: Changed return type from
	    functionptr to u1*.
	  * md_codegen_findmethod: Added.

2005-11-23 00:46  twisti

	* src/vm/jit/x86_64/md-abi.c:
	  * config.h: Added.
	  * Some code reformatting.

2005-11-23 00:45  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createcompilerstub, createnativestub: Changed return type from
	    functionptr to u1*.

2005-11-23 00:45  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_builtin_arraycheckcast: Removed global.

2005-11-23 00:43  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * Changed functionptr to u1*.

2005-11-23 00:42  twisti

	* src/vm/jit/: jit.c, jit.h:
	  * do_nothing_function, jit_compile, jit_compile_intern: Changed
	    return type from functionptr to u1*.

2005-11-23 00:41  twisti

	* src/vm/method.h:
	  * methodinfo: Changed functionptr to u1*.

2005-11-23 00:40  twisti

	* src/cacaoh/headers.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed.
	  * asm_builtin_idiv, asm_builtin_irem, asm_builtin_ldiv,
	    asm_builtin_lrem: Likewise.
	  * asm_builtin_monitorenter, asm_builtin_monitorexit: Likewise.
	  * asm_builtin_arraycheckcast: Likewise.
	  * setVMClassField: Likewise.
	  * Changed functionptr to u1*.

2005-11-23 00:07  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Replaced functionptr with u1*.
	  * Call md_codegen_findmethod instead of codegen_findmethod.

2005-11-23 00:06  twisti

	* src/vm/jit/codegen.inc.h:
	  * Added defined(DISABLE_GC) to methodtree stuff so we allocate the
	    same amount of memory for -verbosecall compares.
	  * md_codegen_findmethod: Added.

2005-11-23 00:05  twisti

	* src/vm/jit/codegen.inc:
	  * Added defined(DISABLE_GC) to methodtree stuff so we allocate the
	    same amount of memory for -verbosecall compares.
	  * codegen_start_native_call: Replaced functionptr with u1*.

2005-11-23 00:04  twisti

	* src/vm/jit/alpha/md.c:
	  * md_init: Removed #if 0 from ieee_set_fp_control but it does not
	    fix the floating point problems.
	  * signal_handler_sigsegv: Use u1* instead of functionptr.
	  * md_stacktrace_get_returnaddress: Likewise.
	  * codegen_findmethod: Renamed to md_codegen_findmethod.

2005-11-22 23:55  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegen_start_native_call, codegen_finish_native_call: Added.

2005-11-22 23:47  christian

	* src/vm/jit/: codegen.inc.h, jit.c, stack.c, stack.h: added name
	  to Changes:

2005-11-22 23:32  twisti

	* src/vm/jit/: jit.c, jit.h:
	  * compile_all_class_methods: Removed.

2005-11-22 23:21  christian

	* src/vm/jit/stack.h: Fix for dependence conflict regarding
	  ICMD_DUP* and locals

2005-11-22 22:32  christian

	* src/vm/jit/i386/icmd_uses_reg_res.inc: fix for ICMD_DUP*

2005-11-22 15:36  christian

	* src/vm/jit/: lsra.h, lsra.inc: Changes for Usage Count and spill
	  heuristik

2005-11-22 12:39  twisti

	* src/vm/jit/intrp/codegen.c:
	  * Removed __INTRP__ define.

2005-11-22 12:38  twisti

	* src/vm/jit/intrp/engine.c:
	  * md-abi.h: Removed.

2005-11-22 12:38  twisti

	* src/vm/: signal.c, jit/codegen.inc, jit/codegen.inc.h:
	  * Renamed __INTRP__ to ENABLE_INTRP which is defined during
	  configure run.

2005-11-22 01:14  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Fixed wrong compare value to xxx_ARG_CNT value,
	    this caused unsaved arguments.

2005-11-21 23:01  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_wrapper_patcher: Fixed two typos for powerpc-linux.

2005-11-21 22:38  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_calljavafunction: Fixed darwin -O2 compilation, we forgot to
	    save r16 (itmp3).
	  * asm_calljavafunction2: Likewise.
	  * asm_wrapper_patcher: Also save temporary registers, required for
	    leaf methods.

2005-11-21 21:59  twisti

	* src/vm/jit/powerpc/linux/md-asm.h:
	  * Added a comment about r2.

2005-11-21 20:59  edwin

	* src/vm/jit/: jit.c, stack.c:
	  * analyse_stack: allocate a dummy stack slot for ICMD_IINC to keep
	                   ISTORE from incorrectly creating a LOCALVAR on the stack although
	                   IINC changed the variable.
	  * jit_init: reserve a stack slot for IINC

2005-11-20 14:22  christian

	* src/vm/jit/: lsra.h, lsra.inc: Removed lsra fallback in case of
	  subroutines or exception handlers Nesting depth calculation
	  improvements Usage count really considered by lsra

2005-11-20 14:21  christian

	* src/vm/jit/jit.c: Removed lsra fallback in case of subroutines or
	  exception handlers

2005-11-20 14:21  christian

	* src/vm/jit/stack.c: Removed obsolete output of reserved Register
	  usage

2005-11-19 04:10  edwin

	* src/vm/jit/: alpha/codegen.c, mips/codegen.c:
	  * src/vm/jit/mips/codegen.c, src/vm/jit/alpha/codegen.c:
	    added my name to the 'Changes' list

2005-11-19 03:04  edwin

	* src/vm/jit/alpha/codegen.c:
	  * codegen: generalize bugfix for IFNE_ICONST to other IF??_ICONST
	  instructions

2005-11-19 03:02  edwin

	* src/vm/jit/mips/codegen.c:
	  * codegen: generalize IFNE_ICONST bugfix to other IF??_ICONST
	  instructions

2005-11-19 02:59  edwin

	* src/vm/jit/mips/codegen.c:
	  * codegen: bugfix for IFNE_ICONST: prevent overwriting of temp
	    register for values that do not fit in a byte (same fix as on alpha)

2005-11-19 02:57  edwin

	* src/vm/jit/alpha/codegen.c:
	  * codegen: bugfix for IFNE_ICONST: prevent overwriting of temp
	    register for constants that do not fit in a byte

2005-11-18 01:57  twisti

	* src/vm/jit/intrp/: java-disasm.i, java-gen.i, java-labels.i,
	  java-peephole.i, java-profile.i, java-vm.i:
	  * Regenerated.

2005-11-18 01:54  twisti

	* src/vm/jit/intrp/codegen.h:
	  * PATCHER_CALL_SIZE: Defined.

2005-11-18 01:54  twisti

	* src/vm/jit/intrp/: codegen.c, java.vmg:
	  * Java 1.5 support changes.

2005-11-18 01:54  twisti

	* src/vm/jit/intrp/engine.c:
	  * nativevcall: Local references table changes.

2005-11-18 01:53  twisti

	* src/vm/jit/intrp/patcher.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 changes.
	  * patcher_aconst: Added.

2005-11-18 01:52  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * Removed empty line.

2005-11-18 01:41  twisti

	* src/vm/jit/powerpc/darwin/md-asm.h:
	  * jumptable_int, jumptable_long: Defined.

2005-11-18 01:30  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_builtin_arraycheckcast: Don't set BUILTIN_arraycheckcast.

2005-11-18 01:11  twisti

	* src/vm/jit/mips/asmpart.S:
	  * asm_calljavafunction: Set noreorder so computing pv is correct.
	  * asm_calljavafunction2: Likewise and added missing nops.

2005-11-17 23:30  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_calljavafunction2: Load address for jumptables correctly for
	  darwin.

2005-11-17 20:28  twisti

	* src/vm/jit/intrp/: java-vm.i, java-disasm.i, java-gen.i,
	  java-labels.i, java-peephole.i, java-profile.i:
	  * Users should not need to generate these.

2005-11-17 20:06  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_calljavafunction: Fixed -O2 problem, we have to save itmp3
	    since it's a callee saved register.
	  * asm_calljavafunction2: Likewise and started to implement argument
	    passing correctly with jump tables.

2005-11-17 20:01  twisti

	* src/vm/jit/powerpc/codegen.h:
	  * var_to_reg_int_{low,high} renamed to var_to_reg_lng_{low,high}
	  * Smaller changes.

2005-11-17 20:00  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * var_to_reg_int_{low,high} renamed to var_to_reg_lng_{low,high}
	  * ICMD_IF_Lxx: Implemented.
	  * ICMD_IF_LCMPxx: Likewise.

2005-11-17 19:57  twisti

	* src/vm/jit/: alpha/arch.h, i386/arch.h, mips/arch.h,
	  x86_64/arch.h, arm/arch.h:
	  * SUPPORT_LONG_CMP_CONST: Added.

2005-11-17 19:53  twisti

	* src/vm/jit/powerpc/arch.h:
	  * SUPPORT_LONG_CMP_CONST: Added.
	  * NOLONG_CONDITIONAL: Removed.

2005-11-17 19:53  twisti

	* src/vm/jit/stack.c:
	  * NOLONG_CONDITIONAL renamed to SUPPORT_LONG_CMP_CONST.

2005-11-17 19:40  twisti

	* tests/regression/: Makefile.am, Test.sh:
	  * Really support build dirs.

2005-11-17 19:33  twisti

	* tests/regression/Makefile.am:
	  * Build dir support.

2005-11-17 17:58  twisti

	* src/vm/jit/powerpc/linux/md-asm.h:
	  * SAVE_TEMPORARY_REGISTERS, RESTORE_TEMPORARY_REGISTERS: Removed t7.

2005-11-17 14:47  twisti

	* src/vm/string.c:
	  * string_init: Added.
	  * literalstring_u2: Added string hashtable lock.

2005-11-17 14:47  twisti

	* src/vm/stringlocal.h:
	  * string_init: Added.

2005-11-17 14:46  twisti

	* src/cacao/cacao.c:
	  * main: Call string_init.

2005-11-17 14:35  twisti

	* src/vm/: finalizer.c, finalizer.h:
	  * finalizer_add: Removed.
	  * finalizer_notify, finalizer_run: Added.
	  * finalizer_thread: Removed list stuff since this was wrong, we need
	    to call the finalizers immediately.  We do this now with
	    gc_invoke_finalizers.

2005-11-17 14:34  twisti

	* src/mm/boehm.c:
	  * gc_init: Set GC_java_finalization, GC_finalize_on_demand and
	    GC_finalizer_notifier.

2005-11-17 11:23  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_LST_IMM32, M_AST_IMM32: Added.

2005-11-17 11:22  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Don't save return value for void functions.

2005-11-17 11:21  twisti

	* src/native/vm/VMString.c:
	  * intern: Reformatted for better debugability.

2005-11-16 20:13  edwin

	* src/vm/utf8.c: make twisti's debug code a bit more compiler
	  friendly (it did not compile with the mips compiler)

2005-11-16 14:29  twisti

	* src/vm/finalizer.c:
	  * gnu_classpath_Pointer.h: Removed.

2005-11-16 14:28  twisti

	* src/vm/linker.c:
	  * link_array: Replaced utf_new_intern with utf_new.

2005-11-16 14:28  twisti

	* src/vm/loader.c:
	  * load_constantpool, load_newly_created_array: Replaced
	    utf_new_intern with utf_new.

2005-11-16 14:27  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_new_intern: Removed.
	  * utf_new: Added hashtable locking (from utf_new_intern).

2005-11-16 14:15  twisti

	* src/native/include/: Makefile.am, gnu_classpath_Pointer.h:
	  * gnu_classpath_Pointer.h: Removed, not required anymore during
	  libvm.

2005-11-16 13:13  twisti

	* src/vm/classcache.c:
	  * config.h, vm/types.h: Added.
	  * lock_classcache_hashtable: Likewise.
	  * classcache_init: Changed return type to bool, initialize
	    lock_classcache_hashtable.
	  * CLASSCACHE_LOCK, CLASSCACHE_UNLOCK: Use builtin_monitorenter/exit
	    instead of crappy tables_lock/unlock.

2005-11-16 13:12  twisti

	* src/vm/classcache.h:
	  * classcache_init: Changed return type to bool.

2005-11-16 13:12  twisti

	* src/vm/tables.c:
	  * tables_init: Changed return type to bool, removed call to
	    classcache_init: now done in cacao.c (main).

2005-11-16 13:11  twisti

	* src/vm/tables.h:
	  * tables_init: Changed return type to bool.

2005-11-16 13:10  twisti

	* src/vm/utf8.c:
	  * lock_utf_hashtable: Added.
	  * utf8_init: Changed return type to bool, initialize
	  lock_utf_hashtable.
	  * utf_new: Use builtin_monitorenter/exit instead of crappy
	  tables_lock.

2005-11-16 13:09  twisti

	* src/vm/utf8.h:
	  * config.h, vm/types.h: Added.
	  * utf8_init: Changed return type to bool.

2005-11-16 13:08  twisti

	* src/cacao/cacao.c:
	  * main: Initialize subsystems in correct order, added
	  classcache_init.

2005-11-16 13:03  twisti

	* src/cacaoh/cacaoh.c:
	  * Initialize subsystems in correct order.

2005-11-16 13:03  twisti

	* src/cacaoh/headers.c:
	  * throw_main_exception_exit: Added.

2005-11-16 00:43  twisti

	* src/native/vm/Field.c:
	  * set: Handle value == NULL correctly.

2005-11-15 22:13  twisti

	* tests/regression/: jctest.java, jctest.output:
	  * Added long corner case for 32-bit archs.

2005-11-15 01:26  twisti

	* src/vm/jit/: alpha/Makefile.am, i386/Makefile.am,
	  mips/Makefile.am, powerpc/Makefile.am, x86_64/Makefile.am,
	  arm/Makefile.am:
	  * BUILT_SOURCES: Added offsets.h.

2005-11-15 01:18  twisti

	* .cdtproject, .cvsignore, .project, configure.in,
	  src/lib/Makefile.am, src/native/Makefile.am,
	  src/native/include/Makefile.am, src/vm/global.h,
	  .externalToolBuilders/CacaoAutogen.launch,
	  .externalToolBuilders/CacaoConfigure.launch,
	  src/vm/jit/i386/Makefile.am, tests/native/Makefile.am,
	  tests/regression/Makefile.am: 2005-11-14  Tom Tromey
	  <tromey@redhat.com>

	  	* .cvsignore: Updated.
	  	* .cdtproject, .project: New files.
	  	* .externalToolBuilders/CacaoAutogen.launch: New file.
	  	* .externalToolBuilders/CacaoConfigure.launch: New file.
	  	* configure.in: Added --with-flat-classpath option, new subst
	  	GLIBJZ, new define GLIBJZ_STRING.
	  	* tests/regression/Makefile.am (JAVAC): Use GLIBJZ.
	  	* tests/native/Makefile.am (JAVAC): Use GLIBJZ.
	  	* src/vm/global.h (CLASSPATH_GLIBJ_ZIP_PATH): Use GLIBJZ_STRING.
	  	* src/vm/jit/i386/Makefile.am (BUILT_SOURCES): New variable.
	  	* src/native/Makefile.am (nativetable.inc): Use GLIBJZ.
	  	* src/native/include/Makefile.am (GLIBJ_ZIP): Use GLIBJZ.
	  	* src/lib/Makefile.am (GLIBJ_ZIP): Use GLIBJZ.

2005-11-14 20:48  twisti

	* src/native/jni.c:
	  * Get<Type>Field: Big-endian fixes for boolean, byte, char, short
	  versions.
	  * Set<Type>Field: Likewise.

2005-11-14 20:47  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createnativestub: Some fixes, don't save return value for void
	  functions.

2005-11-11 22:58  twisti

	* src/native/vm/VMSystemProperties.c:
	  * preInit: Set java.library.path to "" to be compatible to other
	  JVMs.

2005-11-11 15:42  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * codegen: Changed return value to bool, throw InternalError for
	    unknown ICMD.

2005-11-11 15:26  twisti

	* src/vm/jit/: alpha/codegen.c, i386/codegen.c:
	  * codegen: Changed return value to bool, throw InternalError for
	    unknown ICMD.

2005-11-11 15:06  twisti

	* src/native/jni.c:
	  * setfield_critical: Removed.
	  * getFieldID_critical: Likewise.

2005-11-11 15:05  twisti

	* src/vm/jit/stack.c:
	  * analyse_stack: Pass opcode to InternalError.

2005-11-11 15:02  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * codegen: Changed return value to bool, throw InternalError for
	    unknown ICMD.

2005-11-11 13:00  twisti

	* src/vm/jit/mips/codegen.c:
	  * Java 1.5 support changes.
	  * codegen: Return bool value to signal an exception.
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.
	  * Changed MCODECHECK size in stubs to 100, just to be sure.

2005-11-11 12:59  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_builtin_new: Removed due to Java 1.5 support changes.
	  * patcher_builtin_newarray: Likewise.
	  * patcher_builtin_arrayinstanceof: Likewise.
	  * patcher_aconst: Added.

2005-11-11 12:57  twisti

	* src/cacao/cacao.c:
	  * main: Check for compiler error with compileall and print out some
	    warning.

2005-11-11 12:39  twisti

	* src/cacaoh/headers.c:
	  * exceptions_print_exception: Added.
	  * stacktrace_print_trace: Likewise.

2005-11-11 12:38  twisti

	* src/vm/jit/jit.c:
	  * jit_compile_intern: Check return value of codegen.

2005-11-11 12:37  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegen: Changed return type from void to bool.

2005-11-11 12:17  twisti

	* src/vm/builtin.c:
	  * java_lang_Throwable.h, java_lang_VMThrowable.h: Removed.
	  * builtin_trace_exception: Call exceptions_print_exception and
	    stacktrace_print_trace.

2005-11-11 12:16  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * exceptions_print_exception: Added.

2005-11-11 12:14  twisti

	* src/vm/jit/stacktrace.c:
	  * java_lang_Throwable.h, java_lang_VMThrowable.h: Added.
	  * cacao_stacktrace_fillInStackTrace: Print ra, sp, framesize in
	  debug mode.
	  * stacktrace_print_trace_from_buffer: Added.
	  * stacktrace_dump_trace: Call stacktrace_print_trace_from_buffer.
	  * stacktrace_print_trace: Changed argument type and call
	    stacktrace_print_trace_from_buffer.

2005-11-11 12:13  twisti

	* src/vm/jit/stacktrace.h:
	  * stacktrace_print_trace: Changed argument type to
	  java_objectheader*.

2005-11-11 11:13  twisti

	* src/native/include/.cvsignore:
	  * java_lang_Math.h: Removed.

2005-11-10 23:05  twisti

	* src/native/vm/VMClass.c:
	  * getClassLoader: Restructured for better debugability.
	  * isInstance: Likewise.
	  * getComponentType: Restructured.
	  * getInterfaces:  Likewise.
	  * getDeclaredConstructors: Better code.
	  * getDeclaredFields: Likewise.
	  * cacao_getField0: Removed.
	  * getBeautifiedName: Likewise.
	  * getName: Renamed that to klass.
	  * getSuperclass: Likewise.
	  * isArray: Likewise.
	  * isInterface: Likewise.

2005-11-10 12:56  michi

	* src/vm/jit/arm/patcher.c:
	  * Adapted to changed stack layout.
	  * patcher_aconst: Added.
	  * patcher_builtin_arraycheckcast: Updated due to Java 1.5 changes.
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 changes.

2005-11-10 12:52  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_handle_exception: Pass indent flag correctly.
	  * asm_wrapper_patcher: Changed stack layout for patchers.

2005-11-10 12:50  michi

	* src/vm/jit/arm/codegen.c:
	  * Java 1.5 support changes.
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.

2005-11-09 22:40  edwin

	* tests/: A.java, B.java, a.java, b.java: removed obsolete test
	  files [ABab].java

2005-11-09 22:40  christian

	* src/vm/jit/: lsra.h, lsra.inc: Working lsra Version

2005-11-09 22:40  christian

	* src/vm/jit/stack.h: Max Lifetimecount Correction for lsra

2005-11-09 20:33  edwin

	* src/vm/jit/verify/typecheck.c: mark statistics on primitive loads
	  as "currently not counted"

2005-11-09 20:32  edwin

	* src/vm/jit/verify/typecheck.c: save a function call in
	  typecheck.c (without using a macro :)

2005-11-08 21:54  twisti

	* src/vm/jit/i386/codegen.c:
	  * ICMD_FRETURN, ICMD_DRETURN: In monitorexit we have to use the pop
	    instructions, otherwise the fpu stack gets an overflow after 8
	    monitorexits.

2005-11-08 20:01  edwin

	* src/: cacaoh/headers.c, vm/resolve.c, vm/jit/verify/typecheck.c,
	  vm/jit/verify/typeinfo.c, vm/jit/verify/typeinfo.h: typeinfo.h:
	  rewrote some macros as functions

2005-11-08 18:27  twisti

	* src/cacaoh/headers.c:
	  * exceptions_new_nosuchmethoderror: Added.

2005-11-08 18:24  twisti

	* src/native/jni.c:
	  * GetMethodID, GetStaticMethodID: Use
	  exceptions_new_nosuchmethoderror.

2005-11-08 18:21  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * exceptions_new_nosuchmethoderror: Added.

2005-11-08 18:21  twisti

	* src/vm/: class.c, class.h:
	  * class_java_lang_NoSuchMethodError: Added.
	  * class_resolveclassmethod, class_resolveinterfacemethod: Use
	    exceptions_new_nosuchmethoderror.

2005-11-08 18:19  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_java_lang_NoSuchMethodError: Added.

2005-11-08 18:00  twisti

	* src/vm/global.h:
	  * CLASS_VERSION: Defined to "49.0".

2005-11-08 17:59  twisti

	* src/native/vm/VMSystemProperties.c:
	  * preInit: Set java.class.version to CLASS_VERSION.

2005-11-08 11:58  twisti

	* src/vm/jit/alpha/codegen.c:
	  * Java 1.5 support changes.

2005-11-08 11:58  twisti

	* src/vm/jit/alpha/patcher.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 changes.
	  * patcher_aconst: Added.

2005-11-08 09:58  twisti

	* tests/regression/LoadDisplacementOverflow.java:
	  * Changed float to print.

2005-11-08 09:57  twisti

	* tests/regression/Makefile.am:
	  * LoadDisplacementOverflow, FieldDisplacementOverflow: Added.

2005-11-08 09:56  twisti

	* tests/regression/: FieldDisplacementOverflow.output,
	  LoadDisplacementOverflow.output:
	  * Initial commit.

2005-11-08 02:40  edwin

	* src/vm/jit/verify/typecheck.c: typecheck.c: rewrote some macros
	  as functions

2005-11-08 00:22  edwin

	* src/vm/: resolve.c, jit/verify/typecheck.c,
	  jit/verify/typeinfo.c, jit/verify/typeinfo.h: adapt verifier to
	  java 1.5 changes (ACONSTs are now used differently when passing
	  class references to builtin functions, LDC may create
	  java.lang.Class objects).

2005-11-07 23:31  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * Java 1.5 support changes.

2005-11-07 23:31  twisti

	* src/vm/jit/powerpc/patcher.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 support
	    changes.
	  * patcher_aconst: Added.

2005-11-07 22:26  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * INCLUDES: Added OS_DIR.

2005-11-07 22:18  michi

	* src/vm/jit/arm/codegen.c:
	  * ICMD_ATHROW, ICMD_ARETURN: Added patcher stub call.

2005-11-07 22:12  twisti

	* src/vm/jit/i386/codegen.c:
	  * Java 1.5 support changes.

2005-11-07 22:12  twisti

	* src/vm/jit/i386/patcher.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 support
	    changes.
	  * patcher_aconst: Added.

2005-11-07 19:49  twisti

	* src/vm/builtintable.inc:
	  * PATCHER_builtin_new, PATCHER_builtin_newarray,
	    PATCHER_builtin_arrayinstanceof: Removed due to Java 1.5 support
	    changes.

2005-11-07 19:48  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * Java 1.5 support changes.
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.

2005-11-07 19:45  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_LSUB, M_LSUB_IMM32, M_AND, M_IAND, M_IAND_IMM, M_IXOR, M_BLE,
	    M_BA: Added.

2005-11-07 19:44  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 changes.
	  * patcher_aconst: Added.

2005-11-07 19:43  twisti

	* src/vm/jit/stack.c:
	  * Java 1.5 support changes.

2005-11-07 19:40  twisti

	* src/vm/jit/patcher.h:
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Removed due to Java 1.5 changes.
	  * patcher_aconst: Added.

2005-11-07 19:38  twisti

	* src/vm/jit/: jit.c, jit.h, loop/tracing.c, verify/typecheck.c,
	  reg.inc:
	  * ICMD_ARRAYCHECKCAST: Removed due to Java 1.5 changes.

2005-11-07 19:32  twisti

	* src/vm/jit/stack.h:
	  * OP*: Macros reformatted.

2005-11-07 19:22  twisti

	* src/vm/jit/parse.c:
	  * Java 1.5 support changes.

2005-11-07 19:20  twisti

	* src/vm/jit/parse.h:
	  * LOADCONST_A_CLASS: Added.
	  * LOADCONST_A_BUILTIN: Also set iptr->target.

2005-11-07 18:57  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtin_canstore: Some reformatting.

2005-11-07 18:47  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * exceptions_throw_outofmemory_exit: Added.
	  * new_verifyerror: Handle m == NULL case.

2005-11-07 18:47  twisti

	* src/cacaoh/headers.c:
	  * exceptions_throw_outofmemory_exit: Added.

2005-11-07 18:44  twisti

	* src/mm/memory.c:
	  * memory_checked_alloc, mem_realloc: Use
	    exceptions_throw_outofmemory_exit instead of
	  throw_cacao_exception_exit.

2005-11-07 18:44  twisti

	* src/mm/boehm.c:
	  * gc_out_of_memory: Use exceptions_throw_outofmemory_exit instead of
	    throw_cacao_exception_exit.

2005-11-07 18:37  twisti

	* src/vm/global.h:
	  * MAJOR_VERSION: Updated to 49.

2005-11-07 17:38  christian

	* src/vm/jit/x86_64/md-abi.c: Comment added why integer return
	  register is not precoloured

2005-11-07 17:26  twisti

	* configure.in:
	  * DISABLE_GC: Defined.

2005-11-07 17:15  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_call_jit_compiler: Argument save/restore offsets fixed for
	  darwin.

2005-11-07 12:59  twisti

	* src/native/vm/Field.c:
	  * get: Warning fix.

2005-11-07 12:53  twisti

	* src/vm/jit/: i386/Makefile.am, powerpc/Makefile.am:
	  * DIST_SUBDIRS, SUBDIRS: Moved to top.

2005-11-07 12:52  twisti

	* src/vm/jit/mips/Makefile.am:
	  * DIST_SUBDIRS: Added.

2005-11-06 22:51  twisti

	* src/vm/jit/alpha/codegen.c:
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.
	  * Changed MCODECHECK size in stubs to 100, just to be sure.

2005-11-06 22:24  twisti

	* src/vm/jit/i386/codegen.c:
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.
	  * Changed MCODECHECK size in stubs to 512, just to be sure.

2005-11-06 21:28  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * Fix line number problem in exception stubs: we can't reuse an
	    exception stub since we get always the last exception pc.
	  * Changed MCODECHECK size in stubs to 100, just to be sure.

2005-11-06 21:20  twisti

	* configure.in:
	  * darwin: Fixed small typo.

2005-11-06 17:41  motse

	* src/native/vm/VMFrame.c: forgot to include a few header files

2005-11-06 17:32  twisti

	* src/native/include/Makefile.am:
	  * GEN_JVMTI_HEADER_FILES: Added, fixed small type, add to
	    DO_HEADER_FILES only if ENABLE_JVMTI.

2005-11-06 17:27  twisti

	* src/native/vm/Makefile.am:
	  * VMFrame.c, VMVirtualMachine.c: Added, compile only with
	  ENABLE_JVMTI.

2005-11-06 17:21  motse

	* src/native/include/Makefile.am: add check for ENABLE_JVMTI

2005-11-06 17:16  motse

	* src/native/vm/: VMFrame.c, VMVirtualMachine.c, VMjvmti.c: split
	  VMjvmti.c in VMVirtualMachine.c and VMFrame.c

2005-11-06 17:05  motse

	* src/native/include/.cvsignore: ignore for jvmti header files
	  added

2005-11-06 15:47  twisti

	* src/vm/jit/x86_64/emitfuncs.c:
	  * x86_64_emit_ishift, x86_64_emit_lshift: Bugfix where s1 maybe
	    equal to RCX.

2005-11-06 15:46  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_wrapper_patcher: We now use %rbp to address the patcher stub
	    variables and align %rsp to 16-bytes.  This is necessary for leaf
	    methods and the infamous printf-movaps bug.

2005-11-06 15:44  twisti

	* src/vm/jit/x86_64/md-asm.h:
	  * bp: Defined.

2005-11-06 15:01  motse

	* src/native/: include/Makefile.am, jvmti/Makefile.am,
	  jvmti/VMjdwp.c, jvmti/dbg.h, jvmti/jvmti.c, vm/Makefile.am,
	  vm/VMjvmti.c: VMjdwp/VMjvmti new makefile entries

2005-11-06 00:42  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_findmethod: Use structure in local stackframe instead of
	    allocating each time on the heap.

2005-11-05 23:32  twisti

	* src/cacao/cacao.c:
	  * main: Call nogc_init at the very beginning for DISABLE_GC.

2005-11-05 23:32  twisti

	* src/mm/boehm.h:
	  * nogc_init, nogc_realloc: Added for DISABLE_GC.

2005-11-05 23:31  twisti

	* src/mm/nogc.c:
	  * nogc_realloc, heap_free, nogc_init: Added.

2005-11-05 23:30  twisti

	* src/mm/memory.h:
	  * Define some macros differently for DISABLE_GC, allocate always
	    from the heap.

2005-11-05 20:51  twisti

	* src/vm/builtin.c:
	  * builtin_new: Check for java.lang.InstantiationError.

2005-11-05 20:44  twisti

	* src/vm/: string.c, stringlocal.h:
	  * string_java_lang_InstantiationError: Added.

2005-11-05 18:57  twisti

	* src/vm/jit/stack.c:
	  * show_icmd: Fixed ICMD_ARRAYCHECKCAST output.

2005-11-05 17:33  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_call_jit_compiler: Renamed _exceptionptr to
	  _no_threads_exceptionptr.
	  * asm_wrapper_patcher: Added athrow/areturn support, the wrapper can
	    now handle leaf methods.

2005-11-05 17:31  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createnativestub: Renamed _exceptionptr to
	  _no_threads_exceptionptr.

2005-11-05 17:30  twisti

	* src/vm/jit/verify/typecheck.c:
	  * JAVA_GET/PUT*: Removed __POWERPC__ define, since we can now handle
	    lazy loading in leafs.

2005-11-05 17:29  twisti

	* src/vm/jit/parse.c:
	  * JAVA_GET/PUT*, JAVA_CHECKCAST, JAVA_INSTANCEOF: Removed
	    __POWERPC__ define, since we can now handle lazy loading in leafs.

2005-11-05 17:26  twisti

	* src/native/vm/VMThread.c:
	  * currentThread: Assign return value to variable, this removes a
	    compiler warning and eases debugging.

2005-11-05 17:13  twisti

	* src/vm/jit/parse.c:
	  * Only added some debug output for mips and powerpc, this should be
	    remove asap.

2005-11-05 13:12  twisti

	* src/vm/jit/arm/patcher.c:
	  * patcher_athrow_areturn: Added.
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-05 12:17  twisti

	* src/vm/jit/arm/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-05 12:10  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-04 18:49  twisti

	* src/vm/jit/powerpc/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-04 18:17  twisti

	* src/vm/jit/alpha/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-04 17:58  motse

	* src/: cacao/cacao.c, native/jvmti/jvmti.c, native/jvmti/jvmti.h,
	  threads/native/threads.c, threads/native/threads.h,
	  vm/jit/stacktrace.c, vm/jit/stacktrace.h: almost all required
	  function implemented - first integration with jdwp - nothing tested

2005-11-04 17:47  twisti

	* src/vm/jit/i386/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-04 17:33  twisti

	* src/vm/jit/i386/codegen.h:
	  * M_XOR, M_CLR: Added.

2005-11-04 17:33  twisti

	* src/vm/jit/i386/codegen.c:
	  * createnativestub: Call trace fixes.

2005-11-04 17:27  twisti

	* src/vm/jit/verify/typecheck.c:
	  * verify_builtin: Use classinfo instead of vftbl for
	    BUILTIN_newarray, BUILTIN_arrayinstanceof.
	  * verify_multianewarray: Likewise.
	  * verify_basic_block: Likewise for ICMD_ARRAYCHECKCAST.

2005-11-04 17:25  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_builtin_newarray, patcher_builtin_multianewarray,
	    patcher_builtin_arraycheckcast, patcher_builtin_arrayinstanceof:
	    Patch classinfo instead of vftbl.

2005-11-04 17:24  twisti

	* src/vm/jit/parse.c:
	  * JAVA_ANEWARRAY, JAVA_MULTIANEWARRAY, JAVA_CHECKCAST,
	    JAVA_INSTANCEOF: Use classinfo instead of vftbl in ICMDs.

2005-11-04 17:21  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_IMOV_IMM: Added.

2005-11-04 17:20  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtin_arrayinstanceof, builtin_arraycheckcast, builtin_newarray,
	    builtin_multianewarray: Use classinfo instead of vftbl.

2005-11-04 17:19  twisti

	* src/native/jni.c:
	  * fill_callblock_from_objectarray: Pass classinfo to
	    builtin_arrayinstanceof.

2005-11-04 17:18  twisti

	* src/native/vm/VMAccessController.c:
	  * config.h, vm/types.h: Added.

2005-11-04 10:57  twisti

	* src/native/vm/VMClassLoader.c:
	  * defineClass: Renamed arguments so they fit to the java ones, add
	    null pointer check, removed truncated class file check since this is
	    done by the loader function.

2005-11-04 00:07  twisti

	* src/native/jni.c:
	  * CallStatic*Method*: Some cleanups and correct log messages.

2005-11-03 23:40  twisti

	* src/vm/jit/mips/: arch.h, md.c:
	  * Added mips32 stuff.

2005-11-03 22:39  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c, patcher.c:
	  * patcher_athrow_areturn changes.

2005-11-03 22:38  twisti

	* src/vm/jit/powerpc/: darwin/md-os.c, linux/md-os.c:
	  * thread_restartcriticalsection: Added.

2005-11-03 21:45  twisti

	* src/threads/native/threads.c:
	  * Finalizer thread changes.
	  * Some functions renamed.
	  * threads_dump: Print daemon, if any.

2005-11-03 21:43  twisti

	* src/threads/native/threads.h:
	  * Some functions renamed.
	  * Smaller changes.

2005-11-03 21:43  twisti

	* src/mm/memory.c:
	  * codememlock: #ifdef for threads.

2005-11-03 21:43  twisti

	* src/mm/boehm.c:
	  * runboehmfinalizer: Removed.
	  * --disable-threads compile fixes.
	  * heap_allocate: Use finalizer_add.

2005-11-03 21:41  twisti

	* src/native/vm/VMThread.c:
	  * start: threads changes.

2005-11-03 21:40  twisti

	* src/native/: jni.c, jni.h:
	  * _no_threads_localref_table: Made non-static.
	  * LOCALREFTABLE: Moved to jni.h

2005-11-03 21:39  twisti

	* src/cacaoh/cacaoh.c:
	  * threads renaming changes.

2005-11-03 21:38  twisti

	* src/cacaoh/headers.c:
	  * new_illegalmonitorstateexception: Added.

2005-11-03 21:38  twisti

	* src/cacao/cacao.c:
	  * Finalizer thread changes.

2005-11-03 21:36  twisti

	* src/vm/: finalizer.c, finalizer.h:
	  * Finalizer thread and stuff required for that.

2005-11-03 21:35  twisti

	* src/vm/Makefile.am:
	  * finalizer.[ch]: Added.

2005-11-03 21:34  twisti

	* src/vm/signal.c:
	  * threads_dump: Renamed from thread_dump.

2005-11-03 21:34  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * new_illegalmonitorstateexception: Added.

2005-11-03 21:34  twisti

	* src/vm/: class.c, class.h:
	  * class_java_lang_IllegalMonitorStateException: Added.

2005-11-03 21:33  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_java_lang_IllegalMonitorStateException: Added.

2005-11-03 21:33  twisti

	* src/vm/jit/: codegen.inc, stacktrace.c, stacktrace.h:
	  * --disable-threads fixes.

2005-11-03 21:18  twisti

	* src/native/include/: Makefile.am, gnu_classpath_Pointer.h:
	  * gnu_classpath_Pointer.h: Added, required by java_lang_VMThread.h.

2005-11-03 21:15  twisti

	* src/native/include/.cvsignore:
	  * Updated.

2005-11-03 21:08  twisti

	* src/native/include/: java_lang_ClassLoader.h,
	  java_lang_VMThread.h:
	  * Regenerated with GNU classpath 0.19 files.

2005-11-03 21:08  twisti

	* src/native/include/Makefile.am:
	  * genall: Added, generates the headers which are in cvs.

2005-11-03 20:07  twisti

	* src/threads/native/threads.c:
	  * CHECK_MONITORSTATE: Check for lr == NULL, this is for wait's which
	    are not in a synchronized block.

2005-11-03 12:13  twisti

	* src/lib/vm/reference/: gnu/classpath/jdwp/VMIdManager.java,
	  java/io/VMObjectInputStream.java,
	  java/io/VMObjectStreamClass.java, java/lang/VMClassLoader.java,
	  java/lang/VMProcess.java, java/security/VMAccessController.java:
	  * Updated to classpath-0.19 versions.

2005-11-02 14:35  twisti

	* src/native/vm/VMSystemProperties.c:
	  * preInit: When GC is disabled, we add constant strings to os.*
	    properties to keep the memory allocation equal on all architectures.

2005-11-02 14:33  twisti

	* src/mm/nogc.c:
	  * Map the whole heap to a specific address (0x10000000), so we can
	    compare calltraces.
	  * heap_reallocate: Removed.

2005-11-02 14:29  twisti

	* src/mm/: boehm.c, boehm.h:
	  * stackcall_realloc, heap_reallocate: Removed.

2005-11-02 01:05  twisti

	* src/native/vm/VMSystemProperties.c:
	  * preInit: Set java.vendor and java.vendor.url to GNU classpath.

2005-11-01 22:59  twisti

	* src/native/vm/VMSystem.c:
	  * config.h, vm/types.h: Added include.
	  * arraycopy: Added missing ArrayIndexOutOfBoundsException check for
	    sp + len < 0.
	  * Smaller changes.

2005-11-01 22:33  edwin

	* src/vm/linker.c: fix in linker: do not store self-reference for
	  bootloader loaded classes This fixes the bug that primitive classes
	  were stored in the classcache.

2005-11-01 19:32  twisti

	* src/lib/vm/reference/java/lang/VMThread.java: 2005-11-01
	  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	  	* vm/reference/java/lang/VMThread.java (sleep): Don't round
	  	ms and pass ns to Object.wait, fixes mauve test.

2005-11-01 16:26  twisti

	* src/native/vm/VMClass.c:
	  * getDeclaredClasses: Mauve bugfix, we took the wrong flag in the
	    second loop.
	  * getSuperclass* Check for use_class_as_object return value.
	  * Some smaller changes, more to come.

2005-11-01 13:39  twisti

	* src/vm/jit/stack.c:
	  * analyse_stack: Added mips32 stuff.
	  * icmd_print_stack: Print v0 instead of ra, since ra is the return
	    address on some architectures.
	  * show_icmd: Better debug output.

2005-11-01 13:36  twisti

	* src/vm/jit/stacktrace.c:
	  * cacao_stacktrace_fillInStackTrace: Flush after debug output.

2005-10-28 21:56  twisti

	* tests/native/testarguments.java:
	  * Pass and print arguments as hex values.

2005-10-28 21:56  twisti

	* tests/native/testarguments.c:
	  * Print arguments as hex values.

2005-10-28 20:07  twisti

	* tests/native/testarguments.c:
	  * Print floats/doubles as hex values.

2005-10-28 19:50  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_get_putfield: Fixed TYPE_LNG on mips32.
	  * Also flush the data cache.

2005-10-28 16:48  twisti

	* src/vm/jit/mips/codegen.c:
	  * Calculate the return address of a patcher call via PV + offset.
	    This fixes leaf method problems.

2005-10-28 16:47  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_get_putstatic, patcher_get_putfield,
	    patcher_builtin_multianewarray, patcher_builtin_arraycheckcast,
	    patcher_invokestatic_special, patcher_invokevirtual,
	    patcher_invokeinterface, patcher_checkcast_instanceof_flags,
	    patcher_checkcast_instanceof_interface,
	    patcher_checkcast_instanceof_class, patcher_clinit,
	    patcher_athrow_areturn: Don't calculate return address and write
	    it back, this is now done implicitly by the patcher stub.
	  * patcher_builtin_new, patcher_builtin_newarray,
	    patcher_builtin_arrayinstanceof: Adjusted return address
	    calculation.

2005-10-28 13:39  twisti

	* src/cacao/cacao.c:
	  * main: Call memory_init.
	  * exit_handler: Print mem usage before times.

2005-10-28 13:37  twisti

	* src/mm/memory.c:
	  * codememlock, codememsize, codememptr: Global variables added.
	  * memory_init: Added.
	  * memory_checked_alloc: Renamed from checked_alloc.
	  * memory_cnew: Memory usage bugfix, we always allocated a page, even
	    for 1-byte allocations.  Reverted back to old allocation scheme but
	    handle thread race conditions with a lock.

2005-10-28 13:34  twisti

	* src/mm/memory.h:
	  * memory_init: Added.

2005-10-28 13:34  twisti

	* src/vm/: statistics.c, statistics.h:
	  * codememusage, maxcodememusage: Added.
	  * print_stats, mem_usagelog: Some output reformated.

2005-10-28 13:30  twisti

	* src/vm/loader.c:
	  * load_method: Calculate count_extable_len correctly.

2005-10-28 13:29  twisti

	* src/vm/utf8.c:
	  * utf_new_intern: Calculate count_utf_len correctly (off by 1).

2005-10-28 13:28  twisti

	* configure.in:
	  * AC_CHECK_FUNCS: Added calloc mprotect getpagesize free.

2005-10-27 12:49  twisti

	* src/vm/jit/mips/asmpart.S:
	  * asm_wrapper_patcher: We also need to save return registers for
	    areturn patchers.

2005-10-27 12:49  twisti

	* src/vm/jit/mips/md-asm.h:
	  * SAVE_RETURN_REGISTERS, RESTORE_RETURN_REGISTERS: Added.

2005-10-27 12:23  edwin

	* src/vm/builtin.c: print numerical nesting level for -verbosecall
	  (easier to search for than whitespace)

2005-10-27 12:22  twisti

	* src/vm/jit/alpha/asmpart.S:
	  * asm_handle_exception: Pass indent flag correctly.
	  * asm_wrapper_patcher: We also need to save return registers for
	    areturn patchers.

2005-10-27 12:20  twisti

	* src/vm/jit/alpha/md-asm.h:
	  * fv0: Defined.
	  * SAVE_RETURN_REGISTERS, RESTORE_RETURN_REGISTERS: Added.

2005-10-26 22:41  twisti

	* src/native/jni.c:
	  * GetMethodID, GetStaticMethodID: Check clazz, initialize class.

2005-10-26 22:40  twisti

	* src/native/vm/Field.c:
	  * cacao_get_field_address: Don't call cacao_callingMethod, instead
	    use cacao_createClassContextArray.

2005-10-26 22:37  twisti

	* src/native/vm/Method.c:
	  * invokeNative: Fixed access check, initialize class.
	  * Removed slot checks, these shouldn't be necessary.

2005-10-26 22:30  twisti

	* src/vm/builtin.c:
	  * builtin_multianewarray_intern: Renamed from
	  builtin_multianewarray.
	  * builtin_multianewarray: Wrapper for builtin_multianewarray_intern,
	    checks for dimensions (fixes mauve test).

2005-10-26 22:27  twisti

	* src/vm/: class.c, class.h, loader.c, loader.h:
	  * class_resolvefield, class_findmethod, class_resolvemethod,
	    class_resolveclassmethod, class_resolveinterfacemethod,
	    class_findmethod_approx, class_resolvemethod_approx,
	    class_issubclass, class_showmethods, class_showconstantpool: Moved
	    from loader.[ch] to class.[ch].

2005-10-26 22:22  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * callingMethodCollector, cacao_callingMethod: Removed.

2005-10-26 18:49  twisti

	* src/vm/jit/parse.h:
	  * Some code reformated.

2005-10-26 18:42  twisti

	* src/vm/exceptions.c:
	  * exceptions_init: Load and link
	  class_java_lang_NullPointerException.
	  * new_nullpointerexception: Use native_new_and_init instead of
	    new_exception.

2005-10-26 17:00  twisti

	* src/vm/: class.c, class.h:
	  * class_java_lang_NullPointerException: Added.

2005-10-26 16:58  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_java_lang_NullPointerException: Added.

2005-10-26 15:29  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_handle_exception: Indent.

2005-10-25 19:42  twisti

	* tests/native/Makefile.am:
	  * Added glibj.zip to jikes.

2005-10-24 23:28  edwin

	* src/vm/jit/verify/typecheck.c: typecheck: use patcher for
	  postponed typechecks for ATHROW and ARETURN

2005-10-24 23:11  edwin

	* src/vm/jit/verify/typecheck.c: added more detailed statistics to
	  typecheck.c

2005-10-24 21:40  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * LREM: Bugfix, we accidentaly overwrote REG_ITMP2 to which we saved
	    the %rdx register.
	  * LDIV, LREM: Use alpha-style macros and compare with a value in the
	    data segment instead of an inline move.

2005-10-24 21:38  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_CMP, M_CMP_IMM, M_CMP_MEMBASE: Added.

2005-10-24 12:02  twisti

	* configure.in:
	  * CFLAGS: Use default only if nothing's specified.
	  * Don't check for mmap stuff, not required anymore.

2005-10-21 15:48  twisti

	* src/native/vm/VMRuntime.c:
	  * Define OS_INLINE for darwin.

2005-10-21 15:45  twisti

	* src/vm/jit/powerpc/darwin/md-abi.c:
	  * types.h: Include path fixed.
	  * Some reformatting.

2005-10-21 15:45  twisti

	* src/vm/jit/powerpc/darwin/md-os.c:
	  * types.h: Include path fixed.

2005-10-21 15:44  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * ICMD_ATHROW, ICMD_ARETURN: Added patcher stub calls.

2005-10-21 15:43  twisti

	* src/vm/jit/powerpc/patcher.c:
	  * patcher_athrow_areturn: Added.

2005-10-21 15:23  twisti

	* src/vm/jit/i386/codegen.c:
	  * Patcher stub call nop'ing stuff added.

2005-10-21 15:22  twisti

	* src/vm/jit/i386/codegen.h:
	  * PATCHER_CALL_SIZE: Added.

2005-10-21 15:16  twisti

	* src/vm/jit/alpha/patcher.c:
	  * patcher_athrow_areturn: Added.

2005-10-21 15:16  twisti

	* src/vm/jit/alpha/codegen.c:
	  * ICMD_ATHROW, ICMD_ARETURN: Added patcher stub call.

2005-10-21 15:08  twisti

	* src/mm/memory.c:
	  * memory_cnew: Added.

2005-10-21 15:07  twisti

	* src/mm/memory.h:
	  * memory_cnew: Added.
	  * CNEW: Call memory_cnew.

2005-10-21 14:04  twisti

	* src/vm/jit/mips/codegen.c:
	  * lastmcodeptr: Stuff added.
	  * ICMD_ATHROW, ICMD_ARETURN: Added patcher stub call.
	  * ICMD_xRETURN: Moved monitorexit after the call trace.

2005-10-21 14:03  twisti

	* src/vm/jit/mips/codegen.h:
	  * PATCHER_CALL_SIZE: Added.

2005-10-21 14:03  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_athrow_areturn: Added.

2005-10-21 14:02  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_increase: We also need to set the lastmcodeptr on some
	  platforms.

2005-10-21 13:44  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * ICMD_ARETURN: Added patcher call, missed in last commit.

2005-10-21 13:43  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_athrow_areturn: Fixed comment.

2005-10-21 11:09  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * Added stuff to nop the missing space for patcher stub calls
	    (lastmcodeptr).

2005-10-21 11:07  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * config.h: Added.
	  * PATCHER_CALL_SIZE: Likewise.
	  * M_POP, M_CALL_IMM: Likewise.

2005-10-21 11:06  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_athrow_areturn: Added.

2005-10-21 10:46  twisti

	* src/vm/jit/codegen.inc:
	  * dseg_addlinenumbertablesize: Do padding on all 64-bit machines.
	  * codegen_addpatchref: Set lastmcodeptr to the last byte of the
	    patcher stub call instruction.

2005-10-21 10:44  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegendata: Added lastmcodeptr.

2005-10-20 12:42  edwin

	* src/vm/: exceptions.c, exceptions.h: added Changes: Edwin Steiner
	  to exceptions.[ch]

2005-10-20 12:40  edwin

	* src/vm/exceptions.c: small fix in
	  classnotfoundexception_to_noclassdeffounderror

2005-10-20 12:16  edwin

	* src/vm/jit/: alpha/patcher.c, i386/patcher.c, intrp/patcher.c,
	  mips/patcher.c, powerpc/patcher.c, x86_64/patcher.c: include
	  vm/resolve.h in patchers

2005-10-20 12:07  edwin

	* src/vm/jit/: Makefile.am, alpha/patcher.c, i386/patcher.c,
	  intrp/patcher.c, mips/patcher.c, powerpc/patcher.c,
	  x86_64/codegen.c, x86_64/patcher.c: removed helper.h #includes
	  removed helper.[ch] from Makefile.am

2005-10-20 11:59  edwin

	* src/vm/jit/: helper.c, helper.h: removed helper.[ch]

2005-10-20 11:52  edwin

	* src/vm/jit/: alpha/patcher.c, i386/patcher.c, intrp/patcher.c,
	  mips/patcher.c, powerpc/patcher.c, x86_64/patcher.c: replace
	  helper_* calls in the pathers with calls to resolve_*_eager

2005-10-20 11:34  edwin

	* src/vm/: linker.c, loader.c, resolve.c, resolve.h, jit/helper.c:
	  added resolve_*_eager functions reduced jit/helpers to bare minimum
	  in order to prepare removal cleaned up resolve.[ch], doc comments
	  are now in resolve.c

2005-10-20 02:49  edwin

	* src/: cacaoh/headers.c, vm/exceptions.c, vm/exceptions.h: Added
	  new_noclassdeffounderror and a function to convert
	  ClassNotFoundException to NoClassDefFoundError.  (This is the first
	  of a series of commits to clean up the creation/handling of loader
	  exceptions.)

2005-10-20 01:38  twisti

	* src/native/vm/Field.c:
	  * cacao_get_field_address: Check if we should bypass security
	    checks, pass this instead of c and f.
	  * set: Use local variables (it's better this way, thanks anton).

2005-10-20 00:11  twisti

	* src/native/vm/Field.c:
	  * set: Assigment bugfix, wrong variable used.  Maybe i should think
	    about the way i'm using variables...

2005-10-20 00:06  twisti

	* src/vm/jit/stacktrace.c:
	  * callingMethodCollector: Return [1] element since it's called from
	    a native method (maybe this needs checking again).

2005-10-20 00:04  twisti

	* src/native/vm/Field.c:
	  * Second part of the rewrite, seems quite ok now and codesize is
	  smaller.

2005-10-20 00:03  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * new_illegalargumentexception: Added.

2005-10-20 00:03  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_java_lang_IllegalArgumentException: Added.

2005-10-20 00:02  twisti

	* src/vm/: class.c, class.h:
	  * class_java_lang_IllegalArgumentException: Added.

2005-10-20 00:01  twisti

	* src/vm/: access.c, access.h, resolve.c:
	  * is_accessible_class: Renamed to access_is_accessible_class.
	  * is_accessible_member: Renamed to access_is_accessible_member.

2005-10-19 23:35  twisti

	* src/native/vm/Constructor.c:
	  * config.h, vm/types.h: Added.

2005-10-19 21:56  twisti

	* src/toolbox/list.h:
	  * Fixed file path.
	  * Added Changes.

2005-10-19 21:56  twisti

	* src/toolbox/chain.c:
	  * Smaller fixes, nothing important.

2005-10-19 16:35  twisti

	* src/native/include/Makefile.am:
	  * Use noinst_DATA target for header files since all does only work
	    for plain make.

2005-10-19 13:40  twisti

	* src/native/vm/Field.c:
	  * Arghhh! Sorry...

2005-10-19 13:28  twisti

	* src/native/: native.c, native.h:
	  * class_findfield_approx, class_findfield_index_approx: Removed.

2005-10-19 13:27  twisti

	* src/native/vm/Field.c:
	  * First part of rewrite, get/setXXX functions are now correct (mauve
	    test).  Still some stuff left to do (access checks, get and set
	  functions).

2005-10-18 14:42  twisti

	* configure.in:
	  * We have to configure all sub packages, otherwise we can't do any
	    dist stuff like distclean.
	  * Removed different mips flags.
	  * src/vm/jit/mips/linux/Makefile: Added.

2005-10-18 14:38  twisti

	* src/vm/jit/mips/linux/md-os.c:
	  * types.h: Fixed include path.

2005-10-18 14:22  twisti

	* src/vm/jit/mips/disass.c:
	  * disassinstr: 32-bit output and warning fixes.

2005-10-17 13:52  edwin

	* src/vm/jit/verify/typeinfo.h: make NDEBUG disable TYPEINFO_DEBUG
	  and TYPECHECK_DEBUG

2005-10-14 13:28  twisti

	* src/boehm-gc/: Makefile.am, alpha_mach_dep.S, configure.in,
	  dyn_load.c, mach_dep.c, os_dep.c, pthread_stop_world.c,
	  pthread_support.c, version.h, win32_threads.c, doc/README,
	  doc/README.changes, doc/README.linux, include/private/gc_priv.h,
	  include/private/gcconfig.h, include/private/pthread_stop_world.h:
	  * Updated to boehm-gc 6.6

2005-10-14 13:27  twisti

	* src/native/jni.c:
	  * DefineClass, GetSuperclass, NewObjectA: Add return value to local
	    refs (taken from gcj).

2005-10-14 12:42  twisti

	* src/native/vm/VMClass.c:
	  * getDeclaredClasses, getDeclaringClass: Fixes the case with
	    unresolved inner classes (mauve fixes).

2005-10-13 18:48  edwin

	* src/vm/resolve.c: do not throw exceptions for missing
	  fields/methods when resolving lazily

2005-10-13 18:25  edwin

	* src/vm/jit/verify/typeinfo.c: replaced
	  TYPEINFO_INIT_FROM_CLASSREF_OR_CLASSINFO with typeinfo_init_class

2005-10-13 18:10  twisti

	* src/native/jni.c:
	  * NewLocalRef: Keep the compiler happy, return a value.

2005-10-13 18:08  twisti

	* src/vm/jit/mips/asmpart.S:
	  * asm_call_jit_compiler: Use md_assembler_get_patch_address, so we
	    can omit some assembler code.

2005-10-13 18:08  twisti

	* src/vm/jit/mips/md.c:
	  * md_assembler_get_patch_address: Added.

2005-10-13 18:04  twisti

	* src/vm/jit/mips/codegen.c:
	  * createnativestub: Local references table changes.

2005-10-13 16:59  twisti

	* tests/stack/.cvsignore:
	  * Ignore *.class

2005-10-13 15:48  edwin

	* src/native/jni.c: fix bug when calling Java method with return
	  type long

2005-10-13 13:33  michi

	* src/vm/jit/arm/codegen.c:
	  * Removed NegativeArraySizeException stubs.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_INSTANCEOF, ICMD_CHECKCAST: superindex can be out of range
	  (fixme).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * createnativestub: Local references changes.

2005-10-13 13:27  michi

	* src/vm/jit/arm/codegen.h:
	  * fixed M_INTMOVE_TYPED for special cases of two-word-typed

2005-10-13 13:26  michi

	* src/vm/jit/arm/disass.c:
	  * disassinstr: newline at end of disassembled instruction

2005-10-13 11:50  twisti

	* src/vm/jit/i386/codegen.c:
	  * createnativestub: Local references changes.

2005-10-13 11:39  twisti

	* src/cacao/cacao.c:
	  * -mx options fix.
	  * main: Do jni_init after all other stuff, since we now call Java
	    code there.

2005-10-12 17:53  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createnativestub: Local references changes, restore return value
	    before call trace.

2005-10-12 17:33  twisti

	* src/vm/jit/alpha/codegen.c:
	  * createnativestub: Local references changes.

2005-10-12 17:27  twisti

	* src/native/include/: .cvsignore, Makefile.am,
	  java_lang_VMThrowable.h:
	  * java_lang_VMThrowable.h: Added.

2005-10-12 15:32  twisti

	* src/cacao/cacao.c:
	  * main: Call jni_init().

2005-10-12 15:31  twisti

	* src/mm/boehm.c:
	  * heap_alloc_uncollectable: Clear allocated memory.

2005-10-12 15:31  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_remove, utf_put, utf_get, utf_value: Added.
	  * utf_Z, utf_B, utf_C, utf_S, utf_I, utf_J, utf_F, utf_D: Likewise.
	  * utf_java_lang_Object__java_lang_Object: Likewise.

2005-10-12 15:26  twisti

	* src/vm/builtin.c:
	  * builtin_new, builtin_newarray: Don't memset memory, it's done now
	    by the allocate functions itself.
	  * builtin_trace_exception: Print the stacktrace with CACAO internal
	    functions.

2005-10-12 15:24  twisti

	* src/vm/class.c:
	  * class_create_classinfo: Don't set field to 0 values, GCNEW* now
	    clears the memory in boehm.c.

2005-10-12 15:23  twisti

	* src/vm/loader.c:
	  * load_class_from_classbuffer: GCNEW renamed to GCNEW_UNCOLLECTABLE
	    (XXX check if we really need this).

2005-10-12 15:21  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Local references table changes.

2005-10-12 15:20  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_addxcheckarefs: Removed.
	  * codegen_start_native_call, codegen_finish_native_call: Added.
	  * removecompilerstub, removenativestub: Warning fix.

2005-10-12 15:19  twisti

	* src/vm/jit/codegen.inc.h:
	  * codegendata: xcheckarefs removed.

2005-10-12 15:07  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * stacktrace_dump_trace: Use stacktrace_print_trace to print the
	  trace.
	  * stacktrace_print_trace: Added.

2005-10-12 15:06  twisti

	* src/cacaoh/headers.c:
	  * stacktrace_print_trace: Added.

2005-10-12 14:54  twisti

	* src/vm/method.c:
	  * method_free: Warning fix.

2005-10-12 14:49  twisti

	* src/vm/signal.c:
	  * Include stdlib.h
	  * signal_handler_sigint: Print warning message when SIGINT catched
	  twice.

2005-10-12 14:45  twisti

	* src/vm/jit/: alpha/arch.h, i386/arch.h, intrp/arch.h,
	  mips/arch.h, powerpc/arch.h, x86_64/arch.h, arm/arch.h:
	  * USE_CODEMMAP: Removed.

2005-10-12 13:28  twisti

	* src/native/jni.c:
	  * Added local references stuff.
	  * jni_init: Return bool value, initialize global references and
	    direct buffer stuff.
	  * jclass_findfield: Removed.
	  * DeleteLocalRef, NewLocalRef, EnsureLocalCapacity: Implemented.
	  * PushLocalFrame, PopLocalFrame: Added assert.
	  * NewGlobalRef, DeleteGlobalRef: Reimplemented, don't use JNI
	  functions.
	  * jni_init1, jni_init2: Removed.

2005-10-12 10:47  twisti

	* src/native/jni.h:
	  * localref_table: Added.
	  * jni_init: Returns a bool.

2005-10-12 10:22  twisti

	* src/native/vm/VMStackWalker.c:
	  * Added vm/global.h include.

2005-10-12 10:22  twisti

	* src/native/vm/VMThread.c:
	  * start: If we use no threads, just return a Thread object, so we
	    need no changes in GNU classpath (thanks to mark for suggesting
	  this).

2005-10-12 10:19  twisti

	* src/threads/native/threads.h:
	  * nativethread: _dontfillinexceptionstacktrace, _threadrootmethod
	    removed, _localref_table added.

2005-10-12 10:17  twisti

	* src/mm/memory.h:
	  * GCNEW renamed to GCNEW_UNCOLLECTABLE.
	  * GCNEW: Allocates now normal heap memory.

2005-10-12 10:17  twisti

	* src/mm/memory.c:
	  * USE_CODEMMAP: Removed.

2005-10-11 16:41  twisti

	* src/cacaoh/Makefile.am:
	  * bindir: Removed.
	  * bin_PROGRAMS changed to noinst_PROGRAMS: cacaoh does not produce
	    user-usable headers, so we just need it for compilation.

2005-10-11 16:40  twisti

	* src/cacao/Makefile.am:
	  * bindir: Removed, install in cnofigured bindir.

2005-10-11 16:40  twisti

	* src/scripts/: java.in, rmiregistry.in:
	  * exec_prefix, bindir: Added.

2005-10-11 16:39  twisti

	* src/scripts/Makefile.am:
	  * bindir: Removed, install in configured bindir.
	  * bin_SCRIPTS: cacao, javac removed.

2005-10-11 16:38  twisti

	* configure.in:
	  * src/scripts/cacao, src/scripts/javac: Removed.

2005-10-11 15:29  twisti

	* src/mm/: memory.c, memory.h:
	  * Removed mmap stuff, which was not thread safe (maybe our random
	    crashes bug?) and was not required anymore.

2005-10-11 10:30  twisti

	* tests/regression/: jctest.java, jctest.output:
	  * Added some array instanceof checks, suggested by edwin.

2005-10-11 01:59  edwin

	* src/vm/builtin.c: builtin_arrayinstanceof: return 0 if object ==
	  NULL

2005-10-10 22:23  michi

	* src/vm/jit/arm/codegen.h:
	  * added missing macros (M_MNFS and M_MNFD)

2005-10-10 19:11  edwin

	* src/vm/jit/parse.c: for ATHROW and ARETURN: set iptr->val.a =
	  NULL in parse.c

2005-10-10 15:45  twisti

	* src/vm/jit/i386/codegen.c:
	  * ICMD_ATHROW, ICMD_ARETURN: Generate a call to the
	    patcher_athrow_areturn if required.  The iptr->val.a value should be
	  set by the verifier.

2005-10-10 15:40  twisti

	* src/vm/jit/: patcher.h, i386/patcher.c:
	  * patcher_athrow_areturn: Added.

2005-10-10 15:34  twisti

	* src/vm/jit/i386/codegen.h:
	  * M_CALL_IMM: Added.

2005-10-07 17:36  twisti

	* src/threads/green/threads.c:
	  * allocThreadStack: Renamed GCNEW to GCNEW_UNCOLLECTABLE.

2005-10-07 17:35  twisti

	* src/native/include/Makefile.am:
	  * VM_ZIP, GLIBJ_ZIP: Added.
	  * Added dependencies to the make target.

2005-10-07 17:26  twisti

	* src/mm/boehm.c:
	  * heap_allocate: Clear memory allocated.

2005-10-07 16:03  edwin

	* src/vm/jit/verify/typecheck.c: verify that first argument of
	  instance method is of reference type

2005-10-07 16:02  edwin

	* src/vm/: descriptor.c, loader.c: check against method descriptors
	  used for fields and vice versa

2005-10-07 01:34  edwin

	* src/vm/jit/parse.c: check for invalid opcode 203 (decimal)

2005-10-07 01:32  edwin

	* src/vm/jit/parse.c: check for invalid opcode 186 (decimal) throw
	  verifyerror instead of internalerror on invalid opcode

2005-10-06 17:00  edwin

	* src/vm/jit/parse.c: honor return value of fillextable

2005-10-06 17:00  edwin

	* src/vm/jit/parse.h: removed debug print

2005-10-06 16:04  edwin

	* src/vm/resolve.c: in resolve_and_check_subtype_set: skip types
	  that cannot be resolved

2005-10-06 15:48  edwin

	* src/vm/descriptor.c: check return value of
	  descriptor_pool_add_class

2005-10-06 15:47  edwin

	* src/vm/jit/stack.c: do not dump the method on exception

2005-10-06 15:14  twisti

	* src/vm/signal.c:
	  * signal_init: Added SA_NODEFER to SIGINT.
	  * signal_handler_sigint: Check for cacao_exiting, so shutdown can be
	    done immediately.

2005-10-06 15:13  twisti

	* src/cacao/cacao.c:
	  * cacao_exiting, opt_verboseclass: Added.

2005-10-06 15:12  twisti

	* src/cacao/cacao.h:
	  * cacao_exiting: Added.

2005-10-06 15:12  twisti

	* src/vm/: options.c, options.h:
	  * opt_verboseclass: Added.

2005-10-06 15:11  twisti

	* src/vm/: class.c, class.h:
	  * class_findfield, class_findfield_by_name,
	    class_findfield_index_by_name: Added.

2005-10-06 15:10  twisti

	* src/vm/loader.h:
	  * classbuffer: path added, for -verbose:class.

2005-10-06 15:10  twisti

	* src/vm/loader.c:
	  * SUN compatible -verbose:class implemented.
	  * class_findfield: Moved to class.c

2005-10-06 15:09  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Forgot to load the return value for
	  -verbosecall.

2005-10-06 12:31  edwin

	* src/vm/: descriptor.c, loader.c, jit/stack.c: use
	  new_internalerror where possible

2005-10-06 12:29  edwin

	* src/vm/jit/verify/typecheck.c: check param types *before* calling
	  constrain_unresolved_method

2005-10-06 11:40  edwin

	* src/vm/: loader.c, loader.h, jit/inline/parseRTstats.c: throw
	  classformaterror instead of assert(0) removed functions which are
	  not suitable for exception handling

2005-10-06 11:23  edwin

	* src/vm/jit/: stack.c, stack.h: throw verifyerror instead of
	  assert(0)

2005-10-06 11:12  edwin

	* src/vm/jit/parse.c: throw verify errors instead of assert(0)

2005-10-06 10:42  edwin

	* src/vm/: loader.c, jit/parse.c, jit/inline/inline.c,
	  jit/inline/parseRT.c, jit/inline/parseXTA.c: always check return
	  value of class_getconstant

2005-10-06 10:09  edwin

	* src/vm/jit/parse.c: throw verify error instead of assertion

2005-10-06 02:11  edwin

	* src/vm/jit/verify/typecheck.c: added case for verifying
	  unresolved arrayinstanceof

2005-10-06 01:03  edwin

	* src/vm/jit/verify/typecheck.c: code cleanup, moved flag init to
	  separate function

2005-10-06 00:31  edwin

	* src/vm/jit/verify/typecheck.c: verify unresolved array references
	  in MULTIANEWARRAY

2005-10-05 23:47  edwin

	* src/vm/jit/verify/typecheck.c: verify invocations of generic
	  builtin methods

2005-10-05 19:52  edwin

	* src/vm/jit/verify/typecheck.c: code cleanup, moved some code into
	  separate functions

2005-10-05 18:05  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * Removed NegativeArraySizeException stubs.
	  * createnativestub: Smaller code.

2005-10-05 18:04  twisti

	* src/vm/utf8.c:
	  * is_valid_utf: Don't print Overlong UTF-8 sequence warning.

2005-10-05 17:44  twisti

	* src/vm/jit/mips/codegen.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * Removed NegativeArraySizeException stubs.
	  * createnativestub: Smaller code.

2005-10-05 16:16  twisti

	* src/vm/jit/stack.c:
	  * analyse_stack: Set iptr->op1 to false for automatic builtins.

2005-10-05 15:30  edwin

	* src/vm/: resolve.c, jit/helper.c, jit/helper.h,
	  jit/alpha/patcher.c, jit/i386/patcher.c, jit/intrp/patcher.c,
	  jit/mips/patcher.c, jit/powerpc/patcher.c,
	  jit/verify/typecheck.c, jit/x86_64/patcher.c: verify that
	  abstract classes are not instantiated

2005-10-05 14:28  edwin

	* src/vm/jit/verify/typecheck.c: verify that the right <init> is
	  called for uninitialized references

2005-10-05 13:53  edwin

	* src/vm/: classcache.c, linker.c, jit/verify/typecheck.c: cache
	  self-reference of class in link_class_intern verify that the right
	  <init> method is called in <init> methods

2005-10-05 13:15  twisti

	* src/vm/jit/stack.c:
	  * show_icmd: Print string or classname for ACONSTs.

2005-10-05 12:37  twisti

	* src/vm/string.c:
	  * literalstring_u2: Bugfix when reorganizing the string hashtable,
	    the pointer to the current string was used as temp variable.

2005-10-05 11:20  edwin

	* src/vm/: resolve.c, jit/verify/typecheck.c: for INVOKESPECIAL:
	  check that it may only call <init>, a method of the current class,
	  or a method of a super class of the current class

2005-10-05 02:33  edwin

	* src/vm/: resolve.c, resolve.h: fix checking of protected members
	  (removed bogus test in resolve_method and skip array types in
	  resolve_and_check_subtype_set)

2005-10-05 00:41  edwin

	* src/vm/: loader.c, resolve.c, resolve.h: implement special lookup
	  for INVOKESPECIAL and super.* methods

2005-10-05 00:14  twisti

	* src/vm/jit/alpha/codegen.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * Removed NegativeArraySizeException stubs.
	  * createnativestub: Smaller code.

2005-10-04 23:54  twisti

	* src/vm/linker.c:
	  * config.h, types.h: Added.
	  * link_class_intern: Removed resolving of thrown exceptions.  This
	    is not required here, native.c (native_get_exceptiontypes) does this
	    on request (fixes jetty).  Normal exceptions are still left.

2005-10-04 23:40  twisti

	* src/vm/jit/i386/codegen.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * Removed NegativeArraySizeException stubs.
	  * createnativestub: Smaller code.

2005-10-04 23:36  twisti

	* src/vm/jit/i386/codegen.h:
	  * M_BNE: Added.

2005-10-04 23:13  twisti

	* src/vm/jit/i386/icmd_uses_reg_res.inc:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.

2005-10-04 22:19  twisti

	* src/vm/signal.c:
	  * Include cacao/cacao.h for cacao_exit.

2005-10-04 22:19  twisti

	* src/vm/initialize.c:
	  * initialize_class_intern: Removed unused variable i.

2005-10-04 21:38  twisti

	* tests/regression/: clinitexception.2output, extest.2output:
	  * Adapted output.

2005-10-04 21:38  twisti

	* tests/regression/jctest.java:
	  * Print exception in catch.

2005-10-04 21:36  twisti

	* tests/regression/extest.java:
	  * Changed and added NegativeArraySizeException tests.

2005-10-04 21:03  edwin

	* src/vm/jit/verify/typecheck.c: added a large comment explaining
	  the typechecker

2005-10-04 20:57  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.
	  * ICMD_BUILTIN: Check for exception if iptr->op1 == true (mauve
	  fix).
	  * ICMD_MULTIANEWARRAY: Check for exception (mauve fix).
	  * Removed NegativeArraySizeException stubs.
	  * createnativestub: Smaller code.

2005-10-04 20:55  twisti

	* src/vm/jit/verify/typecheck.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.

2005-10-04 20:54  twisti

	* src/vm/jit/loop/tracing.c:
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.

2005-10-04 20:53  twisti

	* src/vm/jit/: reg.inc, stack.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * ICMD_BUILTIN, ICMD_INVOKE*: Use md->paramcount instead of
	  iptr->op1.

2005-10-04 20:52  twisti

	* src/vm/jit/parse.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * BUILTIN: Set iptr->op1 to true if we have to check for an
	  exception.

2005-10-04 20:51  twisti

	* src/vm/jit/lsra.inc:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * Added an #error for the iptr->op1 changes, i don't know if lsra
	    compiles or even works, so...

2005-10-04 20:50  twisti

	* src/vm/jit/jit.h:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.

2005-10-04 20:49  twisti

	* src/vm/jit/jit.c:
	  * ICMD_CHECKASIZE, ICMD_CHECKEXCEPTION: Removed.
	  * Compile warning fix.

2005-10-04 20:47  twisti

	* src/vm/jit/parse.h:
	  * OP, OP1, OP2I: Reformatted.

2005-10-04 20:45  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * stacktrace_inline_negativearraysizeexception: Removed.

2005-10-04 20:45  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_XOR, M_BNE: Added.

2005-10-04 20:33  twisti

	* src/vm/jit/mips/: asmpart.S, codegen.c, codegen.h, disass.c,
	  md-abi.c, md.c, patcher.c, irix/md-os.c:
	  * types.h: Include path fixes.

2005-10-04 20:31  twisti

	* src/vm/jit/mips/Makefile.am:
	  * asmoffsets.h, types.h: Removed.

2005-10-04 12:03  twisti

	* src/vm/jit/arm/.cvsignore:
	  * offsets.h: Added.

2005-10-04 12:00  twisti

	* src/vm/initialize.c:
	  * initialize_class_intern: Do not initialize interfaces implemented
	    (VM Spec 2.17.4 and mauve test).

2005-09-30 14:16  twisti

	* src/lib/Makefile.am:
	  * Forgot to prefix the java files with $(top_srcdir)/src/lib/.

2005-09-30 13:17  twisti

	* configure.in:
	  * setenvinstalled, setenvsource: Added.

2005-09-30 13:16  twisti

	* contrib/: .cvsignore, Makefile.am, debugSetPathes,
	  setenvinstalled.in, setenvsource.in:
	  * debugSetPathes: Removed.
	  * setenvinstalled, setenvsource: Added, set the environment
	    variables for both cases: GNU classpath and CACAO not installed
	    (setenvsource) and GNU classpath installed, but CACAO's not
	  (setenvinstalled).

2005-09-29 16:46  twisti

	* tests/: .cvsignore, native/.cvsignore:
	  * Added *.class

2005-09-29 16:38  twisti

	* tests/: extest.2output, extest.java, extest.output:
	  * Now in regression.

2005-09-29 16:36  twisti

	* tests/regression/Makefile.am:
	  * GNU classpath removal changes.

2005-09-29 16:36  twisti

	* tests/regression/.cvsignore:
	  * Added *.class

2005-09-29 16:31  twisti

	* src/native/: Makefile.am, vm/VMSystemProperties.c:
	  * GNU classpath removal changes.

2005-09-29 16:29  twisti

	* src/vm/jit/Makefile.am:
	  * DIST_SUBDIRS: Removed arm.

2005-09-29 16:28  twisti

	* src/vm/loader.c:
	  * loader_load_all_classes: Also skip *.png files.

2005-09-29 16:28  twisti

	* src/vm/: builtin.c, global.h:
	  * GNU classpath removal changes.

2005-09-29 16:23  twisti

	* m4/: accross.m4, iconv.m4, lib-ld.m4, lib-link.m4, lib-prefix.m4:
	  * Taken from GNU classpath for stuff we need in our configure too.

2005-09-29 16:22  twisti

	* src/native/tools/Makefile.am:
	  * GNU classpath removal changes.

2005-09-29 16:22  twisti

	* src/native/tools/gennativetable.c:
	  * types.h: Path fix.

2005-09-29 16:17  twisti

	* src/: cacao/Makefile.am, cacao/cacao.c, cacaoh/Makefile.am,
	  cacaoh/cacaoh.c, native/include/Makefile.am:
	  * GNU classpath removal changes.

2005-09-29 16:13  twisti

	* autogen.sh:
	  * Removed src/classpath.

2005-09-29 16:13  twisti

	* configure.in:
	  * Changes related to GNU classpath removal.

2005-09-29 16:12  twisti

	* Makefile.am:
	  * ACLOCAL_AMFLAGS: Removed -I src/classpath/m4.

2005-09-29 15:08  twisti

	* src/Makefile.am:
	  * classpath: Removed.
	  * fdlibm: Added.

2005-09-29 15:07  twisti

	* src/lib/Makefile.am:
	  * JAVA_VM_FILES: Fixed pathes.
	  * vm.zip: Install in pkgdata directory.

2005-09-29 15:06  twisti

	* src/lib/vm/reference/: gnu/classpath/VMStackWalker.java,
	  gnu/classpath/VMSystemProperties.java,
	  gnu/classpath/jdwp/VMFrame.java,
	  gnu/classpath/jdwp/VMIdManager.java,
	  gnu/classpath/jdwp/VMVirtualMachine.java,
	  gnu/java/nio/VMPipe.java, gnu/java/nio/VMSelector.java,
	  java/io/VMFile.java, java/io/VMObjectInputStream.java,
	  java/io/VMObjectStreamClass.java, java/lang/VMClass.java,
	  java/lang/VMClassLoader.java, java/lang/VMCompiler.java,
	  java/lang/VMDouble.java, java/lang/VMFloat.java,
	  java/lang/VMObject.java, java/lang/VMProcess.java,
	  java/lang/VMRuntime.java, java/lang/VMString.java,
	  java/lang/VMSystem.java, java/lang/VMThread.java,
	  java/lang/VMThrowable.java, java/lang/reflect/Constructor.java,
	  java/lang/reflect/Field.java, java/lang/reflect/Method.java,
	  java/lang/reflect/VMProxy.java, java/net/VMInetAddress.java,
	  java/net/VMNetworkInterface.java,
	  java/nio/VMDirectByteBuffer.java,
	  java/nio/channels/VMChannels.java,
	  java/security/VMAccessController.java, java/util/VMTimeZone.java:
	  * VM interface classes, copied from src/classpath.

2005-09-29 15:01  twisti

	* src/cacaoh/.cvsignore:
	  * cacaoh: Added.

2005-09-29 15:01  twisti

	* src/cacao/.cvsignore:
	  * cacao: Added.

2005-09-29 14:16  twisti

	* src/fdlibm/: .cvsignore, Makefile.am, e_fmod.c, fdlibm.h,
	  ieeefp.h, java-assert.h, mprec.h, s_copysign.c, s_finite.c,
	  w_fmod.c:
	  * Slim fdlibm version from GNU classpath, we need these functions
	    (finite, fmod, copysign) since on some OSs the fmod does not work
	    like java would like to have it (e.g. IRIX).  So we do not link
	    against the system libm, but this one.

2005-09-29 14:04  twisti

	* src/vm/jit/: alpha/.cvsignore, i386/.cvsignore, mips/.cvsignore,
	  powerpc/.cvsignore, x86_64/.cvsignore:
	  * offsets.h: Added.

2005-09-29 14:01  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Renamed _exceptionptr to
	    _no_threads_exceptionptr, fixed compile warnings with
	  --disable-threads.

2005-09-28 17:56  twisti

	* src/vm/jit/arm/: Makefile.am, asmpart.S, codegen.c, md-abi.c,
	  md.c, patcher.c:
	  * Include fixes (types.h, asmoffsets.h).

2005-09-28 17:55  twisti

	* src/vm/jit/arm/: disass.c, disass.h:
	  * Unified disassembler interface.

2005-09-28 17:54  twisti

	* src/vm/jit/arm/: ansidecl.h, bfd.h, symcat.h:
	  * Required by binutils disassembler, we better check them in.

2005-09-28 16:04  twisti

	* configure.in:
	  * src/scripts/kjc, src/vm/jit/arm/Makefile: Removed.

2005-09-28 16:03  twisti

	* src/scripts/: .cvsignore, Makefile.am:
	  * kjc: Removed.

2005-09-28 16:01  twisti

	* contrib/Makefile.am:
	  * java-getopt, kjc: Removed, since debian does not accept binary
	  stuff.

2005-09-28 14:10  twisti

	* configure.in:
	  * Added armv4tl.

2005-09-28 12:36  twisti

	* src/vm/: class.c, class.h, linker.c, loader.c:
	  * class_java_lang_Thread, class_java_lang_VMThread: Added.

2005-09-28 01:04  twisti

	* src/vm/builtin.c:
	  * methodindent: Made it an s4, caused a problem on 32-bit (i386).

2005-09-28 01:03  twisti

	* src/vm/signal.c:
	  * signal_handler_sigint: Added, exits properly on <ctrl>-c.

2005-09-28 00:40  twisti

	* src/scripts/kjc.in:
	  * We don't need it.

2005-09-28 00:39  twisti

	* contrib/: java-getopt-1.0.11.jar, kjc-2.2C-bin.jar:
	  * Debian does not allow binary stuff, so we just remove it. And i
	    think we don't need it actually.

2005-09-28 00:11  twisti

	* src/native/vm/VMClass.c:
	  * getDeclaredMethods: Removed setfield_critical, set instance fields
	    directly; fixed code indent.
	  * getModifiers: Implemented correctly, return the inner class flags.
	    Mauve test and tomcat 4 are ok.

2005-09-28 00:07  twisti

	* src/vm/jit/i386/asmpart.S:
	  * asm_calljavafunction2: Fixed stackframe size bug.
	  * Fixed code indent.

2005-09-27 16:12  twisti

	* src/vm/jit/alpha/: asmpart.S, disass.c, md-abi.c, md.c,
	  patcher.c:
	  * types.h: Include fixes.

2005-09-27 16:08  twisti

	* src/vm/jit/alpha/codegen.c:
	  * createnativestub: Fixed stackframeinfo offset.
	  * Include fixes.

2005-09-27 16:05  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * types.h: Fixed include path.

2005-09-27 16:03  twisti

	* src/vm/jit/alpha/Makefile.am:
	  * types.h: Removed.

2005-09-25 00:52  twisti

	* src/vm/jit/intrp/engine.c:
	  * builtin_throw: Don't pass line to builtin_trace_exception.

2005-09-22 01:10  twisti

	* src/native/include/Makefile.am:
	  * java_nio_DirectByteBufferImpl.h: Added.

2005-09-22 01:06  twisti

	* src/native/jni.c:
	  * callLongMethod: Fixed argcount.
	  * cacao_jni_CallVoidMethod: Added.
	  * NewObject: Use cacao_jni_CallVoidMethod and support varargs.
	  * GetPrimitiveArrayCritical, ReleasePrimitiveArrayCritical:
	  Implemented.
	  * NewDirectByteBuffer, GetDirectBufferAddress,
	    GetDirectBufferCapacity: Likewise.

2005-09-21 23:25  twisti

	* src/cacaoh/headers.c:
	  * new_classnotfoundexception: Added.

2005-09-21 23:24  twisti

	* src/cacao/cacao.c:
	  * Renamed verboseexception to opt_verboseexception.

2005-09-21 23:20  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * Renamed _exceptionptr to _no_threads_exceptionptr.
	  * asm_handle_exception: Pass indent flag correctly to
	    builtin_trace_exception.
	  * asm_wrapper_patcher: Changes stackframe size due to size change of
	    stackframeinfo.

2005-09-21 23:17  twisti

	* autogen.sh:
	  * libffi: Added.

2005-09-21 23:16  twisti

	* src/vm/jit/x86_64/: dis-asm.h, disass.c, codegen.h:
	  * types.h include fixes.

2005-09-21 23:14  twisti

	* src/vm/jit/x86_64/Makefile.am:
	  * types.h: Removed.

2005-09-21 23:13  twisti

	* src/vm/jit/x86_64/emitfuncs.c:
	  * Includes fixed.
	  * addi-lea optimization added, but not enabled.

2005-09-21 23:12  twisti

	* src/vm/jit/x86_64/: patcher.c, md-abi.c, emitfuncs.h:
	  * Include fixes.

2005-09-21 22:24  twisti

	* src/vm/: options.c, options.h:
	  * Renamed verboseexception to opt_verboseexception.

2005-09-21 22:23  twisti

	* src/vm/loader.c:
	  * Mauve test fixes: check for bad array name and stuff like that.
	  * Started to remove LOADER_INC/LOADER_DEC, i don't think this is
	    required anymore and pollutes the code.

2005-09-21 22:22  twisti

	* src/vm/method.h:
	  * config.h, vm/types.h: Added.

2005-09-21 22:21  twisti

	* src/vm/linker.c:
	  * link_primitivetype_table: Set correct flags (taken from jamvm,
	    maybe without ACC_ABSTRACT, not mentioned in VM Spec), don't add
	    primitives to the classcache, throw exception instead of an assert
	  (mauve test).

2005-09-21 22:20  twisti

	* src/vm/linker.h:
	  * Added comments.

2005-09-21 22:19  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtin_trace_exception: Don't pass line, renamed noindent to
	    indent, check for opt_verboseexception and print stacktrace. TODO:
	    print stacktrace in C code.

2005-09-21 22:18  twisti

	* src/vm/: exceptions.c, exceptions.h:
	  * new_classnotfoundexception: Added.

2005-09-21 22:18  twisti

	* src/vm/classcache.c:
	  * classcache_lookup_name, classcache_new_name: Speed up lookup in
	    external chain.
	  * Some reformatting.

2005-09-21 22:02  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_add: Added.

2005-09-21 22:01  twisti

	* src/native/vm/VMRuntime.c:
	  * nativeLoad: Use lt_dlopen instead of lt_dlopenext.
	  * mapLibraryName: Append platform specific suffix.

2005-09-21 21:41  twisti

	* src/vm/class.c:
	  * class_set_packagename: Set the packagename of an array class to
	    the one of the component.

2005-09-21 21:41  twisti

	* src/vm/class.h:
	  * Include fixes.

2005-09-21 21:38  twisti

	* src/vm/access.c:
	  * is_accessible_class: Removed array comment.

2005-09-21 21:36  twisti

	* src/native/vm/VMClass.c:
	  * forName: Mauve fix, check for '/' in class name.
	  * getModifiers: Mauve fix, return innerclass modifiers if requested.

2005-09-21 21:34  twisti

	* src/native/vm/VMClassLoader.c:
	  * nativeGetResources: Mauve fix, check for classes.
	  * findLoadedClass: Mauve fix, replace '.' by '/' and call
	    classcache_lookup_defined first.

2005-09-21 21:30  twisti

	* src/native/vm/VMSystemProperties.c:
	  * Added comments.

2005-09-21 20:37  twisti

	* src/vm/jit/intrp/java.vmg:
	  * Added 1000 static superinstructions.

2005-09-21 19:49  twisti

	* src/Makefile.am:
	  * Added libffi stuff.

2005-09-21 17:33  twisti

	* src/threads/native/generic-primitives.h:
	  * atomic_add, compare_and_swap: Generic implementation (pthreads).

2005-09-21 17:33  twisti

	* src/threads/native/threads.c:
	  * Added interpreter stack stuff.

2005-09-21 17:32  twisti

	* src/threads/native/threads.h:
	  * nativethread: Added _global_sp for interpreter.

2005-09-21 17:32  twisti

	* src/native/jni.c:
	  * callObjectMethod, callIntegerMethod,
	    jni_method_invokeNativeHelper: Fixed argcount value.
	  * callLongMethod, callFloatMethod: Added assert, implement them
	    correctly when they occur.
	  * FindClass: Architecture defines fixed.

2005-09-21 16:59  twisti

	* src/vm/jit/intrp/: codegen.c, engine.c, intrp.h, java.vmg:
	  * Bugfixes, some optimizations.

2005-09-21 16:59  twisti

	* src/vm/jit/intrp/arch.h:
	  * Fixed header text.

2005-09-21 16:59  twisti

	* src/vm/jit/intrp/patcher.c:
	  * Fixed includes.

2005-09-21 16:58  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Added interpreter stuff.

2005-09-21 16:55  twisti

	* src/vm/: options.c, options.h:
	  * opt_stacksize, opt_static_supers: Added.

2005-09-21 16:54  twisti

	* src/cacao/cacao.c:
	  * STACK_SIZE, intrp_main_stack: Added.
	  * OPT_STATIC_SUPERS, OPT_TRACE: Added.

2005-09-21 16:46  twisti

	* src/cacao/Makefile.am:
	  * FFI_LIB: Added.

2005-09-21 16:45  twisti

	* src/cacao/cacao.h:
	  * intrp_main_stack: Declared.

2005-09-21 16:09  twisti

	* src/vm/: builtin.c, string.c, tables.c, tables.h:
	  * types.h include fixes.

2005-09-21 15:39  twisti

	* configure.in:
	  * Check for --disable-jit/--disable-intrp and
	  --enable-jit/--enable-intrp.
	  * Use libffi.

2005-09-21 15:22  twisti

	* src/vm/jit/x86_64/: asmpart.S, codegen.c:
	  * Include methodheader.h instead of asmoffsets.h.

2005-09-21 15:22  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * thread_restartcriticalsection: Removed, should be declared
	    somewhere else.

2005-09-21 14:11  twisti

	* src/vm/jit/powerpc/: Makefile.am, asmpart.S, codegen.c, disass.c,
	  md.c, patcher.c, linux/md-abi.c, linux/md-os.c:
	  * types.h include fixes.

2005-09-21 13:49  twisti

	* src/vm/jit/powerpc/darwin/: md-abi.h, md-abi.inc, md-asm.h:
	  * REG_ITMP3 changes: We cannot use r0 anymore, now it's r16.

2005-09-19 16:13  twisti

	* src/vm/Makefile.am:
	  * noinst_HEADERS: Added types.h.

2005-09-19 16:09  twisti

	* src/vm/jit/intrp/asmpart.c:
	  * Fixed includes.

2005-09-19 16:07  twisti

	* src/vm/jit/intrp/Makefile.am:
	  * AM_CFLAGS, noinst_HEADERS: Removed.
	  * INCLUDES: Added libffi include.

2005-09-19 16:04  twisti

	* src/vm/jit/intrp/md.c:
	  * Changed vm/jit/intrp/types.h include to vm/types.h.

2005-09-19 16:04  twisti

	* src/vm/jit/intrp/types.h:
	  * We now use a global vm/types.h.

2005-09-19 16:03  twisti

	* src/vm/jit/i386/: codegen.c, dis-asm.h, emitfuncs.c, emitfuncs.h,
	  md-abi.c, md.c, patcher.c, linux/md-os.c:
	  * Changed vm/jit/i386/types.h include to vm/types.h.

2005-09-19 16:03  twisti

	* src/vm/jit/i386/Makefile.am:
	  * asmoffsets.h, types.h: Removed.

2005-09-19 15:58  twisti

	* src/vm/jit/jit.c:
	  * Fixed includes.

2005-09-19 15:57  twisti

	* src/vm/jit/: inline/sets.c, parse.c:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:55  twisti

	* src/vm/jit/codegen.inc:
	  * Fixed includes (types.h, disass.h).

2005-09-19 15:54  twisti

	* src/vm/jit/disass.h:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:51  twisti

	* src/vm/jit/verify/typecheck.c:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:48  twisti

	* src/vm/jit/patcher.h:
	  * Changed types.h include to vm/types.h.
	  * patcher_resolve_native: Enclose in !defined(ENABLE_STATICVM).

2005-09-19 15:31  twisti

	* src/vm/jit/tools/genoffsets.c:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:31  twisti

	* src/vm/jit/stacktrace.h:
	  * Changed types.h include to vm/types.h.
	  * exceptionentry: Added.
	  * stacktrace_create_stackframeinfo: Added.

2005-09-19 15:27  twisti

	* src/native/jni.h:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:27  twisti

	* src/vm/jit/reg.h:
	  * Fixed includes.

2005-09-19 15:25  twisti

	* src/vm/jit/stack.c:
	  * Disabled some stuff for the interpreter.
	  * Fixed includes.

2005-09-19 15:11  twisti

	* src/vm/jit/codegen.inc.h:
	  * Changed types.h include to vm/types.h.
	  * codegendata: Added last_compiled for intrp.

2005-09-19 15:05  twisti

	* src/: toolbox/util.c, cacaoh/cacaoh.c, mm/boehm.h, mm/memory.h:
	  * Changed types.h include to vm/types.h.

2005-09-19 15:05  twisti

	* src/native/: vm/Method.c, vm/VMClass.c, vm/VMClassLoader.c,
	  vm/VMThread.c, native.c:
	  * Changes types.h include to vm/types.h.

2005-09-19 15:02  twisti

	* src/vm/: jit/alpha/types.h, jit/i386/types.h, jit/mips/types.h,
	  jit/powerpc/types.h, jit/x86_64/types.h, jit/arm/types.h,
	  types.h:
	  * Use one global vm/types.h and check unknow pointer size in that
	  file.

2005-09-19 14:59  twisti

	* src/native/vm/FileChannelImpl.c:
	  * Unused since... a long time.

2005-09-19 13:30  twisti

	* src/vm/jit/intrp/intrp.h:
	  * Double_Store: 32-bit fix.

2005-09-19 13:29  twisti

	* src/vm/jit/i386/asmpart.S:
	  * Include methodheader.h instead of asmoffsets.h.

2005-09-19 13:29  twisti

	* src/vm/jit/i386/codegen.c: # Fixed includes.
	  * codegen_stubcalled: Removed.

2005-09-19 13:14  twisti

	* src/cacao/cacao.c:
	  * Removed unsued threadrootmethod.

2005-09-19 11:21  twisti

	* src/native/native.h:
	  * Fixed comments.

2005-09-19 11:20  twisti

	* src/native/include/: .cvsignore, Makefile.am:
	  * gnu_classpath_Pointer32.h, gnu_classpath_Pointer64.h,
	    java_nio_Buffer.h: Added.

2005-09-19 11:03  twisti

	* src/lib/Makefile.am:
	  * JAVA_VM_FILES: Added some new 0.18 files and ordered.

2005-09-19 11:02  twisti

	* src/mm/memory.c:
	  * Use DUMPINFO macro to get non-/threaded dumpinfo.

2005-09-17 13:15  twisti

	* src/vm/jit/stacktrace.h:
	  * stackframeinfo: Removed addressOfThreadspecificHead, renamed
	    oldThreadspecificHeadValue to prev and changed type to
	    stackframeinfo*.

2005-09-17 13:14  twisti

	* src/vm/jit/stacktrace.c:
	  * Include methodheader.h instead of asmoffsets.h.
	  * STACKFRAMEINFO, _no_threads_stackframeinfo: Added.

2005-09-17 12:37  twisti

	* src/vm/: builtin.c, builtin.h:
	  * _threadrootmethod, _thread_nativestackframeinfo,
	    builtin_get_dontfillinexceptionstacktrace,
	    builtin_get_threadrootmethod, builtin_get_stackframeinfo,
	  builtin_stacktrace_copy: Removed.

2005-09-17 12:27  twisti

	* src/vm/exceptions.h:
	  * _exceptionptr: Renamed to _no_threads_exceptionptr.
	  * _dontfillinexceptionstacktrace, _threadrootmethod: Removed.

2005-09-17 12:25  twisti

	* src/vm/exceptions.c:
	  * Renamed _exceptionptr to _no_threads_exceptionptr.
	  * Removed _dontfillinexceptionstacktrace.

2005-09-17 12:25  twisti

	* src/cacaoh/headers.c:
	  * Renamed _exceptionptr to _no_threads_exceptionptr.

2005-09-16 19:12  twisti

	* src/vm/builtin.c:
	  * builtin_clone_array: Cast fix.
	  * builtin_get_stackframeinfo: Renamed from
	  builtin_asm_get_stackframeinfo.
	  * builtin_asm_get_threadrootmethod, builtin_stacktrace_copy:
	  Removed.

2005-09-16 18:47  twisti

	* src/vm/jit/: alpha/asmoffsets.h, arm/asmoffsets.h,
	  methodheader.h, i386/asmoffsets.h, mips/asmoffsets.h,
	  powerpc/asmoffsets.h, x86_64/asmoffsets.h:
	  * Moved asmoffsets.h to a global methodheader.h.

2005-09-16 14:32  twisti

	* src/native/native.h:
	  * native_library_hash_find: Declaration added.

2005-09-16 14:32  twisti

	* src/vm/jit/asmpart.h:
	  * asm_cacheflush: Declaration added.

2005-09-16 14:31  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * asm_cacheflush: Declaration removed.
	  * Compiler warning fixes.

2005-09-16 14:31  twisti

	* tests/regression/extest.2output:
	  * Update.

2005-09-16 14:15  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_createnativestub: Compiler warning fix.

2005-09-16 14:08  twisti

	* src/vm/loader.c:
	  * load_newly_created_array: Set clone() method to ACC_NATIVE, since
	    this is a native function call (required for interpreter). It also
	    gives a better stacktrace.

2005-09-16 14:05  twisti

	* src/vm/statistics.c:
	  * print_time, print_stats: Output reformated.

2005-09-16 13:53  twisti

	* src/native/vm/: VMAccessController.c, VMStackWalker.c:
	  * Fixed architecture and interpreter defines: who supports what in
	    which configuration.

2005-09-16 13:33  twisti

	* src/cacaoh/headers.c:
	  * intrp_main_stack: Added.

2005-09-16 10:42  twisti

	* src/vm/jit/intrp/disass.h:
	  * Unified disassembler interface.

2005-09-16 09:49  twisti

	* src/vm/jit/mips/: disass.c, disass.h:
	  * Unified disassembler interface.

2005-09-16 09:48  twisti

	* src/vm/jit/mips/asmpart.S:
	  * Bugfix: Used wrong register define.

2005-09-15 22:19  twisti

	* src/cacaoh/cacaoh.c:
	  * main: Removed log_cputime call.

2005-09-15 22:07  twisti

	* src/toolbox/: logging.c, logging.h:
	  * log_cputime: Removed (unused).

2005-09-15 21:36  twisti

	* src/vm/jit/alpha/: disass.c, disass.h:
	  * Unified disassembler interface.

2005-09-15 21:19  twisti

	* src/vm/jit/powerpc/: disass.c, disass.h:
	  * Unified disassembler interface.

2005-09-15 17:53  twisti

	* src/vm/jit/intrp/: codegen.c, disass.c, engine.c, intrp.h,
	  java.vmg, peephole.c:
	  * Superinstructions added.

2005-09-14 20:36  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_wrapper_patcher: Fixed 16-byte stackframe alignment (movaps
	    problem, again).

2005-09-14 20:13  twisti

	* src/vm/jit/x86_64/: disass.c, disass.h:
	  * Unified disassembler interface.

2005-09-14 20:03  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h, disass.h, jit.c,
	  stack.c, i386/disass.c, i386/disass.h:
	  * Unified disassembler interface.

2005-09-14 10:51  twisti

	* src/vm/jit/intrp/: asmpart.c, codegen.c, codegen.h, engine.c,
	  intrp.h, java.vmg, md.c, patcher.c, peephole.c:
	  * Most stuff implemented (stacktraces, ...), stuff working: spec
	    jvm98, tomcat{3,4,5} (start up but don't deliver content), some
	    dacapo benchmarks

2005-09-12 23:23  twisti

	* src/Makefile.am:
	  * Removed or commented ffcall stuff, this fixes autogen.sh problems.

2005-09-12 10:59  twisti

	* src/vm/: builtin.c, builtin.h:
	  * intBitsToFloat, longBitsToDouble: Made static.
	  * Some minor changes.

2005-09-12 10:09  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_get_putstatic: Fixed cast for disp.

2005-09-12 09:42  twisti

	* src/native/vm/VMRuntime.c:
	  * nativeLoad: Call JNI_OnLoad if the functions is available. This
	    fixes the AttachCurrentThread problem with eclipse.

2005-09-11 00:14  twisti

	* src/native/vm/VMRuntime.c:
	  * mapLibraryName: Don't add extension.

2005-09-10 22:33  twisti

	* tests/regression/Test.sh:
	  * Diff unified and with head.

2005-09-10 22:32  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c, codegen.h, patcher.c:
	  * Fixed load displacement overflows (one bug still left).
	  * Pass load/store offset to patcher functions.

2005-09-10 22:31  twisti

	* src/vm/jit/powerpc/darwin/md-abi.inc:
	  * Added comments.

2005-09-10 22:30  twisti

	* src/vm/jit/powerpc/linux/: md-abi.h, md-abi.inc, md-asm.h:
	  * We can't use r0 as REG_ITMP3, use r16 instead.

2005-09-10 18:34  twisti

	* src/native/vm/VMSystemProperties.c:
	  * Added #include "vm/options.h".

2005-09-10 18:28  twisti

	* src/native/vm/VMSystemProperties.c:
	  * preInit: Added java.vm.info.

2005-09-10 17:55  twisti

	* Makefile.am:
	  * ACLOCAL_AMFLAGS: Added, fixes problems with aclocal while
	  reconfiguring.

2005-09-10 17:09  twisti

	* src/native/vm/VMStackWalker.c:
	  * getCallingClassLoader: Fixed #ifdef.

2005-09-10 16:33  twisti

	* src/native/vm/VMClassLoader.c:
	  * findLoadedClass: Added.

2005-09-10 16:31  twisti

	* src/native/: include/.cvsignore, include/Makefile.am,
	  vm/Makefile.am, vm/Proxy.c, vm/VMProxy.c:
	  * Proxy to VMProxy changes.

2005-09-10 16:29  twisti

	* src/native/native.c:
	  * Proxy to VMProxy changes.
	  * native_library_hash_find: Added.

2005-09-10 16:07  twisti

	* src/native/include/: .cvsignore, Makefile.am:
	  * Changed RawData to Pointer (classpath-0.18 change).

2005-09-10 15:28  twisti

	* src/native/vm/VMThrowable.c:
	  * fillInStackTrace: Check return value of
	    cacao_stacktrace_NormalTrace.  Removed dontfillinexceptionstacktrace
	  check, i have to think about this.

2005-09-10 15:21  twisti

	* src/native/vm/VMClass.c:
	  * forName: Changed to
	    (Ljava/lang/String;ZLjava/lang/ClassLoader;)Ljava/lang/Class;
	  version and enabled the code (classpath-0.18).
	  * initialize, loadArrayClass: Removed.

2005-09-05 23:58  twisti

	* src/vm/loader.c:
	  * Added ENABLE_INTRP define (this is more like a hack, maybe this
	    should be fixed somewhen).

2005-09-05 23:48  twisti

	* src/vm/jit/: stack.c, stack.h:
	  * Added ENABLE_INTRP defines.

2005-09-05 23:44  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * Added __INTRP__ define.

2005-09-05 23:42  twisti

	* src/vm/jit/jit.c:
	  * Added ENABLE_JIT, ENABLE_INTRP defines to handle linking problems.

2005-09-05 23:39  twisti

	* src/vm/: options.c, options.h:
	  * Added opt_jit, opt_intrp
	  * Added temporary vm_debug (for intrp tracing)

2005-09-05 22:20  twisti

	* src/vm/jit/patcher.h:
	  * PATCHER_checkcast_instanceof: Added for intrp.

2005-09-05 22:19  twisti

	* src/native/vm/VMStackWalker.c:
	  * Disable the stackwalker stuff for the intrp for now...

2005-09-05 22:13  twisti

	* src/native/include/Makefile.am:
	  * Bugfix: Use rt.jar in CLASSPATH

2005-09-05 22:12  twisti

	* src/cacao/cacao.c:
	  * Added options: -Xjit, -Xint

2005-09-05 22:11  twisti

	* src/cacao/Makefile.am:
	  * Added ffcall library for intrp.

2005-09-05 22:00  twisti

	* src/Makefile.am:
	  * Added ffcall for intrp

2005-09-05 21:58  twisti

	* configure.in:
	  * Added intrp stuff
	  * Added some additional checks, e.g. so we don't have to configure
	    all subpackages

2005-09-05 19:41  twisti

	* src/vm/signal.c:
	  * Added ENABLE_JIT, ENABLE_INTRP defines.

2005-09-05 17:14  twisti

	* src/vm/jit/Makefile.am:
	  * Added ENABLE_INTRP stuff.

2005-09-05 17:12  twisti

	* src/vm/jit/intrp/codegen.c:
	  * POP/DUP/DUP_Xx fixes for longs: we need to undo our changes in
	  stack.c.

2005-09-02 17:18  twisti

	* src/vm/jit/: alpha/types.h, i386/types.h, mips/types.h,
	  powerpc/types.h:
	  * Changed _TYPES_H define to _CACAO_TYPES_H

2005-09-02 17:17  twisti

	* src/vm/jit/intrp/: codegen.c, intrp.h, java.vmg:
	  * More interpreter files (important ones).

2005-09-02 17:16  twisti

	* src/vm/jit/intrp/.cvsignore:
	  * Ignore some files.

2005-09-02 17:15  twisti

	* src/vm/jit/intrp/: Makefile.am, arch.h, asmpart.c, codegen.h,
	  disasm.c, disass.c, disass.h, engine.c, md.c, patcher.c,
	  peephole.c, types.h: started reintegrating interpreter

2005-08-24 02:11  michi

	* src/native/vm/VMAccessController.c:
	  * added arm defines

2005-08-23 16:54  cacao

	* src/vm/jit/mips/Makefile.am:
	  * SUBDIRS: Changed to OS_DIR

2005-08-23 16:53  cacao

	* src/vm/jit/mips/linux/: .cvsignore, Makefile.am, md-os.c:
	  * MIPS Linux stuff.

2005-08-23 16:45  cacao

	* src/vm/builtin.c:
	  * builtin_multianewarray: Handle MIPS32 correctly (s4 in an s8 slot)
	  * builtin_trace_exception: Removed methodindent, i think we don't
	    need this anymore; Added descriptor output
	  * builtin_trace_args: Support for TRACE_ARGS_NUM == 2
	  * builtin_lxxx: Made functions debug-friendlier, the generated code
	    stays the same, just the source is a bit longer

2005-08-23 16:34  cacao

	* src/vm/builtin.h:
	  * builtin_new: Removed i386 asm_builtin_new define
	  * builtin_trace_args: Added handling of TRACE_ARGS_NUM == 2

2005-08-23 00:41  twisti

	* src/vm/exceptions.c:
	  * throw_exception_exit_intern: Print detail message for an exception
	    case during the printStackTrace() call, if available.

2005-08-21 19:30  michi

	* src/vm/jit/arm/codegen.c:
	  * patchers now preserve REG_ITMP3
	  * fixed ICMD_FNEG and ICMD_DNEG (problem with -0.0)
	  * fixed ICMD_PUTFIELD (unresolved longs work now)

2005-08-21 19:25  michi

	* src/vm/jit/arm/asmpart.S: asm_wrapper_patcher: now preserves
	  ITMP3; updated comments

2005-08-18 09:44  twisti

	* tests/regression/: jctest.java, jctest.output:
	  * testlong: added IF_Lxx tests, fixed IF_LCMPxx tests

2005-08-18 01:57  michi

	* src/vm/jit/arm/: codegen.h, codegen.c:
	  * implemented big-endian-arms
	  * new macro M_STACK_[LOAD|STORE]_FLT_TYPED to make things easier

2005-08-18 01:47  michi

	* src/vm/jit/codegen.inc:
	  * implemented big-endian-arms
	  * dseg_adds8: removed defines (arm now uses it)

2005-08-18 01:43  michi

	* src/vm/jit/parse.c:
	  * removed arm defines (ICMD_FREM and ICMD_DREM cannot be used)

2005-08-18 01:36  michi

	* src/vm/jit/arm/md-abi.c:
	  * implemented big-endian-arms

2005-08-18 01:35  michi

	* src/vm/jit/arm/: arm-dis.c, arm-opc.h, dis-asm.h:
	  * imported from gdb-6.3 (with minor modifications)

2005-08-17 20:30  michi

	* src/vm/jit/arm/md-abi.h:
	  * implemented big-endian-arms
	  * new defines for BITMASKs used by M_LDM and M_STM
	  * REG_SPLIT is set to 16 (register name can be retrieved through
	  regs[])

2005-08-17 20:20  michi

	* src/vm/jit/arm/disass.c:
	  * regs: register names are more descriptive now; added REG_SPLIT
	  * disassinstr: GNU disassembler is called

2005-08-17 19:43  michi

	* src/vm/jit/arm/md.c:
	  * better use "ucontext.h" instead of "sys/ucontext.h"

2005-08-17 17:58  michi

	* src/vm/jit/arm/asmpart.S:
	  * implemented big-endian-arms
	  * asm_cacheflush: somehow broken; inserted hack

2005-08-15 03:37  michi

	* src/vm/jit/arm/md-asm.h:
	  * two new macros to save and restore regs

2005-08-15 03:30  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_call_jit_compiler: methodinfo pointer is passed via IP (not
	  stack anymore)
	  * asm_call_jit_compiler: patching of method address finally works
	  now!
	  * lots of smaller improvements (nearly everywhere)

2005-08-15 01:36  michi

	* configure.in:
	  * added armv5b architecture

2005-08-09 17:10  michi

	* src/vm/jit/arm/md.c:
	  * addapted codegen_findmethod() to new RECOMPUTE_IP

2005-08-09 17:06  michi

	* src/vm/jit/arm/arch.h: enabled USE_CODEMMAP and
	  CONDITIONAL_LOADCONST

2005-08-09 17:03  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * added ICMDs for CONDITIONAL_LOADCONST
	  * improved M_RECOMPUTE_IP (much shorter now)
	  * improved compilerstubs (methodinfo pointer is now passed via
	  REG_IP)
	  * improved sub and add with immediates (M_[ADD|SUB]_IMM_EXT_MUL4)
	  * added some ENABLE_SOFT_FLOAT defined (more to come)
	  * splittet longs are now loaded from stack position zero
	  * renamed a into disp at most places
	  * fixed ICMD_ATHROW (no LR needed here!)
	  * fixed splitting of float reg arg -> register
	  * fixed two bugs in F2I and D2I (java uses round towards zero here)
	  * removed some comments and debuggers

2005-08-05 11:41  michi

	* src/vm/jit/reg.inc:
	  * reg_setup: fixed typo in register splitting

2005-08-05 11:39  michi

	* src/vm/jit/arm/md-abi.c:
	  * fixed typo in register splitting

2005-08-05 11:31  michi

	* src/vm/jit/arm/md-asm.h:
	  * fixed assembler warnings

2005-08-02 23:44  cacao

	* src/vm/jit/mips/patcher.c:
	  * Added MIPS32 support
	  * Use system cacheflush function to flush instruction cache

2005-07-30 22:05  michi

	* src/vm/jit/arm/codegen.h:
	  * fixed M_LDRD (offset displacement is only calculated once for low
	  and high part)

2005-07-30 22:03  michi

	* src/vm/jit/arm/codegen.c:
	  * fixed a lot in GETFIELD and PUTFIELD
	  * thread stuff implemented in CHECKCAST and INSTANCEOF
	  * patcher-stub no longer destroys ITMP2
	  * native-stub resolves native before stackframeinfo in generated
	  * native-stub places stackframeinfo at correct position now

2005-07-30 14:57  twisti

	* src/vm/jit/mips/codegen.c:
	  * Check for branch displacement overflow in patcher stub generation.

2005-07-29 13:43  michi

	* src/vm/jit/arm/patcher.c:
	  * patcher_get_putfield: fixed to handle new M_LDR and M_STR macro
	  with long offsets

2005-07-29 13:39  michi

	* src/vm/jit/arm/: Makefile.am, machine-instr.h:
	  * thread stuff added

2005-07-28 21:56  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Bug #8: Collectors should return a value, so we can catch OOM
	    errors.  Fixes one part of bug #8.

2005-07-28 21:47  twisti

	* src/threads/native/threads.c:
	  * Bug #5: tobj->info.next may be NULL, check that in while.

2005-07-28 21:34  twisti

	* src/threads/native/threads.c:
	  * Bug #5: Don't print threads which are currently in initialization.

2005-07-28 20:15  michi

	* src/vm/jit/arm/asmpart.S:
	  * thread stuff implemented (more to come)

2005-07-28 20:12  michi

	* src/vm/jit/arm/md.c:
	  * thread stuff implemented
	  * codegen_findmethod: can now handle 24bit

2005-07-28 20:06  michi

	* src/vm/jit/arm/codegen.c:
	  * thread stuff implemented (more to come)

2005-07-28 17:39  twisti

	* tests/regression/extest.2output:
	  * New output.

2005-07-28 12:56  michi

	* src/vm/jit/arm/patcher.c:
	  * addapted patchers to handle new M_LDR and M_STR macro with long
	    offsets (more to come!)

2005-07-28 12:41  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * new M_[LD|ST][R|F]* macros to handle large offsets; old ones are
	  called M_[LD|ST][R|F]*_INTERN now
	  * reordered some REG_ITMP*; reg_of_var() should never use REG_ITMP3!
	  * improved splitted args a lot; use macros SPLIT_* now
	  * renamed M_INTSTACK* to M_STACK_* (without splitting check!)
	  * renamed M_FLT[LOAD|STORE] to M_CAST_[FLT|INT]_TO_[INT|FLT]
	  * stackframe has correct size now

2005-07-28 00:20  twisti

	* src/vm/jit/alpha/codegen.h:
	  * M_FLD, M_DLD: Bugfix, we can't use `a' as temp register since it's
	    a floating pointer register. Use REG_ITMP3 instead.

2005-07-28 00:19  twisti

	* src/vm/jit/alpha/patcher.c:
	  * Removed unnecessary opt_showdisassemble stuff.

2005-07-27 23:18  twisti

	* src/boehm-gc/include/private/gcconfig.h:
	  * Bugfix from arm-linux, boehm works now.

2005-07-27 14:14  twisti

	* configure.in:
	  * Added src/vm/jit/mips/irix/Makefile

2005-07-27 14:14  twisti

	* src/vm/jit/mips/: Makefile.am, md.c, irix/.cvsignore,
	  irix/Makefile.am, irix/md-os.c:
	  * Added irix subdirectory.

2005-07-27 14:13  twisti

	* src/vm/jit/mips/codegen.h:
	  * Bugfix: Include config.h, SIZEOF_VOID_P was not defined
	  * Removed M_LDA for mips32

2005-07-27 14:12  twisti

	* tests/regression/Test.sh:
	  * Print name of test before it's run.

2005-07-27 12:36  twisti

	* src/vm/jit/mips/: asmpart.S, codegen.c, codegen.h, patcher.c:
	  * Handling of overflow in load/store intructions implemented.

2005-07-27 12:35  twisti

	* src/vm/jit/mips/md.c:
	  * codegen_findmethod: Implemented to work with 3 instruction case
	  too.  cvs:

	  ----------------------------------------------------------------------

2005-07-27 12:33  twisti

	* src/vm/jit/stacktrace.c:
	  * Warning fix

2005-07-26 15:00  twisti

	* tests/regression/: FieldDisplacementOverflow.java,
	  LoadDisplacementOverflow.java:
	  * RISC instruction overflow tests.

2005-07-25 01:35  michi

	* src/vm/jit/arm/codegen.h:
	  * enabled splitting of long/double arguments across reg/stack
	    (affected macros are load_var_to_reg_xxx, store_var_to_reg_xxx)
	    (had to make changes to M_INTMOVE, M_INTSTACK* and M_FLT* as well
	     but this changes will be moved out of the macros soon)

2005-07-25 01:07  twisti

	* src/vm/jit/alpha/codegen.c:
	  * Pass displacement to patcher functions.
	  * Use new M_LDA macros to calculate the current PV after jumps.
	  * Don't use REG_ITMP3 in reg_of_var calls: the new store macros use
	    the REG_ITMP3 register to calculate the address for 2-instruction
	  stores.

2005-07-25 01:04  twisti

	* src/vm/jit/alpha/: asmpart.S, patcher.c:
	  * Pass load/store displacement to the patcher functions. So we don't
	    have to read the displacement from the instruction and have no
	    problems with 2-instructions load/stores.

2005-07-25 01:02  twisti

	* src/vm/jit/alpha/md.c:
	  * codegen_findmethod: Use the new M_LDA macro after jumps.

2005-07-25 01:01  twisti

	* src/vm/jit/alpha/codegen.h:
	  * M_LDA, M_ILD, M_LLD, M_IST, M_LST, M_FLD, M_DLD, M_FST, M_DST:
	    Check for displacement overflow and generate 2 instructions (ldah).
	    Store instructions use REG_ITMP3 to calculate the address. Original
	    macros are now called M_xxx_INTERN.

2005-07-25 00:38  michi

	* src/vm/jit/arm/md-abi.c:
	  * enabled splitting of long/double arguments across reg/stack

2005-07-25 00:32  michi

	* src/vm/jit/codegen.inc: reg_of_var: Special handling of splittet
	  variables on arm.

2005-07-25 00:29  twisti

	* tests/regression/: Makefile.am, StackDisplacementOverflow.java,
	  StackDisplacementOverflow.output:
	  * Added StackDisplacementOverflow test.

2005-07-25 00:03  michi

	* src/vm/jit/reg.inc:
	  * reg_setup: Enabled splitting of long arguments across reg/stack on
	  arm.
	  * local_regalloc: Prevented reuse of float arguments as local
	  variables an arm.

2005-07-24 23:05  michi

	* src/vm/jit/arm/arch.h: renamed
	  SUPPORT_NO_FLOAT_ARGUMENT_REGISTERS to
	  SUPPORT_PASS_FLOATARGS_IN_INTREGS

2005-07-24 23:04  michi

	* src/vm/jit/stack.c:
	  * ICMD_INVOKE*: Renamed SUPPORT_NO_FLOAT_ARGUMENT_REGISTERS
	    to SUPPORT_PASS_FLOATARGS_IN_INTREGS and added a comment.

2005-07-24 22:18  michi

	* src/vm/loader.c:
	  * suck_double: On little endian ARMs with FPA, doubles
	    have big endian word order.

2005-07-24 01:57  michi

	* src/vm/jit/arm/codegen.c: [no log message]

2005-07-23 20:53  michi

	* src/vm/jit/arm/codegen.c:
	  * new macros REG_ITMP12_TYPED and REG_RESULT_TYPED make handling
	    of longs/doubles easier
	  * new macros for loading/storing integers from/to stack
	  * prepared for using lsra (not tested yet)
	  * added hack for float/double returns in NATIVES and BUILTINS

2005-07-23 20:49  michi

	* src/vm/jit/arm/codegen.h:
	  * new macros REG_ITMP12_TYPED and REG_RESULT_TYPED make handling
	    of longs/doubles easier
	  * new macros for loading/storing integers from/to stack
	  * M_COPY: reg_of_var() is called at first! (bugfix)

2005-07-23 20:37  michi

	* src/vm/jit/arm/md-abi.h:
	  * new macros REG_ITMP12_TYPED and REG_RESULT_TYPED make handling
	    of longs/doubles easier

2005-07-23 04:51  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_call_jit_compiler: method pointer is written back under all
	  circumstances
	  * asm_calljavafunction2: arguments are reordered in a new style (not
	  finished yet)
	  * asm_handle_exception: saved registers are restored during stack
	  unwinding

2005-07-23 04:39  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented ICMD_INSTANCEOF
	  * fixed several buggy ICMDs: LADDCONST, LSUBCONST, IDIVPOW2,
	    IREMPOW2, ISHRCONST, IUSHRCONST and PUTFIELD
	  * createnativestub: removed initalize check, this is now done by
	  jit_compile
	  * M_COPY: bugfix
	  * M_DSEG_???: we assume that datasegment offsets are negative

2005-07-22 17:22  twisti

	* src/vm/jit/i386/codegen.c:
	  * codegen_addpatchref: Passing displacement changes.
	  * createnativestub: Load native function before stackframeinfo
	    creation.  This results in a correct stacktrace.

2005-07-22 17:21  twisti

	* src/vm/jit/i386/patcher.c:
	  * patcher_resolve_native: Native function is now loaded different.

2005-07-22 12:54  motse

	* src/threads/native/: threads.c, threads.h: fix warning - bug #6

2005-07-22 12:31  twisti

	* doc/handbook/.cvsignore:
	  * Ignore generated latex files

2005-07-22 10:56  michi

	* src/vm/jit/arm/patcher.c:
	  * implemented patcher_builtin_arrayinstanceof()
	    and patcher_builtin_multianewarray()

2005-07-22 03:45  michi

	* src/vm/jit/arm/md-abi.h:
	  * cleaned up

2005-07-22 03:24  michi

	* src/vm/jit/arm/patcher.c:
	  * data segment displacement is now passed to patcher
	    (gen_getoffset is obsolete now)
	  * implemented patcher_checkcast_instaceof_*
	  * minor cleanups

2005-07-22 03:16  michi

	* src/vm/jit/arm/: asmpart.S, codegen.c:
	  * data segment displacement is now passed to patcher

2005-07-22 00:29  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented ICMD_CHECKCAST
	  * fixed bug in long compares (ICMD_IF_L?? and ICMD_IF_LCMP??) again
	  * fixed bug in ICMD_SALOAD (shorts are signed)

2005-07-21 18:48  michi

	* src/vm/jit/arm/asmpart.S:
	  * fixed asm_wrapper_patcher_exception
	  * stack arguments are reordered by asm_calljavafunction2

2005-07-21 17:32  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * renamed a to disp in some cases
	  * addapted to new codegen_addpatchref()
	  * fixed ICMD_ATHROW and ICMD_INVOKE_SPECIAL
	  * cleaned up some debug messages

2005-07-21 16:36  michi

	* src/vm/jit/arm/md.c:
	  * fixed hardware null-pointer-exception
	  * added md_stacktrace_get_returnaddress
	  * added codegen_findmethod

2005-07-21 16:01  twisti

	* src/vm/jit/x86_64/: codegen.c, asmpart.S, patcher.c:
	  * codegen_addpatchref changes: passing displacement. We do this for
	    non-risc's to have similar code.

2005-07-21 15:51  motse

	* src/native/jni.c: fix DeleteGlobalRef missing argument for
	  IdentityHashMap.put

2005-07-21 15:16  twisti

	* src/vm/jit/codegen.inc.h:
	  * struct patchref: Added disp.

2005-07-21 15:16  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_addpatchref: Added a displacement argument. This is the
	    displacement in the load instructions we have to patch. This way
	    we don't have to read the offset from the machine instruction and
	    don't have problems with offset overflow on risc machines.

2005-07-21 15:06  twisti

	* src/cacao/cacao.c:
	  * exit_handler: Don't free system resources, some threads may still
	    be running. This fixes the exit crashes with eclipse.

2005-07-21 14:25  twisti

	* src/vm/jit/stacktrace.c:
	  * stacktrace_fillInStackTrace_methodRecursive: if no line number was
	    found, check if pc is in the method and add it with 0, otherwise
	  assert

2005-07-21 13:29  twisti

	* src/: cacao/cacao.c, native/vm/VMSystemProperties.c, vm/global.h:
	  * JAVA_VERSION: added, it's defined in global.h

2005-07-21 13:00  twisti

	* src/cacao/cacao.c:
	  * Added -fullversion, required e.g. by jpackage

2005-07-21 03:22  michi

	* src/vm/jit/arm/patcher.c:
	  * implemented patcher_builtin_arraycheckcast
	  * corrected patcher_resolve_native
	  * fixed compiler warnings
	  * removed debug messages

2005-07-21 03:08  michi

	* src/vm/jit/arm/: codegen.h, codegen.c:
	  * fixed EXCEPTION_STUB macro (maybe remove it completely)
	  * fixed bug in ArrayIndexOutOfBoundsException
	  * fixed bug in long compares (ICMD_IF_L?? and ICMD_IF_LCMP??)
	  * fixed LR in native stackframe info
	  * improved ICMD_L2I
	  * typo in ICMD_FCONST

2005-07-21 02:48  michi

	* configure.in:
	  * removed ENABLE_STATICVM for arm

2005-07-20 21:16  motse

	* src/threads/native/: threads.c, threads.h: fix build error - bug
	  #6

2005-07-20 17:50  twisti

	* tests/regression/: extest.2output, extest.java:
	  * Added 2 tests

2005-07-20 17:35  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: Removed initalize check and code, this is now
	    done by jit_compile.

2005-07-20 17:34  twisti

	* src/vm/jit/jit.c:
	  * jit_compile_intern: Also handle native functions. We let
	    jit_compile initialize the class for static native functions. This
	    results in correct stacktrace and removes some code from
	  createnativestub.

2005-07-20 17:30  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_createnativestub: Save native stub in entrypoint instead
	    of stubroutine.

2005-07-20 17:28  twisti

	* src/vm/loader.c:
	  * load_newly_created_array: Save native stub to m->entrypoint, so
	    that the jit compiler returns it correctly.

2005-07-20 17:25  twisti

	* src/vm/linker.c:
	  * link_class_intern: Create for all methods a compiler stub, even
	    for native functions.

2005-07-20 17:25  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtin_dummy: Removed.
	  * builtin_clone_array: Function header comment.

2005-07-20 17:23  twisti

	* src/native/vm/VMObject.c:
	  * Java_java_lang_VMObject_clone: check for OOM in array case

2005-07-20 17:17  twisti

	* src/native/include/: .cvsignore, Makefile.am:
	  * Added java_lang_StackTraceElement.h

2005-07-20 17:16  twisti

	* src/native/vm/VMThrowable.c:
	  * generateStackTraceArray: removed
	  * getStackTrace: set the StackTraceElement fields directly (use the
	  header)

2005-07-20 15:38  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: resolve function symbol before stackframeinfo
	    creation, otherwise the stacktrace is incorrect

2005-07-20 15:37  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_LEA: removed
	  * M_ILEA, M_LLEA, M_ALEA: added

2005-07-20 13:01  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_call_jit_compiler: handle jit compiler exceptions properly

2005-07-20 12:40  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * stacktrace_extern_fillInStackTrace: removed, not required anymore

2005-07-20 12:28  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_LEA: added

2005-07-20 05:09  michi

	* src/vm/jit/stack.c:
	  * ICMD_INVOKE*: prevented precoloring of float argument registers
	  for arm

2005-07-20 04:39  michi

	* src/vm/jit/arm/arch.h: enabled
	  SUPPORT_NO_FLOAT_ARGUMENT_REGISTERS

2005-07-20 04:21  michi

	* src/vm/jit/arm/asmpart.S:
	  * added stackframeinfo to asm_wrapper_patcher

2005-07-20 02:33  michi

	* src/native/vm/: VMStackWalker.c, VMThrowable.c:
	  * added arm defines

2005-07-20 02:26  michi

	* src/vm/jit/arm/asmoffsets.h:
	  * fixed line number stuff

2005-07-19 22:43  michi

	* src/vm/jit/arm/asmpart.S:
	  * renamed asm_sync_instruction_cache to asm_cacheflush
	  * added stackframeinfo to asm_call_jit_compiler
	  * corrected exception handling in asm_call_jit_compiler
	  * minor improvements
	  * spiced up some comments

2005-07-19 22:39  michi

	* src/vm/jit/arm/codegen.c:
	  * added some asserts
	  * added native stackframeinfo
	  * added exception handling to native stubs

2005-07-19 19:05  michi

	* src/vm/jit/arm/: codegen.h, codegen.c:
	  * all check stubs are generated now
	  * implemented ICMDs: SALOAD, LALOAD, FALOAD, DALOAD, SASTORE,
	  LASTORE, FASTORE and DASTORE

2005-07-19 17:40  twisti

	* src/native/vm/VMSystemProperties.c:
	  * Removed unused unistd.h include

2005-07-19 17:36  twisti

	* src/native/vm/VMRuntime.c:
	  * Removed unistd.h include

2005-07-19 16:11  twisti

	* src/mm/memory.c:
	  * Use USE_CODEMMAP define

2005-07-19 16:11  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented division check stubs

2005-07-19 14:35  twisti

	* configure.in, src/cacao/cacao.c, src/native/Makefile.am,
	  src/native/jni.c, src/native/jvmti/.cvsignore,
	  src/native/jvmti/Makefile.am, src/native/jvmti/jvmti.c:
	  * Added --enable-jvmti configure switch, plus ENABLE_JVMTI define

2005-07-19 14:00  michi

	* src/vm/jit/arm/: codegen.c, patcher.c:
	  * renamed asm_sync_instruction_cache() to asm_cacheflush()

2005-07-19 13:52  twisti

	* src/native/jni.c:
	  * Fixed jvmti.h include path

2005-07-19 13:52  twisti

	* src/native/Makefile.am:
	  * Removed jvmti.[ch]

2005-07-19 12:20  motse

	* src/native/jvmti/: jvmti.c, jvmti.h: add emacs footer

2005-07-19 12:00  motse

	* src/: cacao/cacao.c, native/Makefile.am, native/jni.c,
	  native/jni.h, threads/native/threads.h, native/jvmti/jvmti.c,
	  native/jvmti/jvmti.h: initial support for jvmti

2005-07-19 10:52  twisti

	* tests/regression/: .cvsignore, HelloWorld.java, Makefile.am,
	  Test.sh, extest.2output, extest.java, fp.java, fp.output,
	  fptest.java, fptest.output, jctest.java, jctest.output:
	  * Added other tests

2005-07-19 10:51  twisti

	* tests/regression/: clinitexception.java, clinitexception.2output:
	  * Ok, now the test is correct

2005-07-19 06:04  michi

	* src/vm/jit/verify/typecheck.c:
	  * added ICMD_IMULPOW2 and ICMD_LMULPOW2

2005-07-19 04:09  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * added range-check of offset to M_LDF* and M_STF*
	  * introduced new macros FCONST and DCONST
	  * renamed M_NEG to M_RSB_IMM
	  * implemented ICMD_FNEG and ICMD_DNEG
	  * fixed bug in ICMD_FCMP* and ICMD_DCMP*

2005-07-19 00:35  twisti

	* configure.in:
	  * Added tests/regression/Makefile

2005-07-19 00:34  twisti

	* tests/Makefile.am:
	  * SUBDIRS: added regression

2005-07-19 00:34  twisti

	* tests/regression/: Makefile.am, clinitexception.java:
	  * Starting to make a regression suite

2005-07-18 23:58  twisti

	* src/vm/jit/mips/asmpart.S:
	  * asm_call_jit_compiler: handle jit compiler exceptions properly

2005-07-18 23:57  twisti

	* src/vm/jit/mips/codegen.c:
	  * Set currentline to 0 before basicblock start
	  * Removed some #if 1's

2005-07-18 23:55  twisti

	* src/vm/jit/stacktrace.c:
	  * lineNumberTableEntry: use ptrint as line type, otherwise we ran
	    into alignment problems

2005-07-18 23:54  twisti

	* src/vm/jit/codegen.inc:
	  * dseg_addlinenumbertablesize: better comments, removed this adds4
	    comment (i think it's simpler to do the padding)

2005-07-18 23:42  michi

	* src/vm/jit/codegen.inc:
	  * fixed compiler warning for arm (dseg_adds8 is not used)

2005-07-18 22:07  twisti

	* src/vm/jit/alpha/asmpart.S:
	  * asm_call_jit_compiler: handle jit compiler exceptions properly
	  * some indent changes

2005-07-18 21:55  michi

	* src/vm/jit/arm/asmpart.S:
	  * implemented asm_handle_exception and asm_handle_nat_exception
	  * removed obsolete functions
	  * removed debuggers
	  * cleaned up comments

2005-07-18 20:52  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_call_jit_compiler: handle jit compiler exceptions properly

2005-07-18 17:07  twisti

	* src/vm/jit/stacktrace.c:
	  * Some cleanup, code simplifying, added comments...
	  * cacao_stacktrace_fillInStackTrace: subtract 1 from RA in the jit
	  case

2005-07-18 17:01  twisti

	* configure.in:
	  * Set cacao version to 0.92+cvs
	  * Compile optimization back to -O0

2005-07-18 16:46  twisti

	* src/vm/jit/i386/asmpart.S:
	  * asm_call_jit_compiler: handle jit compiler exceptions properly

2005-07-18 16:35  twisti

	* src/vm/jit/stack.c:
	  * ICMD_INLINE_START: -si display reformatted
	  * -si line reformatted: better display of line number

2005-07-18 13:34  twisti

	* src/vm/jit/stacktrace.c:
	  * cacao_stacktrace_fillInStackTrace: check for m != NULL in
	    inline-stub case, otherwise we get into trouble with
	  asm_calljavafunction

2005-07-18 12:37  michi

	* src/vm/jit/arm/patcher.c: addapted patchers to new datasegment
	  loading with M_DSEG_LOAD

2005-07-18 12:19  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * introduced new macros for datasgment M_DSEG_LOAD and M_DSEG_BRANCH
	  * fixed bug in patcher stub
	  * improved macro M_RECOMPUTE_IP
	  * implemented ICMDs: IREMPOW2, ISHR, IUSHR and IASTORE

2005-07-17 20:05  michi

	* src/vm/jit/arm/: asmpart.S, codegen.c, codegen.h:
	  * inlined ICMDs: IDIV, IREM, LDIV, LREM, AASTORE and ARRAYCHECKCAST
	  * fixed ICMD_LSUB
	  * fixed bug with M_LDR* in codegen.h

2005-07-13 23:24  twisti

	* ChangeLog:
	  * Changelog for 0.92

2005-07-13 23:13  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * Removed disass.h

2005-07-13 23:07  twisti

	* src/vm/jit/alpha/codegen.c:
	  * ICMD_IDIV, ICMD_IREM: gcc -O2 workaround: the cast to s8 is
	    missing, so we do it inline
	  * Compiler warning fixes

2005-07-13 21:04  twisti

	* src/vm/jit/alpha/md.c:
	  * Removed unused asmoffsets.h

2005-07-13 20:50  twisti

	* src/vm/jit/i386/patcher.c:
	  * Added #include "mm/memory.h"

2005-07-13 18:12  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * Compiler warning fixes
	  * createnativestub: type in return call trace (m-> to md->)

2005-07-13 14:23  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_PUSH_IMM: added

2005-07-13 14:23  twisti

	* src/vm/jit/stack.c:
	  * stack_init: --disable-threads compilation fix

2005-07-13 14:10  twisti

	* src/native/jni.c:
	  * Compiler warning fix

2005-07-13 13:55  twisti

	* src/lib/Makefile.am:
	  * SUBDIRS: removed

2005-07-13 13:54  twisti

	* src/Makefile.am:
	  * DIST_SUBDIRS: defined explicitly, otherwise we have problems with
	    distclean
	  * CLASSPATH: added classpath/native/fdlibm

2005-07-13 13:52  twisti

	* src/vm/resolve.c:
	  * resolve_classref_or_classinfo: convert ClassNotFoundException in
	    NoClassDefFoundError, there are more functions where this should
	    happen (next release)
	  * Compiler warning fixes

2005-07-13 13:50  twisti

	* src/vm/unzip.c:
	  * Compiler warning fix

2005-07-13 13:45  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtintable_entry_debug_dump: removed, sorry edwin, i don't think
	    it was that useful

2005-07-13 13:41  twisti

	* src/vm/jit/: lsra.inc, stack.c, stack.h, stacktrace.c,
	  inline/parseXTA.c, loop/analyze.c, verify/typecheck.c,
	  x86_64/codegen.c:
	  * Compiler warnnig fixes

2005-07-13 13:38  twisti

	* src/native/vm/VMClass.c:
	  * Java_java_lang_VMClass_getDeclaredClasses: bugfix, inner was used
	    instead of outer, thanks go to gcc warnings ;-)

2005-07-13 13:37  twisti

	* src/native/vm/Field.c:
	  * Compiler warning fix

2005-07-13 03:06  twisti

	* configure.in:
	  * Changed cacao version and optimization for 0.92 release

2005-07-13 02:34  twisti

	* configure.in, autogen.sh, m4/acinclude.m4:
	  * AC_C_ATTRIBUTE: check for __attribute__ (required at least by
	  mipspro)

2005-07-13 01:49  twisti

	* src/vm/jit/mips/: asmoffsets.h, asmpart.S, codegen.c, md.c:
	  * Implemented stacktraces

2005-07-13 01:48  twisti

	* src/native/vm/: VMStackWalker.c, VMThrowable.c:
	  * Added mips defines

2005-07-13 01:47  twisti

	* src/vm/jit/codegen.inc:
	  * Removed some defines (line numbers)
	  * Added mips define

2005-07-13 01:46  twisti

	* src/vm/jit/stacktrace.c:
	  * Added mips define

2005-07-13 01:44  twisti

	* src/toolbox/util.c:
	  * get_variable_message_length: implemented a irix version, irix
	    returns always -1 if the buffer is null

2005-07-13 00:12  twisti

	* src/vm/jit/i386/Makefile.am:
	  * icmd_uses_reg_res.inc: added

2005-07-12 23:50  twisti

	* src/native/jni.c:
	  * Some functions implemented/corrected
	  * Function header comments
	  * Code formatting

2005-07-12 23:47  twisti

	* src/native/jni.h:
	  * JNI_COMMIT, JNI_ABORT: added

2005-07-12 23:46  twisti

	* contrib/Makefile.am:
	  * Distribute jar's

2005-07-12 23:46  twisti

	* Makefile.am:
	  * Distribute changelogs

2005-07-12 23:34  twisti

	* configure.in:
	  * Removed tests/kaffe/Makefile

2005-07-12 23:03  twisti

	* src/native/vm/VMClass.c:
	  * Compiler warning fix: i leave this, as i want to rewrite the field
	    code, it should throw the exception instead of aborting

2005-07-12 23:02  twisti

	* src/native/include/Makefile.am:
	  * make dist-check fixes

2005-07-12 23:01  twisti

	* src/vm/builtin.c:
	  * builtin_trace_args: remaining paramcount fix

2005-07-12 23:01  twisti

	* src/vm/initialize.c:
	  * Removed JWDEBUG

2005-07-12 23:01  twisti

	* src/vm/builtin.h:
	  * Small typo

2005-07-12 22:58  twisti

	* src/vm/jit/: helper.c, jit.c, stack.c, stack.h, arm/Makefile.am:
	  * show_icmd_method: use a monitor since the binutils disassembler is
	    not reentrantable and it would be unreadable if 2 or more thread
	    write assembler
	  * stack_init: added

2005-07-12 21:50  twisti

	* src/vm/Makefile.am:
	  * Typo: renamed string.h to stringlocal.h

2005-07-12 21:36  twisti

	* src/boehm-gc/Makefile.am:
	  * disable check, otherwise make distcheck does not work

2005-07-12 21:36  twisti

	* tests/: Makefile.am, codepatching/Makefile.am,
	  native/Makefile.am:
	  * make dist changes: don't use check but checkall

2005-07-12 18:31  michi

	* src/vm/jit/arm/arch.h: enabled HAS_4BYTE_STACKSLOT

2005-07-12 18:07  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * added range-check of offset to M_LDR* and M_STR*
	  * implemented ICMDs: LSUB, LSUBCONST, IUSHRCONST, LAND, LOR, LXOR

2005-07-12 18:02  twisti

	* src/vm/jit/mips/: arch.h, asmpart.S, codegen.c, codegen.h, md.c,
	  patcher.c:
	  * Implemented idiv/irem, ldiv/lrem, aastore, arraycheckcast inline

2005-07-12 18:01  twisti

	* src/vm/: builtin.h, builtintable.inc, jit/asmpart.h, jit/parse.c,
	  jit/stack.c, jit/verify/typecheck.c:
	  * Removed stuff for remaining asmpart functions, which are now
	    inlined in jit code.

2005-07-12 17:43  twisti

	* src/vm/jit/i386/freebsd/md-os.c:
	  * New, simpler stacktrace system

2005-07-12 16:39  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_call_jit_compiler: method pointer of jit-code is now written
	  back
	  * cleaned up some comments

2005-07-12 16:32  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * new macro M_RECOMPUTE_IP to recompute ip from pc
	  * implemented ICMDs: DADD, DSUB and DDIV

2005-07-12 13:20  twisti

	* src/vm/jit/i386/: asmpart.S, codegen.c, linux/md-os.c:
	  * New, simpler, more generic stacktrace system

2005-07-12 11:16  twisti

	* src/vm/jit/powerpc/: codegen.c, md.c, darwin/md-asm.h,
	  darwin/md-os.c:
	  * New, simpler stacktrace system (should be final version)

2005-07-12 10:39  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c, linux/md-os.c:
	  * Newer, simpler stacktrace system

2005-07-12 04:19  michi

	* src/vm/jit/arm/codegen.c:
	  * synchronize instruction cache after code generation

2005-07-12 03:42  michi

	* src/vm/loader.c:
	  * fixed typo when compiled with LOADER_VERBOSE

2005-07-12 03:37  michi

	* src/native/jni.c:
	  * GetEnv: thread_getself is available with native threads only

2005-07-12 03:25  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * new macro ARGUMENT_REGS is used
	  * a lot of long and double stuff implemented
	  * renamed showdisassemble to opt_showdisassemble
	  * some smaller cleanups and bugfixes!
	  * implemented ICMDs: LADDCONST, IDIVPOW2, FADD, FSUB, FDIV, FREM,
	  DMUL, DREM I2D, D2I, D2F, F2D, IALOAD, BALOAD, TABLESWITCH,
	  LOOKUPSWITCH, MULTIANEWARRAY

2005-07-12 00:02  twisti

	* configure.in:
	  * Added alphapca56 architecture

2005-07-12 00:00  twisti

	* src/boehm-gc/alpha_mach_dep.S:
	  * Use C comments instead of #

2005-07-11 23:52  twisti

	* src/vm/jit/alpha/: asmpart.S, codegen.c, md.c:
	  * Again, new and simpler stacktraces

2005-07-11 23:25  twisti

	* src/vm/jit/x86_64/: asmpart.S, codegen.c, md.c:
	  * Newer, simpler, smaller stacktrace system

2005-07-11 23:24  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Again changed the stacktrace system: more specific functions (i
	    hope this is the last time)

2005-07-11 23:23  twisti

	* src/vm/jit/codegen.inc.h:
	  * init_exceptions: removed

2005-07-11 21:27  twisti

	* tests/: extest.java, extest.output:
	  * Updated

2005-07-11 21:01  twisti

	* src/vm/jit/alpha/md.c:
	  * Removed forgotten variable

2005-07-11 20:56  twisti

	* src/vm/jit/alpha/: asmpart.S, codegen.c, codegen.h, md.c,
	  patcher.c:
	  * Implemented new (and new improved) stacktrace system

2005-07-11 20:55  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * More stacktrace changes: mostly to handle exceptions in leaf
	    methods correctly

2005-07-11 19:06  michi

	* src/vm/jit/parse.c: Enabled ICMD_FREM and ICMD_DREM for arm

2005-07-11 13:56  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * codegen_findmethod: removed alpha version

2005-07-11 13:14  twisti

	* src/vm/: builtin.h, builtintable.inc, jit/parse.c,
	  jit/verify/typecheck.c:
	  * Added alpha defines for new stacktrace system

2005-07-11 12:35  twisti

	* src/vm/jit/stack.c:
	  * Added alpha defines
	  * show_icmd_method: bugfix when showing exception stubs

2005-07-11 12:13  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c, linux/md-os.c:
	  * Updated stacktrace system again, simpler, smaller and more c code

2005-07-11 11:59  twisti

	* src/toolbox/: util.c, util.h:
	  * get_variable_message_length: the more correct way it to pass the
	    va_list directly

2005-07-11 10:26  twisti

	* src/vm/: linker.c, loader.c:
	  * Comment typos

2005-07-11 00:21  twisti

	* src/vm/jit/x86_64/md.c:
	  * Better (smaller) exception implementation

2005-07-11 00:21  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_MOV_IMM, M_PUSH, M_JMP, M_JMP_IMM, M_CALL: added

2005-07-11 00:20  twisti

	* src/vm/jit/stacktrace.c:
	  * Fixed compiler warnings

2005-07-10 23:46  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * stacktrace_new_arithmeticexception,
	    stacktrace_new_arrayindexoutofboundsexception,
	    stacktrace_new_arraystoreexception,
	    stacktrace_new_classcastexception,
	  stacktrace_new_negativearraysizeexception,
	    stacktrace_new_nullpointerexception, stacktrace_fillInStackTrace:
	    added
	  * stacktrace_call_fillInStackTrace: removed

2005-07-10 21:22  michi

	* src/vm/jit/arm/patcher.c:
	  * renamed showdisassemble to opt_showdisassemble
	  * fixed patcher_resolve_native()

2005-07-10 17:54  twisti

	* src/vm/signal.c:
	  * signal_init: don't install sigquit and sigusr1 handlers for
	    freebsd, we have to find another solution

2005-07-10 17:52  twisti

	* src/vm/jit/i386/freebsd/md-os.c:
	  * Implemented new stacktrace system

2005-07-10 17:33  twisti

	* src/vm/jit/i386/: asmpart.S, codegen.c, codegen.h, patcher.c,
	  linux/md-os.c:
	  * Implemented new stacktrace system
	  * Implemented remaining asmpart functions inline

2005-07-10 17:29  twisti

	* src/vm/jit/i386/md.c:
	  * Fixed typo

2005-07-10 17:24  twisti

	* src/vm/: builtin.h, builtintable.inc, jit/parse.c, jit/stack.c,
	  jit/verify/typecheck.c:
	  * Added i386 defines for new ICMDs

2005-07-10 17:18  twisti

	* src/vm/signal.c:
	  * signal_init: added SA_NODEFER to signal flags for sigsegv and
	  sigfpe

2005-07-10 17:17  twisti

	* src/native/vm/Field.c:
	  * Removed debug output

2005-07-10 13:02  edwin

	* src/vm/jit/verify/typecheck.c: typecheck for ICMD_ARRAYCHECKCAST
	  and ICMD_AASTORE

2005-07-09 20:20  twisti

	* src/: vm/jit/powerpc/darwin/md-os.c, cacaoh/headers.c:
	  * cacao_catch_Handler: removed

2005-07-09 20:10  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createnativestub: removed linux specific stuff, we just use the
	    darwin stuff, it does not matter, despite that the stack is a little
	  bigger

2005-07-09 20:08  twisti

	* src/vm/jit/powerpc/darwin/md-asm.h:
	  * Added and removed some function name defines

2005-07-09 20:08  twisti

	* src/vm/jit/powerpc/darwin/md-os.c:
	  * Implemented stacktraces

2005-07-09 20:07  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_wrapper_patcher: darwin fixes

2005-07-09 20:06  twisti

	* src/vm/jit/powerpc/md.c:
	  * Wrong md-abi.h was included

2005-07-09 19:30  twisti

	* src/vm/options.c:
	  * Fixed includes

2005-07-09 19:01  twisti

	* tests/extest.java:
	  * Added missing pstacktrace

2005-07-09 17:48  twisti

	* src/vm/jit/powerpc/: arch.h, asmoffsets.h, asmpart.S, codegen.c,
	  codegen.h, patcher.c, linux/md-os.c:
	  * Implemented stacktraces
	  * Remaining asmpart functions inlined

2005-07-09 16:04  twisti

	* src/vm/jit/x86_64/: asmpart.S, codegen.c, codegen.h, md-asm.h,
	  md.c, patcher.c:
	  * Use new, more general, stacktrace system
	  * Implemented remaining asmpart functions inline
	  * Added opt_ prefix to some options

2005-07-09 15:55  twisti

	* src/vm/jit/helper.c:
	  * helper_fillin_stacktrace, helper_fillin_stacktrace_always: removed

2005-07-09 15:49  twisti

	* src/vm/jit/stacktrace.c:
	  * Some improvements
	  * Some formatting

2005-07-09 15:38  twisti

	* src/vm/jit/jit.c:
	  * Added opt_ prefix for some options

2005-07-09 15:38  twisti

	* src/vm/jit/stack.c:
	  * Print disassembled code of exception stubs

2005-07-09 15:38  twisti

	* src/vm/jit/codegen.inc:
	  * Added opt_ prefix

2005-07-09 15:37  twisti

	* src/: cacao/cacao.c, vm/options.c, vm/options.h:
	  * opt_showexceptionstubs: added
	  * renamed some options (opt_ prefix)

2005-07-09 14:19  twisti

	* src/vm/: builtin.h, builtintable.inc, jit/parse.c, jit/stack.c,
	  jit/verify/typecheck.c:
	  * Added x86_64 defines

2005-07-09 14:17  twisti

	* src/vm/jit/loop/tracing.c:
	  * ICMD_ARRAYCHECKCAST: added

2005-07-09 14:17  twisti

	* src/vm/jit/i386/asmpart.S:
	  * Fixed some indent

2005-07-09 14:17  twisti

	* src/vm/jit/i386/asmoffsets.h:
	  * Fixed header

2005-07-09 14:16  twisti

	* src/native/vm/VMThrowable.c:
	  * Added powerpc defines
	  * Fixed calculation of trace start, i hope it's correct

2005-07-09 14:15  twisti

	* src/native/vm/VMStackWalker.c:
	  * Added powerpc defines

2005-07-09 03:59  michi

	* src/vm/jit/arm/md.c:
	  * improved signal_handler_sigsegv (does not work yet)

2005-07-09 03:54  michi

	* src/vm/jit/arm/md-abi.c:
	  * added md_return_alloc()
	  * corrected register handling for LNG, FLT and DBL types
	  * corrected register handling for methods with return types

2005-07-09 03:47  michi

	* src/vm/jit/arm/md-abi.h:
	  * corrected float registers
	  * switched ITMP3
	  * added Register Pack/Unpack Macros

2005-07-09 03:45  michi

	* src/vm/jit/arm/md-abi.inc:
	  * added float registers
	  * switched ITMP3

2005-07-09 03:38  michi

	* src/vm/jit/arm/asmpart.S:
	  * implemented some asm_builtin* functions
	  * implemented asm_sync_instruction_cache
	  * new macros to save and restore scratch regs
	  * disabled debugger
	  * implemented asm_calljavafunction_int and asm_calljavafunction2*

2005-07-09 03:32  michi

	* src/vm/jit/arm/md-asm.h:
	  * switched ITMP3
	  * new macros to save and restore scratch regs

2005-07-08 21:51  michi

	* src/vm/jit/arm/arch.h: enabled DOUBLE

2005-07-08 17:46  twisti

	* src/vm/jit/verify/typecheck.c:
	  * ICMD_AASTORE, ICMD_ARRAYCHECKCAST: added
	  * powerpc defines for asmpart inlined functions

2005-07-08 17:43  twisti

	* src/vm/builtin.h:
	  * powerpc defines for inlined asmpart functions

2005-07-08 17:42  twisti

	* src/vm/builtintable.inc:
	  * BUILTIN_canstore: added

2005-07-08 17:40  twisti

	* src/vm/loader.c:
	  * loader_load_all_classes: fixed the META-INF bug again, this time
	    it works (i've tested it)

2005-07-08 17:21  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * Added xstorerefs

2005-07-08 17:09  twisti

	* src/vm/jit/reg.inc:
	  * ICMD_ARRAYCHECKCAST: added

2005-07-08 17:08  twisti

	* src/vm/jit/parse.c:
	  * changes for inlining asmpart functions

2005-07-08 17:08  twisti

	* src/vm/jit/stack.c:
	  * ICMD_ARRAYCHECKCAST: added
	  * powerpc defines for inlined icmd's from asmpart

2005-07-08 17:06  twisti

	* src/vm/jit/stack.h:
	  * Macro formatting

2005-07-08 14:00  twisti

	* src/vm/jit/tools/genoffsets.c:
	  * Added sizeof(stackframeinfo)
	  * Renamed native_stackframesize to stackframesize

2005-07-08 13:59  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * stacktrace_create_inline_stackframeinfo,
	    stacktrace_create_native_stackframeinfo,
	    stacktrace_remove_stackframeinfo,
	    stacktrace_call_fillInStackTrace: added
	  * Renamed native_stackframeinfo to stackframeinfo

2005-07-08 13:57  twisti

	* src/vm/jit/: jit.c, jit.h:
	  * ICMD_ARRAYCHECKCAST: added

2005-07-08 13:49  twisti

	* src/vm/jit/alpha/: asmpart.S, patcher.c:
	  * Save pv to the position of the patcher function pointer

2005-07-08 13:45  twisti

	* src/vm/jit/alpha/md.c:
	  * md_stacktrace_get_returnaddress: added

2005-07-08 11:40  twisti

	* tests/codepatching/Makefile.am:
	  * Removed -noverify from JAVA

2005-07-07 18:35  christian

	* src/vm/jit/powerpc/: darwin/md-abi.c, linux/md-abi.c: removed
	  typing error (! missing in md_return_alloc)

2005-07-07 17:45  twisti

	* src/vm/loader.c:
	  * loader_load_all_classes: skip META-INF entries

2005-07-07 16:33  christian

	* src/vm/jit/stack.c: Output RA instead of A-1 for allocated return
	  values with -sa

2005-07-07 11:41  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * don't include "md.h", not needed

2005-07-07 11:37  twisti

	* src/vm/jit/powerpc/Makefile.am:
	  * EXTRA_DIST: removed
	  * md.c added

2005-07-07 11:36  twisti

	* src/vm/jit/powerpc/: linux/md.h, darwin/md.h:
	  * Not required

2005-07-07 11:27  twisti

	* src/vm/jit/powerpc/md.c:
	  * Moved os independent stuff here from linux/md.c, darwin/md.c

2005-07-07 11:26  twisti

	* src/vm/jit/powerpc/: darwin/Makefile.am, darwin/md-os.c,
	  darwin/md.c, linux/Makefile.am, linux/md-os.c, linux/md.c:
	  * Renamed md.c to md-os.c

2005-07-06 23:23  twisti

	* src/vm/jit/powerpc/codegen.h:
	  * Formatted some macros a bit

2005-07-05 16:00  twisti

	* src/vm/jit/stacktrace.c:
	  * More changes

2005-07-05 16:00  twisti

	* src/vm/jit/i386/md.c:
	  * Machine dependent, but os independent functions

2005-07-05 16:00  twisti

	* src/vm/jit/i386/Makefile.am:
	  * Added md.c

2005-07-05 15:59  twisti

	* src/vm/jit/i386/: freebsd/Makefile.am, freebsd/md-os.c,
	  freebsd/md.c, linux/Makefile.am, linux/md-os.c, linux/md.c:
	  * Renamed md.c to md-os.c

2005-07-05 15:40  twisti

	* src/vm/jit/stacktrace.c:
	  * Cleanup and trying to make the functions a bit simpler and
	  clearer.

2005-07-05 15:39  twisti

	* src/vm/jit/: x86_64/md.c, stacktrace.h:
	  * md_stacktrace_get_returnaddress: added

2005-07-05 13:18  twisti

	* src/native/native.c:
	  * native_resolve_function: bugfix, just always generate overloaded
	    function name, this should not happen that often and it's easier
	  this way

2005-07-05 12:04  twisti

	* src/native/native.c:
	  * native_get_exceptiontypes: bugfix, removed excount and just use
	    the methodinfo data

2005-07-05 10:49  twisti

	* src/vm/jit/alpha/asmpart.S:
	  * asm_calljavafunction/2: calculate pv recalculate value with labels
	  * some cosmetic changes

2005-07-05 10:48  twisti

	* src/vm/jit/alpha/codegen.c:
	  * INVOKESPECIAL: use software null pointer, checking a register
	    should be faster than accessing memory
	  * createnativestub: save floats with M_FST for native functions

2005-07-05 10:46  twisti

	* src/vm/builtin.c:
	  * builtin_new: removed commented debug output

2005-07-04 23:32  christian

	* tests/native/test.output: New jni Version Number

2005-07-04 23:28  twisti

	* contrib/Makefile.am:
	  * Install kjc and gnu.getopt

2005-07-04 23:27  twisti

	* contrib/.cvsignore:
	  * Ignore generated files

2005-07-04 23:21  twisti

	* configure.in:
	  * rmic: removed
	  * contrib, javac: added

2005-07-04 23:21  twisti

	* Makefile.am:
	  * SUBDIRS: added contrib

2005-07-04 23:20  twisti

	* src/scripts/: .cvsignore, Makefile.am, javac.in, kjc.in:
	  * javac.in: added

2005-07-04 23:09  twisti

	* contrib/: java-getopt-1.0.11.jar, kjc-2.2C-bin.jar:
	  * The compiler we want to use

2005-07-04 23:02  christian

	* src/vm/builtin.c: debug helper removed

2005-07-04 22:45  christian

	* tests/extest.output: output file for extest.java corrected

2005-07-04 22:41  twisti

	* src/threads/native/: threads.c, threads.h:
	  * thread_getself: implemented

2005-07-04 22:40  twisti

	* src/native/jni.c:
	  * GetEnv: call thread_getself, but i don't know if this is correct

2005-07-04 22:39  twisti

	* src/cacao/cacao.c:
	  * Added -verbose:[class|gc|jni], yet only jni works

2005-07-04 22:38  twisti

	* src/mm/boehm.c:
	  * Renamed collectverbose to opt_verbosegc (but it still does not
	  work)

2005-07-04 22:38  christian

	* tests/: Makefile.am, Test.sh, extest.2output, param_test.java,
	  param_test.output, native/Makefile.am, native/checkjni.output,
	  native/test.output, native/testarguments.output: Test script for
	  make chekall added

2005-07-04 22:38  twisti

	* src/vm/: options.c, options.h:
	  * collectverbose: removed
	  * opt_verbosejni, opt_verbosegc: added

2005-07-04 22:35  twisti

	* src/native/vm/: Constructor.c, Method.c, VMClass.c,
	  VMClassLoader.c:
	  * Updated to classpath 0.16

2005-07-04 22:33  twisti

	* src/native/native.h:
	  * stringtable_update, get_type: removed
	  * native_get_parametertypes, native_get_exceptiontypes,
	    native_get_returntype: prefixed with native_

2005-07-04 22:31  twisti

	* src/native/native.c:
	  * native_resolve_function: implemented -verbose:jni
	  * native_get_parametertypes, native_get_exceptiontypes,
	    native_get_returntype: prefixed with native_ and some changes

2005-07-04 01:44  michi

	* src/vm/jit/arm/arch.h: enabled combination of integer registers
	  for longs

2005-07-04 01:42  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented a lot of long-stuff
	  * implemented ICMDs: LCONST, LLOAD, LSTORE, I2L, L2I, LNEG, LADD,
	  ISHL, BASTORE, IF_L*, IF_LCMP*
	  * removed and cleand up some debuggers
	  * interface variables for outstack are set

2005-07-04 01:27  michi

	* src/vm/jit/arm/patcher.c:
	  * removed log messages
	  * added macro to get offset from LDR and STR

2005-07-03 18:41  christian

	* src/vm/jit/powerpc/: linux/md-abi.h, darwin/md-abi.h: Register
	  packing Macros moved to codegen.inc.h

2005-07-03 18:40  christian

	* src/vm/jit/powerpc/codegen.c: Both builtin_trace_args calls moved
	  into a function. Call Stack generation for Linux corrected.

2005-07-03 18:38  christian

	* src/vm/builtin.c: Preliminary Bugfix for PowerPC/Linux. Only 3
	  parameters are handled correctly by sprintf in C-Code

2005-07-03 18:37  christian

	* src/vm/jit/codegen.inc.h: Preliminary Bugfix for PowerPC/Linux -
	  only 3 Params are handled correctly by sprintf in C-Code

2005-07-03 12:42  michi

	* src/vm/jit/arm/patcher.c: patcher_resolve_native() and
	  patcher_get_putfield() implemented

2005-07-02 16:05  edwin

	* src/vm/jit/verify/typeinfo.c: fix subclass testing in typeinfo.c:
	  check subclass relationship using the merged list if the common type
	  is not a subclass of the destination type.  This has become
	  necessary because of lazy loading since the class hierarchy may
	  change dynamically and there may be unresolved types in the merged
	  list.

2005-07-02 15:59  edwin

	* tests/Makefile.am: removed -noverify option

2005-07-02 14:06  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented ICMDs: ISHRCONST, IAND, IOR, FCMPL, FCMPG, CASTORE,
	  JSR and RET

2005-07-01 00:36  twisti

	* src/vm/jit/powerpc/linux/md-abi.c:
	  * md_param_alloc: simplified a bit

2005-06-30 23:45  twisti

	* src/native/jni.c:
	  * fill_callblock_from_vargs: float passing fix

2005-06-30 22:54  twisti

	* tests/native/testarguments.java:
	  * Use functions for test for better debugability.

2005-06-30 16:42  twisti

	* src/native/jni.c:
	  * Always sign-extend the item values to 8-bytes in the call blocks,
	    made problems on alpha and mips

2005-06-30 12:10  twisti

	* tests/extest.java:
	  * Added native clinit exception, for staticvm just catch the
	    UnsatisfiedLinkError

2005-06-30 11:58  twisti

	* src/cacaoh/cacaoh.c:
	  * OPT_VERBOSE: added load/linkverbose
	  * version: print part of GNU header
	  * Better use strlen("0") instead of 1

2005-06-30 11:55  twisti

	* src/cacaoh/headers.c:
	  * native_findfunction: return non-NULL, otherwise we get an
	  exception

2005-06-30 11:54  twisti

	* src/native/tools/Makefile.am:
	  * Link with fdlibm

2005-06-30 11:18  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * M_RET: added

2005-06-30 11:16  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * Use some risc-style macros

2005-06-29 16:57  twisti

	* src/vm/builtin.c:
	  * builtin_fdiv, builtin_ddiv, builtin_dneg: implemented correcly as
	    described in VM spec (plus comments), more to come!

2005-06-29 16:55  twisti

	* tests/: fptest.java, fptest.output:
	  * Added some tests

2005-06-29 16:01  michi

	* src/vm/jit/arm/asmpart.S:
	  * fixed bug in asm_builtin_aastore()
	  * corrected dummy-functions

2005-06-29 15:59  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented some ICMDs
	  * disabled lazy debugger

2005-06-29 15:53  michi

	* src/vm/jit/arm/arch.h: enabled FLOAT, FICVT and IFCVT

2005-06-29 14:42  christian

	* src/vm/jit/: i386/md-abi.c, powerpc/darwin/md-abi.c,
	  powerpc/linux/md-abi.c, x86_64/md-abi.c: md_return_alloc added to
	  precolor the stack slots containing the return values to the return
	  register and regard integer/float argument use.

2005-06-29 14:40  christian

	* src/vm/jit/: alpha/md-abi.c, mips/md-abi.c: md_return_alloc coded
	  to precolour stack slots holding the return register.
	  rd->arg[int|flt]reguse calculation in md_param_alloc corrected.

2005-06-29 14:39  christian

	* src/vm/jit/: stack.c, stack.h: Precoloring of stackslot holding
	  the return value to the return register(s) implemented.  (
	  md_return_alloc )

	  ----------------------------------------------------------------------

2005-06-29 14:29  michi

	* src/vm/jit/arm/patcher.c: patcher_invokeinterface() implemented

2005-06-29 00:57  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * implemented floating-point stuff (to be continued)

2005-06-28 21:01  twisti

	* src/mm/nogc.c:
	  * gc_ignore_warnings: removed, it was not used

2005-06-28 20:53  twisti

	* src/vm/linker.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * Check for exception in native_findfunction

2005-06-28 20:52  twisti

	* src/vm/jit/stacktrace.c:
	  * Put some logging in JWDEBUG

2005-06-28 20:50  twisti

	* configure.in:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * Don't check for libm, we use fdlibm instead
	  * Build GTK peers by default

2005-06-28 20:47  twisti

	* src/native/vm/VMThread.c:
	  * Java_java_lang_VMThread_isAlive: removed
	  * Java_java_lang_VMThread_nativeInit: removed
	  * Java_java_lang_VMThread_registerNatives: removed
	  * Removed some logging

2005-06-28 20:45  twisti

	* src/native/vm/VMSystemProperties.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * Set java.version to 1.4.2
	  * Use strlen("0") instead of 1

2005-06-28 20:44  twisti

	* src/native/vm/VMRuntime.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM

2005-06-28 20:39  twisti

	* src/native/native.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * use_class_as_object: changed return type from void to bool
	  * native_findfunction: throw an exception if native function is not
	  found

2005-06-28 20:38  twisti

	* src/native/native.h:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * use_class_as_object: changed return type from void to bool

2005-06-28 20:37  twisti

	* src/native/: Makefile.am, include/Makefile.am:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM

2005-06-28 20:36  twisti

	* src/cacaoh/Makefile.am:
	  * Link against fdlibm instead of libm

2005-06-28 20:36  twisti

	* src/cacaoh/headers.c:
	  * new_exception_javastring: added

2005-06-28 20:35  twisti

	* src/cacao/Makefile.am:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM
	  * Link with fdlibm instead of libm

2005-06-28 20:34  twisti

	* src/lib/Makefile.am:
	  * Added SUBDIRS: we have to build fdlibm since this library contains
	    suitable math functions (e.g. IRIX fmod bug)

2005-06-28 20:33  twisti

	* src/vm/jit/: alpha/codegen.c, i386/codegen.c, mips/codegen.c,
	  arm/codegen.c, powerpc/codegen.c:
	  * Renamed STATIC_CLASSPATH to ENABLE_STATICVM

2005-06-28 20:32  twisti

	* src/vm/jit/x86_64/disass.c:
	  * Only cosmetic changes

2005-06-28 20:24  twisti

	* src/native/vm/VMObject.c:
	  * Java_java_lang_VMObject_wait: changed signature in comment,
	    renamed params link in classpath

2005-06-28 20:22  twisti

	* src/lib/.cvsignore:
	  * Ignore classes, vm.zip

2005-06-28 18:05  twisti

	* src/cacao/cacao.c:
	  * Ooops, i should use a java string instead of an utf...

2005-06-28 17:51  twisti

	* src/scripts/.cvsignore:
	  * Ignore kjc, rmic

2005-06-28 17:41  twisti

	* src/cacao/cacao.c:
	  * Added OPT_SHOWVERSION, OPT_HELP, OPT_X
	  * Xusage: implemented, print non-standard Java options
	  * usage: reformatted
	  * version: added first part of GNU header
	  * getmainclassnamefromjar: forget JNI and use cacao internal
	    functions, better error handling

2005-06-28 14:46  twisti

	* src/native/jni.c:
	  * AttachCurrentThread: added function header comment

2005-06-27 22:59  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * Set MCODECHECK sizes much higher, so we don't run into trouble. I
	    think this does not make any performance breakdown, since code
	    segment increase happens first after 32KB.

2005-06-27 21:58  twisti

	* src/boehm-gc/autogen.sh:
	  * Ooops, a darwin accident

2005-06-27 21:55  twisti

	* src/boehm-gc/: Makefile.am, Makefile.direct, aix_irix_threads.c,
	  allchblk.c, alloc.c, autogen.sh, backgraph.c, configure.in,
	  darwin_stop_world.c, dyn_load.c, finalize.c, mach_dep.c,
	  mallocx.c, mark.c, mark_rts.c, misc.c, os_dep.c,
	  powerpc_darwin_mach_dep.s, pthread_stop_world.c,
	  pthread_support.c, reclaim.c, solaris_pthreads.c,
	  solaris_threads.c, specific.c, threadlibs.c, version.h,
	  win32_threads.c, cord/cordprnt.c, cord/cordtest.c, doc/README,
	  doc/README.changes, doc/README.darwin, doc/README.environment,
	  doc/README.solaris2, include/gc.h, include/gc_config_macros.h,
	  include/gc_cpp.h, include/new_gc_alloc.h,
	  include/private/gc_hdrs.h, include/private/gc_locks.h,
	  include/private/gc_priv.h, include/private/gcconfig.h,
	  include/private/pthread_support.h, tests/test.c:
	  * Updated to boehm 6.5
	  * Use DARWIN_DONT_PARSE_STACK on powerpc-darwin

2005-06-27 17:51  twisti

	* src/mm/memory.c:
	  * Added DISABLE_DUMP: use normal malloc in dump functions

2005-06-27 17:50  twisti

	* configure.in:
	  * --disable-dump: added, this disables the use of the dump memory
	    and should ease debugging for heap corruption

2005-06-27 17:03  twisti

	* src/native/native.c:
	  * native_make_overloaded_function: heap corruption bugfix, forgot to
	    add the initial name length + \0

2005-06-27 16:21  christian

	* src/vm/jit/powerpc/codegen.c: Typing error from last commit fixed

2005-06-27 16:19  christian

	* src/vm/jit/powerpc/codegen.c: Reserve stack space for saving
	  return values to survive monitorexit according to the type

2005-06-27 14:07  twisti

	* src/vm/jit/x86_64/md.c:
	  * md_init: added

2005-06-27 12:55  christian

	* src/vm/jit/powerpc/codegen.c: Correct saving of integer return
	  register for [AIL]RETURN for monitorexit

2005-06-27 10:58  twisti

	* src/native/include/.cvsignore:
	  * Ignore ADDITIONAL_STATIC_CLASSPATH_HEADER_FILES

2005-06-27 01:53  twisti

	* src/vm/jit/i386/codegen.c:
	  * Bugfix: check return type for IS_2_WORD_TYPE and save more space
	    on stack for monitorexit
	  * use more risc macros

2005-06-27 01:51  twisti

	* src/vm/jit/i386/codegen.h:
	  * M_ALD, M_AST: macros added

2005-06-26 23:48  christian

	* src/vm/jit/powerpc/: darwin/md-abi.c, linux/md-abi.c: correct
	  handling for register usage for return types

2005-06-26 23:48  christian

	* src/vm/jit/powerpc/codegen.h: one M_ILD in var_to_reg_int too
	  much

2005-06-26 23:47  christian

	* src/vm/descriptor.c: md_param_alloc has to be called if
	  paramcount==0, too

2005-06-26 15:06  twisti

	* src/vm/jit/i386/linux/md.c:
	  * md_init: added

2005-06-26 14:12  michi

	* src/vm/jit/arm/md-abi.h: some cleanups

2005-06-26 14:11  michi

	* src/vm/jit/arm/md.c: addapted to new signal handling

2005-06-26 14:08  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * removed init_exceptions()
	  * implemented interface registers
	  * fixed bug in ICMD_IFNULL and ICMD_IFNONNULL
	  * implemented ICMDs: _ISUBCONST, _IMUL, _IMULPOW2, _AALOAD, _CALOAD,
	  _CHECKASIZE

2005-06-26 13:39  twisti

	* src/vm/jit/alpha/md.c:
	  * Added md_init

2005-06-26 13:37  michi

	* src/vm/jit/arm/: Makefile.am, md.c: added file md.c

2005-06-26 13:27  michi

	* src/vm/jit/arm/asmpart.S: implemented some asm_builtin* functions

2005-06-26 13:24  michi

	* src/vm/jit/arm/arch.h: initial commit

2005-06-26 13:18  michi

	* src/vm/jit/arm/asmoffsets.h: initial commit

2005-06-25 17:31  twisti

	* src/vm/jit/powerpc/: darwin/md.c, linux/md.c:
	  * Added md_init

2005-06-25 17:29  twisti

	* src/vm/jit/i386/freebsd/md.c:
	  * Removed machine independent stuff
	  * Renamed handlers
	  * Added md_init

2005-06-25 16:47  twisti

	* src/cacao/cacao.c:
	  * Use strlen("0") instead of 1
	  * Call md_init, i think after jit_init is a good place

2005-06-25 15:43  twisti

	* src/vm/jit/mips/md.c:
	  * Removed machine independent stuff
	  * Renamed handler
	  * Added md_init

2005-06-25 15:42  twisti

	* src/vm/jit/jit.h:
	  * Added md_init prototype (i think this is the best place)

2005-06-25 15:37  twisti

	* src/vm/builtin.c:
	  * builtin_displaymethodstop: print hex values of integer/float
	    return values

2005-06-25 15:31  twisti

	* src/vm/jit/stack.c:
	  * ICMD_{GET,PUT}STATIC: print (NOT INITIALIZED) for uninitialized
	  classes

2005-06-25 15:29  twisti

	* src/vm/jit/stack.c:
	  * Print hex value for ICMD_FCONST, ICMD_DCONST
	  * Use %g instead of %f for ICMD_DCONST

2005-06-25 15:25  twisti

	* src/vm/: builtin.c, builtin.h:
	  * builtin_asm_get_stackframeinfo: don't declare as inline since this
	    results in linking problems (at least on irix)

2005-06-24 21:46  christian

	* src/vm/jit/reg.inc: Use of unused argument registers in leaf
	  methods enabled, too

2005-06-24 17:11  christian

	* src/vm/jit/reg.inc: Use of unused argument registers as temp
	  registers again enabled

2005-06-24 17:11  christian

	* src/vm/jit/stack.c: Typing error corrected (argINTreguse instead
	  of argFLTreguse)

2005-06-23 19:49  edwin

	* src/vm/jit/verify/: typeinfo.c, typeinfo.h: comments renamed
	  typeinfo_init_from_methoddesc to typeinfos_...

2005-06-23 17:22  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_call_jit_compiler: use store macros on linux and in the
	    meantime inlined code for darwin (till i find something that works)*
	      asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	        asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	          asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	  	  asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	  	    asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	  	      asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)*
	  	        asm_call_jit_compiler: use store macros on linux and in the meantime
	  inlined code for darwin (till i find something that works)

2005-06-23 17:21  twisti

	* src/vm/jit/powerpc/linux/md.c:
	  * Removed machine independent stuff
	  * Renamed handler

2005-06-23 17:20  twisti

	* src/vm/jit/powerpc/linux/md-asm.h:
	  * Removed redundant )'s

2005-06-23 16:49  christian

	* src/vm/jit/powerpc/codegen.h: Typing errors corrected

2005-06-23 16:30  christian

	* src/vm/jit/powerpc/linux/md-abi.c: Index for intargregs for long
	  Parameters get packed now

2005-06-23 16:30  christian

	* src/vm/jit/powerpc/linux/md-abi.h: Corrected INT_XXX_CNT Register
	  packing macros added

2005-06-23 16:19  christian

	* src/vm/jit/: reg.inc, stack.c, powerpc/codegen.c,
	  powerpc/codegen.h, powerpc/darwin/md-abi.c,
	  powerpc/darwin/md-abi.h: Register Packing macros moved to
	  md-abi.h No more *_SECOND_* and *_FIRST_*, all this macros operate
	  now only on high and low part, according to the machine
	  architecture.

2005-06-23 16:03  edwin

	* src/: cacaoh/headers.c, vm/resolve.c, vm/jit/verify/typecheck.c,
	  vm/jit/verify/typeinfo.c, vm/jit/verify/typeinfo.h: exception
	  handling in typeinfo.c and typecheck.c possible bugfix in
	  typestate_merge cleaned up typecheck.c, use verifier_state where
	  possible set leafmethod=false if patcher needed for field access
	  lots of comments added

2005-06-23 16:00  twisti

	* src/boehm-gc/: misc.c, os_dep.c, include/private/gc_priv.h:
	  * Removed darwin stuff for old hardware nullpointer handling (this
	    are the original boehm-gc6.3 files)

2005-06-23 15:53  twisti

	* src/vm/jit/powerpc/darwin/md.c:
	  * Use sigaction for sigsegv handler
	  * Removed machine independent stuff
	  * Renamed handler

2005-06-23 15:51  twisti

	* src/vm/jit/powerpc/disass.c:
	  * generic_print_address: fixed typo which generated a wrong address

2005-06-23 15:51  twisti

	* src/vm/jit/powerpc/asmpart.S:
	  * asm_handle_nullptr_exception: removed
	  * asm_call_jit_compiler: use some defines to calculate the stack
	  offsets

2005-06-23 15:50  twisti

	* src/vm/jit/parse.c:
	  * JAVA_{GET,PUT}{STATIC,FIELD}: check for initialized in !opt_verify

2005-06-23 15:40  twisti

	* src/vm/jit/alpha/md.c:
	  * Removed machine independent stuff
	  * Renamed handler

2005-06-23 15:19  twisti

	* src/vm/jit/verify/typeinfo.c:
	  * Time for -Werror

2005-06-23 14:36  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * serveral ICMD_* implemented (ifs and put-get-field)
	  * addapted to new registerdata struc
	  * createnativestub() addapted and implemented
	  * fixed bug in patcher stub (return address for leafs)

2005-06-23 14:06  michi

	* src/vm/jit/arm/asmpart.S: fixed bug in asm_calljavafunction
	  (REG_ITMP* are preserved now)

2005-06-23 13:12  twisti

	* src/vm/stringlocal.h:
	  * Include global.h before java_lang_String.h

2005-06-23 12:14  twisti

	* src/vm/jit/i386/linux/md.c:
	  * Removed machine independent stuff
	  * Renamed handlers

2005-06-23 12:09  twisti

	* src/threads/native/threads.c:
	  * thread_dump: send SIGUSR1 to all threads, this maybe has to be
	    changed since boehm uses USR1 on some archs for suspend

2005-06-23 12:05  michi

	* src/vm/jit/arm/asmpart.S:
	  * cleaned up asm_calljavafunction
	  * lazy debugger is used

2005-06-23 11:56  michi

	* src/vm/jit/arm/md-asm.h: initial commit

2005-06-23 11:54  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Added: stacktrace_dump_trace

2005-06-23 11:52  twisti

	* src/cacao/cacao.c:
	  * Renamed init_exceptions to signal_init

2005-06-23 11:51  twisti

	* src/vm/jit/x86_64/md.c:
	  * Removed machine independent stuff
	  * Renamed handlers

2005-06-23 11:42  twisti

	* src/vm/: descriptor.h, jit/arm/md-abi.h, jit/alpha/md.h,
	  jit/i386/md-abi.h, jit/mips/md.h, jit/powerpc/darwin/md.h,
	  jit/powerpc/linux/md.h, jit/x86_64/md.h:
	  * Moved md_param_alloc prototype to decriptor.h

2005-06-23 11:34  twisti

	* src/vm/Makefile.am:
	  * Added: signal.c, signallocal.h

2005-06-23 11:34  twisti

	* src/vm/: signal.c, signallocal.h:
	  * Machine independent signal handler stuff.

2005-06-23 11:30  twisti

	* src/vm/jit/loop/loop.c:
	  * Include stdlib.h again to prevent a compiler warning, till i can
	    fix the code and use cacao memory macros

2005-06-23 01:24  michi

	* src/vm/jit/arm/patcher.c: patcher_clinit(),
	  patcher_invokevirtual() and patcher_builtin_newarray() implemented

2005-06-23 00:07  edwin

	* src/vm/jit/verify/typeinfo.c: added comments and assertions,
	  minor cleanup

2005-06-22 22:28  edwin

	* src/vm/jit/verify/typeinfo.c: added comments (and some
	  assertions)

2005-06-22 18:27  edwin

	* src/vm/resolve.c: fix error message code: utf_sprint
	  declarer->name, not declarer

2005-06-22 18:16  edwin

	* src/native/jni.c: added checkaccess parameter to
	  resolve_class_from_typedesc

2005-06-22 18:08  edwin

	* src/: native/native.c, native/vm/Field.c, native/vm/VMClass.c,
	  vm/linker.c, vm/resolve.c, vm/resolve.h, vm/jit/helper.c,
	  vm/jit/parse.c, vm/jit/inline/inline.c, vm/jit/inline/parseRT.c,
	  vm/jit/inline/parseXTA.c, vm/jit/verify/typecheck.c,
	  vm/jit/verify/typeinfo.c, vm/jit/verify/typeinfo.h: added
	  checkaccess parameter to resolve_class* functions improved exception
	  handling in typeinfo.c do not check access rights to classes for
	  subtype checks

2005-06-22 15:24  edwin

	* src/vm/jit/verify/typecheck.c: fixed undefined return value of
	  verify_init_locals

2005-06-22 14:38  edwin

	* src/vm/jit/verify/typecheck.c: made verify_ functions static

2005-06-22 14:32  edwin

	* src/vm/jit/verify/typecheck.c: introducted verifier_state
	  structure started to split monster function typecheck() into several
	  functions move towards verifiying lazy loading some comments

2005-06-22 14:09  edwin

	* src/vm/resolve.c: fix subtype checking for merged array types
	  better error message if subtype test fails added some
	  RESOLVE_VERBOSE message (maybe remove later)

2005-06-22 14:05  edwin

	* src/vm/jit/parse.c: if (opt_verify) set iptr->val.a to NULL to
	  indicate unresolved reference

2005-06-22 14:03  edwin

	* src/cacaoh/headers.c: added stubs for typeinfo functions

2005-06-22 12:51  twisti

	* src/vm/jit/codegen.inc:
	  * Added opt_shownativestub to show disassembled native stubs
	  * Bugfix: dump_release was a bit too early (we need cd for
	  debugging)

2005-06-22 12:51  twisti

	* src/: cacao/cacao.c, vm/options.c, vm/options.h:
	  * Added opt_shownativestub to show disassembled native stubs

2005-06-22 12:28  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_get_putfield: only patch back 5-bytes, since the
	    instruction is smaller than 8-bytes
	  * Added machine code comments to function headers

2005-06-22 12:02  christian

	* src/vm/jit/reg.inc: Variables for later to be corrected argument
	  register use commented out correctly

2005-06-22 11:51  christian

	* src/vm/jit/: alpha/md-abi.h, mips/md-abi.h,
	  powerpc/darwin/md-abi.h: Added/Corrected
	  [INT|ADR|FLT]_[REG|TMP|SAV|ARG|RES]_CNT defines

2005-06-22 11:49  christian

	* src/vm/jit/lsra.inc: Adopted to compile with the registerdata
	  changes. Not to be used for now.

2005-06-22 11:48  christian

	* src/vm/jit/i386/md-abi.c: Correct entries in Authors/Changes

2005-06-22 11:47  christian

	* src/vm/jit/: reg.h, reg.inc, stack.c, i386/codegen.c,
	  alpha/codegen.c, mips/codegen.c, powerpc/codegen.c,
	  x86_64/codegen.c: Changes in the registerdata structure: all
	  max*, if* are put together with the corresponding member all members
	  for the number of registers are replaced by #defines in the
	  appropriate md-abi.h ( [INT|ADR|FLT]_[REG|TMP|SAV|ARG|RES]_CNT )

2005-06-22 11:26  twisti

	* src/vm/jit/i386/patcher.c:
	  * Only patch back 5 bytes code (call size) since 8 bytes may
	    overwrite a instruction of the next basic block

2005-06-22 11:24  twisti

	* src/vm/builtintable.inc:
	  * Added a filler entry to builtintable_automatic to prevent a
	    compiler warning where all ICMDs are supported (e.g. i386)

2005-06-22 11:23  twisti

	* src/vm/builtin.c:
	  * builtintable_sort_internal: removed, we don't need it
	  * subtract 1 from automatic table size (compiler warning filler)

2005-06-21 18:35  michi

	* src/vm/jit/arm/: codegen.c, codegen.h:
	  * added "lazy debugger"
	  * corrected stack managment with M_STM and M_LDM
	  * minor bugfixes

2005-06-21 17:53  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * Added M_ALD, M_AST macros

2005-06-21 17:52  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * Fixed nasty eclipse show-stopper: x86_64_mov_imm_membase moves
	    32-bit sign-extended to a 64-bit location

2005-06-21 17:51  twisti

	* src/vm/jit/: stacktrace.c, stacktrace.h:
	  * Some code cleanup, so maybe one day i can understand the code

2005-06-21 17:44  michi

	* src/vm/jit/arm/asmpart.S:
	  * cleaned up asm_call_jit_compile
	  * implemented rudementary asm_handle_exception

2005-06-21 13:47  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * createnativestub: removed machine independent code
	  * started to use macros like on Alpha

2005-06-21 13:46  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * Added M_LADD, M_AADD macros

2005-06-21 12:40  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * Bugfix: membase %rsp/%r12 special case

2005-06-21 12:18  twisti

	* src/vm/jit/mips/codegen.c:
	  * createnativestub: removed machine independent code

2005-06-21 11:19  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * createnativestub: removed machine independent code

2005-06-21 01:09  stefan

	* src/threads/native/threads.c: fixed a deadlock introduced by
	  previous patch

2005-06-21 00:46  stefan

	* src/threads/native/threads.h: let's clear this up a bit

2005-06-21 00:36  stefan

	* src/threads/native/threads.c: let's clear this up a bit

2005-06-21 00:14  stefan

	* src/threads/native/threads.c: replaced one hack by another

2005-06-20 23:56  twisti

	* src/native/vm/VMSystemProperties.c:
	  * Set java.version to 1.4.1 for eclipse-3.1

2005-06-20 23:14  edwin

	* src/vm/: resolve.c, jit/verify/typecheck.c: do not check
	  protected access for methods of arrays (problem with clone method)
	  work on lazy loading verification

2005-06-20 22:53  twisti

	* src/vm/jit/i386/codegen.c:
	  * createnativestub: removed machine independent code

2005-06-20 20:25  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h, alpha/codegen.c:
	  * Moved machine independent code from createnativestub to
	    codegen_createnativestub

2005-06-20 17:23  edwin

	* src/vm/resolve.c: fix merging error

2005-06-20 17:19  edwin

	* src/vm/resolve.c: some fixes

2005-06-20 17:18  edwin

	* src/cacaoh/headers.c: added stub for typeinfo_init_class

2005-06-20 17:13  edwin

	* src/vm/jit/jit.h: added two macros for PUT{FIELD,STATIC}CONST

2005-06-20 17:11  edwin

	* src/vm/jit/verify/: typecheck.c, typeinfo.c: move the verifier
	  towards lazy loading

2005-06-20 17:04  edwin

	* src/vm/jit/verify/typeinfo.h: turn on TYPECHECK_DEBUG, turn off
	  TYPECHECK_VERBOSE

2005-06-20 17:01  twisti

	* src/vm/resolve.c:
	  * Come on... it's not that hard!

2005-06-20 17:00  edwin

	* src/vm/descriptor.c: shorter debug dump for parsed descriptors

2005-06-20 15:06  edwin

	* src/vm/: builtin.c, builtin.h: added
	  builtintable_entry_debug_dump

2005-06-20 14:01  edwin

	* src/vm/resolve.c: some work on the resolve functions for
	  verification

2005-06-20 13:59  edwin

	* src/vm/: builtin.c, descriptor.c, descriptor.h, loader.c: fixed
	  classref field for 'this' parameter in methoddescs

2005-06-20 13:54  edwin

	* src/vm/: class.c, class.h: added class_get_self_classref, should
	  be made faster, however

2005-06-20 11:58  twisti

	* src/vm/jit/x86_64/md.c:
	  * handler_signal_quit: added, this handler calls the thread_dump
	    function when SIGQUIT is received

2005-06-20 11:57  twisti

	* src/vm/: utf8.c, utf8.h:
	  * Added utf_run

2005-06-20 11:56  twisti

	* src/threads/native/threads.c:
	  * Started to implement thread_dump
	  * threadstartup: use global utf variables

2005-06-20 11:53  twisti

	* src/threads/native/threads.h:
	  * Added thread_dump

2005-06-20 01:28  michi

	* src/vm/jit/arm/patcher.c: patcher_get_putstatic() and
	  patcher_builtin_new() implemented

2005-06-20 01:26  michi

	* src/vm/jit/arm/: codegen.h, codegen.c:
	  * implemented ICMD_DUP* and ICMD_SWAP
	  * fixed ICONST macro

2005-06-19 22:12  michi

	* src/vm/jit/arm/asmpart.S:
	  * asm_wrapper_patcher implemented
	  * asm_call* methods are still messed up!

2005-06-19 22:07  michi

	* src/vm/jit/arm/patcher.c: patcher_invokestatic_special()
	  implemented

2005-06-19 22:05  michi

	* src/vm/jit/arm/codegen.c:
	  * patcher stubs are created
	  * compiler stub fixed

2005-06-19 19:56  michi

	* src/vm/jit/arm/patcher.c: dummy patcher methods

2005-06-18 18:37  edwin

	* src/vm/: resolve.c, resolve.h, jit/parse.c: split
	  create_unresolved_* functions in create_* and constrain_* parts
	  create_ functions are called in parse.c constrain_ functions will be
	  called by typecheck.c

2005-06-18 16:55  edwin

	* src/vm/: descriptor.c, descriptor.h: added comments and a little
	  fix to parameter allocation use METHODDESC_NOPARAMS to indicate
	  number of allocated params == 0 moved descriptor parsing macros to
	  descriptor.c

2005-06-18 11:20  twisti

	* src/vm/jit/alpha/codegen.c:
	  * Use code/data segment in native stub

2005-06-17 22:42  michi

	* src/vm/jit/arm/: codegen.c, codegen.h, md-abi.h:
	  * argument tracer is called
	  * serveral bugs in codegen() fixed
	  * ICMD_INVOKE* implemented

2005-06-17 15:38  twisti

	* src/vm/jit/alpha/md.c:
	  * Alpha signal stuff

2005-06-17 15:01  twisti

	* src/vm/jit/codegen.inc:
	  * codegen_createnativestub: passed wrong length to
	    codegen_disassemble_nativestub, added show data segment code

2005-06-17 14:18  twisti

	* src/vm/jit/x86_64/asmpart.S:
	  * asm_calljavafunction2: keep stack 16-byte aligned

2005-06-17 14:14  twisti

	* src/vm/jit/alpha/Makefile.am:
	  * Added md.c

2005-06-17 14:14  twisti

	* src/vm/jit/alpha/types.h:
	  * Just typos

2005-06-17 13:24  twisti

	* tests/codepatching/test.java:
	  * Added putfieldconst zero for risc architectures

2005-06-17 10:12  twisti

	* src/vm/jit/i386/freebsd/md.c:
	  * Include correct signal.h

2005-06-17 10:12  twisti

	* src/vm/linker.c:
	  * Don't use native_findfunction with non-static classpath
	  * compile warning fix

2005-06-17 10:11  twisti

	* src/native/native.c:
	  * bug fixing in native library hash code, it should work now
	    completely, at least it does on FreeBSD.

2005-06-17 00:08  twisti

	* src/native/include/.cvsignore:
	  * ignore generated header files (static ones are still missing)

2005-06-16 21:10  edwin

	* src/: native/vm/VMClassLoader.c, vm/class.c, vm/classcache.c,
	  vm/classcache.h, vm/linker.c, vm/loader.c, vm/loader.h: class
	  loading synchronization: throw away loaded class if a class with the
	  same (loader,name) pair has already been defined/loaded.

2005-06-16 13:57  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * Insert stackframesize in method header
	  * Fixed 16-bit offset overflow in patcher stub, so jalopy works, but
	    this should be done for all loads (but how?)

2005-06-16 13:56  twisti

	* src/vm/jit/powerpc/codegen.h:
	  * Small fix: let M_ALD use M_ILD

2005-06-16 13:55  twisti

	* src/vm/jit/powerpc/darwin/md-abi.c:
	  * Bugfix: a double skips 2 integer argument registers

2005-06-16 13:49  twisti

	* tests/native/: testarguments.c, testarguments.java:
	  * Test with 15 arguments, since powerpc-darwin has 13 float argument
	    registers.

2005-06-16 11:09  christian

	* src/vm/jit/powerpc/darwin/md-abi.c: Removed runverbose depended
	  usecount of argintregs for return regs

2005-06-15 17:59  twisti

	* src/vm/jit/alpha/patcher.c:
	  * Forgot native/native.h include

2005-06-15 17:57  twisti

	* src/vm/jit/alpha/patcher.c:
	  * patcher_resolve_native: implemented

2005-06-15 17:54  twisti

	* configure.in:
	  * Removed STATIC_CLASSPATH from alpha

2005-06-15 16:14  twisti

	* src/vm/jit/mips/codegen.c:
	  * Moved stuff to md.c
	  * use machine independent address macros
	  * native stub changes (code/data segment)
	  * dynamic library loading

2005-06-15 16:13  twisti

	* src/vm/jit/mips/codegen.h:
	  * M_ASUB_IMM: added for both archs

2005-06-15 16:12  twisti

	* src/vm/jit/mips/asmpart.S:
	  * changed some long stuff to use machine independent address macros
	  * removed monitor functions

2005-06-15 16:10  twisti

	* src/vm/jit/mips/: md-abi.h, md-abi.inc:
	  * Defined stuff for MIPS32

2005-06-15 16:10  twisti

	* src/vm/jit/mips/md-asm.h:
	  * define some stuff for MIPS32

2005-06-15 16:09  twisti

	* src/vm/jit/mips/md.c:
	  * Moved machine dependent stuff (signals, critical sections, cache
	  flush)

2005-06-15 16:07  twisti

	* src/vm/jit/mips/Makefile.am:
	  * added md.c

2005-06-15 15:57  christian

	* src/vm/jit/: reg.h, reg.inc, stack.c, powerpc/codegen.c,
	  powerpc/codegen.h, powerpc/darwin/md-abi.c: rd->secondregs
	  eliminated. A second integer register for longs for architectures,
	  which supports it, is now packed into the regoff variable

2005-06-15 15:44  twisti

	* src/vm/jit/mips/patcher.c:
	  * patcher_resolve_native: implemented

2005-06-15 15:40  twisti

	* src/native/: native.c, native.h:
	  * added STATIC_CLASSPATH defines to fix compile problems

2005-06-15 15:38  twisti

	* src/native/vm/VMRuntime.c:
	  * compile warning fixes

2005-06-15 15:38  twisti

	* configure.in:
	  * removed STATIC_CLASSPATH for mips

2005-06-15 12:44  michi

	* src/vm/jit/arm/asmpart.S: implemented asm_calljavafunction and
	  asm_call_jit_compiler

2005-06-15 01:52  twisti

	* src/vm/jit/i386/codegen.c:
	  * compile warning fixes

2005-06-15 01:52  twisti

	* src/vm/jit/i386/Makefile.am:
	  * Added DIST_SUBDIRS

2005-06-15 01:39  twisti

	* src/vm/jit/powerpc/Makefile.am:
	  * added DIST_SUBDIRS

2005-06-15 01:34  twisti

	* configure.in:
	  * set freebsd flags correctly

2005-06-15 01:32  michi

	* src/vm/jit/arm/: codegen.c, codegen.h: nativestub now calls
	  builtin_trace_args

2005-06-15 01:31  twisti

	* src/native/native.c:
	  * native_resolve_function: bugfix, don't overwrite the normal name

2005-06-15 01:29  twisti

	* src/vm/jit/codegen.inc:
	  * include some additional headers (safety first ;-)

2005-06-15 00:31  twisti

	* src/native/: native.c, native.h, vm/VMRuntime.c:
	  * implemented the library hash: each loaded library with it's
	    classloader is stored in the hash, TODO: reference count and
	  unloading

2005-06-15 00:19  michi

	* src/vm/jit/arm/codegen.c: started implementing createnativestub()

2005-06-14 22:12  twisti

	* configure.in, src/cacao/Makefile.am:
	  * define EXPORT_SYMBOLS_FLAGS for ld

2005-06-14 20:35  twisti

	* src/vm/jit/codegen.inc:
	  * powerpc warning fixes

2005-06-14 20:34  twisti

	* src/vm/jit/powerpc/: codegen.c, codegen.h:
	  * removed deprecated BlockPtrOfPC macro
	  * warning fixes

2005-06-14 20:11  twisti

	* src/vm/linker.c:
	  * warning fix

2005-06-14 20:09  twisti

	* src/native/jni.c:
	  * FindClass: implemented correctly

2005-06-14 19:48  twisti

	* src/native/: native.c, native.h:
	  * builtin_asm_createclasscontextarray,
	    builtin_asm_getclassloader: removed (not used anymore)

2005-06-14 19:40  twisti

	* src/native/vm/VMSystemProperties.c:
	  * add . to java.library.path

2005-06-14 19:39  twisti

	* src/vm/jit/powerpc/linux/md.c:
	  * Oops, typo

2005-06-14 19:29  twisti

	* src/native/vm/VMClass.c:
	  * use load_class_from_sysloader return value

2005-06-14 19:28  twisti

	* src/vm/jit/powerpc/codegen.c:
	  * removed init_exceptions
	  * use code/data segments for native stub

2005-06-14 19:25  twisti

	* src/vm/jit/powerpc/linux/md-abi.inc:
	  * make r2 reserved (from old init_exceptions), ask stefan about
	  that...

2005-06-14 19:23  twisti

	* src/vm/jit/powerpc/darwin/md.c:
	  * moved init_exceptions

2005-06-14 19:20  twisti

	* src/vm/jit/powerpc/patcher.c:
	  * patcher_resolve_native: added

2005-06-14 19:18  twisti

	* src/vm/jit/powerpc/linux/md.c:
	  * Moved signal stuff

2005-06-14 19:14  twisti

	* src/vm/jit/stacktrace.c:
	  * classLoaderCollector: code indent and removed unused code

2005-06-14 19:12  twisti

	* src/: cacao/cacao.c, vm/linker.c, vm/loader.c, vm/loader.h,
	  vm/resolve.c:
	  * use load_class_from_sysloader return value

2005-06-14 19:08  twisti

	* configure.in:
	  * removed STATIC_CLASSPATH for ported architectures

2005-06-14 18:08  twisti

	* configure.in, src/mm/nogc.c, src/cacao/Makefile.am,
	  src/cacaoh/Makefile.am, src/native/tools/Makefile.am:
	  * --disable-gc bug fixes

2005-06-13 18:21  twisti

	* configure.in:
	  * added freebsd os
	  * added i386 subdir makefiles

2005-06-13 18:20  twisti

	* src/vm/jit/i386/: Makefile.am, codegen.c, codegen.h, md-abi.c,
	  patcher.c:
	  * native stub changes (data/code segment usage)

2005-06-13 18:19  twisti

	* src/vm/jit/i386/: freebsd/.cvsignore, freebsd/Makefile.am,
	  freebsd/md.c, linux/.cvsignore, linux/Makefile.am, linux/md.c:
	  * machine dependent stuff

2005-06-13 16:49  michi

	* src/vm/jit/arm/codegen.c: removed removecompilerstub() and
	  removenativestub() addapted declaration of createcompilerstub() and
	  createnativestub()

2005-06-13 16:40  twisti

	* src/native/jni.c:
	  * FindClass: use load_class_bootstrap return value

2005-06-13 16:38  twisti

	* src/threads/native/threads.c:
	  * Use load_class_bootstrap return value

2005-06-13 16:30  twisti

	* src/cacaoh/headers.c:
	  * codegen native stub changes

2005-06-13 16:29  twisti

	* src/: cacao/cacao.c, cacaoh/cacaoh.c:
	  * Use load_class_bootstrap return value

2005-06-13 16:28  twisti

	* src/cacao/Makefile.am:
	  * Link to libltdlc convenience library

2005-06-13 16:26  twisti

	* src/vm/descriptor.c:
	  * Renamed utf_end to UTF_END

2005-06-13 16:26  twisti

	* src/vm/linker.c:
	  * link missing classes
	  * Use codegen_createnativestub instead of createnativestub

2005-06-13 16:24  twisti

	* src/vm/: loader.c, loader.h, exceptions.c:
	  * Use load_class_bootstrap return value

2005-06-13 16:23  twisti

	* src/vm/method.h:
	  * made stubroutine a functionptr

2005-06-13 16:22  twisti

	* src/vm/tables.h:
	  * Removed utf_end

2005-06-13 16:22  twisti

	* src/vm/: utf8.c, utf8.h:
	  * utf_java_lang_StackTraceElement, utf_java_lang_reflect_Field,
	    utf_getSystemClassLoader, utf_void__java_lang_ClassLoader: added
	  * renamed utf_end to UTF_END

2005-06-13 16:20  twisti

	* src/vm/: string.c, stringlocal.h:
	  * string_java_lang_UnsatisfiedLinkError: added
	  * use load_class_bootstrap return value

2005-06-13 16:19  twisti

	* src/vm/: class.c, class.h:
	  * class_java_lang_StackTraceElement,
	    class_java_security_PrivilegedAction: added

2005-06-13 16:17  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h:
	  * Use dump memory for code and data segment
	  * codegen_createnativestub: added
	  * removecompilerstub, removenativestub: moved from codegen.c
	  * removed codegen_resolve_native

2005-06-13 16:16  twisti

	* src/vm/jit/stacktrace.h:
	  * Use SIZEOF_VOID_P

2005-06-13 16:15  twisti

	* src/vm/jit/patcher.h:
	  * patcher_resolve_native: added

2005-06-13 16:14  michi

	* configure.in, src/vm/jit/Makefile.am, src/vm/jit/arm/.cvsignore,
	  src/vm/jit/arm/Makefile.am: added arm stuff

2005-06-13 16:14  twisti

	* src/vm/jit/inline/: parseRT.c, parseXTA.c:
	  * use load_class_bootstrap return value

2005-06-13 16:14  twisti

	* src/vm/jit/x86_64/codegen.c:
	  * moved signal stuff and critical section restart to md.c
	  * removed deprecated BlockPtrOfPC macro
	  * removecompilerstub, removenativestub: removed
	  * createnativestub: use same code generation as codegen (with data
	  segment)

2005-06-13 16:12  twisti

	* src/native/vm/VMClass.c:
	  * Typo

2005-06-13 16:10  twisti

	* src/vm/jit/x86_64/md.c:
	  * Moved signal stuff and critical section restart

2005-06-13 16:10  twisti

	* src/vm/jit/x86_64/Makefile.am:
	  * Added md.c

2005-06-13 16:03  twisti

	* src/vm/jit/x86_64/codegen.h:
	  * Remove deprecated BlockPtrOfPC macro

2005-06-13 16:02  twisti

	* src/vm/jit/x86_64/patcher.c:
	  * patcher_resolve_native: added

2005-06-13 16:02  twisti

	* src/vm/jit/x86_64/emitfuncs.c:
	  * Removed deprecated BlockPtrOfPC macro

2005-06-13 16:01  twisti

	* src/vm/jit/x86_64/types.h:
	  * removed U8_AVAILABLE since we know x86_64 can do u8

2005-06-13 16:00  twisti

	* src/native/vm/VMThrowable.c:
	  * Use global class_java_lang_StackTraceElement

2005-06-13 15:56  twisti

	* src/native/vm/VMRuntime.c:
	  * Use libltdl

2005-06-13 15:56  twisti

	* src/native/vm/VMClassLoader.c:
	  * Use load_class_bootstrap return value

2005-06-13 15:53  twisti

	* src/native/vm/VMClass.c:
	  * load_class_bootstrap return value
	  * use global class_java_lang_reflect_Constructor,
	    class_java_lang_reflect_Field, class_java_lang_reflect_Method

2005-06-13 15:42  twisti

	* src/native/: native.c, native.h:
	  * native_init: initialize libltdl
	  * native_make_overloaded_function, native_resolve_function: added
	  * builtin_asm_getclassloader: use global
	    class_java_security_PrivilegedAction

2005-06-13 15:39  twisti

	* configure.in:
	  * Use AC_LIBLTDL_CONVENIENCE
	  * Added --{en,dis}able-static --{en,dis}able-shared again, since i
	    know now that we can build a libltdl convenience library

2005-06-13 15:37  twisti

	* src/vm/jit/stacktrace.c:
	  * Use global class_java_security_PrivilegedAction

2005-06-13 01:44  twisti

	* src/cacao/Makefile.am:
	  * link with libltdl when dynamically linked

2005-06-13 01:25  twisti

	* autogen.sh:
	  * added src/libltdl

2005-06-13 01:24  twisti

	* configure.in:
	  * removed --{en,dis}able-static --{en,dis}able-shared for sub
	    packages, because we always need a static library for libltdl
	  * added src/libltdl

2005-06-13 01:21  twisti

	* src/Makefile.am:
	  * added DISABLE_GC and libltdl

2005-06-11 19:47  michi

	* src/vm/jit/arm/: codegen.c, codegen.h: callee saved registers are
	  now saved to stack

2005-06-11 14:40  michi

	* src/vm/jit/arm/: codegen.c, codegen.h: some ICMD_* implemented
	  line numbers are added

2005-06-11 03:11  michi

	* src/vm/jit/arm/codegen.c: method-header and exception-table are
	  saved to datasegment

2005-06-11 01:56  michi

	* src/vm/jit/arm/codegen.c: very simple codegen for testing

2005-06-11 01:18  michi

	* src/vm/jit/arm/: md-abi.c, md-abi.h, md-abi.inc: basic arm ABI;
	  no float and double yet

2005-06-10 23:35  michi

	* src/vm/jit/arm/codegen.h: added arm code generation macros

2005-06-10 20:43  twisti

	* src/vm/jit/powerpc/darwin/: md.c, md.h:
	  * Added some includes

2005-06-10 20:42  twisti

	* src/vm/jit/powerpc/darwin/md-abi.c:
	  * Adopted to darwin abi

2005-06-10 20:42  twisti

	* src/vm/jit/powerpc/darwin/md-abi.h:
	  * We need to include this header into asmpart.S because of
	  LA_LR_OFFSET.

2005-06-10 20:22  twisti

	* src/vm/jit/powerpc/Makefile.am:
	  * also include ARCH_DIR

2005-06-10 12:01  jowenn

	* src/vm/jit/x86_64/patcher.c: fix stacktrace problem found by
	  twisti

2005-06-09 23:23  twisti

	* src/vm/jit/mips/: md-abi.c, md-abi.h, md-abi.inc, md-asm.h, md.h:
	  * machine dependent stuff

2005-06-09 23:22  twisti

	* src/vm/jit/mips/codegen.c:
	  * use parsed descriptors
	  * ld offset fix in patcher stub (more to do)

2005-06-09 23:22  twisti

	* src/native/vm/Field.c:
	  * compile fix for mips, warning fix for others

2005-06-09 22:39  twisti

	* src/vm/jit/mips/codegen.h:
	  * removed SET_ARG_STACKSLOTS
	  * use SIZEOF_VOID_P

2005-06-09 22:39  twisti

	* src/vm/jit/mips/asmpart.S:
	  * moved defines into md-asm.h

2005-06-09 22:36  twisti

	* src/vm/jit/mips/arch.h:
	  * moved ABI stuff into md-abi.h *e AC_C_BIGENDIAN in configure

2005-06-09 22:35  twisti

	* src/vm/jit/mips/Makefile.am:
	  * added md files

2005-06-09 22:35  twisti

	* src/vm/jit/mips/patcher.c:
	  * use patcher monitorenter/exit macros
	  * bugfix: leave monitor in exception case

2005-06-09 22:31  twisti

	* configure.in, src/vm/jit/alpha/arch.h, src/vm/jit/i386/arch.h,
	  src/vm/jit/powerpc/arch.h, src/vm/jit/x86_64/arch.h:
	  * Use AC_C_BIGENDIAN in configure.in

2005-06-09 18:11  twisti

	* src/vm/builtin.c:
	  * don't use get_variable_message_length, it's not neessary
	  * builtin_trace_exception: use dump memory

2005-06-09 12:31  michi

	* src/vm/jit/arm/types.h: added arm types.h

2005-06-09 12:26  michi

	* src/vm/jit/arm/: disass.c, disass.h: added arm disassembler

2005-06-09 09:29  christian

	* src/vm/jit/i386/codegen.c: Bug in long argument copying and Trace
	  Argument copying eliminated

2005-06-09 09:28  christian

	* src/vm/jit/: reg.h, reg.inc: new Stack memory allocation, use of
	  unused arg regs as temp disabled

2005-06-08 22:58  twisti

	* src/vm/builtintable.inc:
	  * builtintable_internal: fixed 2 typo's

2005-06-08 22:57  twisti

	* src/vm/builtin.c:
	  * use dump memory in trace functions, should be faster
	  * use SIZEOF_VOID_P instead of arch defines

2005-06-08 22:56  twisti

	* src/vm/jit/stack.c:
	  * use SIZEOF_VOID_P instead of arch defines
	  * removed USEBUILTINTABLE define (we need another one to disable
	    automatic replacement)

2005-06-08 22:54  twisti

	* src/vm/jit/codegen.inc: Added: codegen_disassemble_nativestub

2005-06-08 22:54  twisti

	* src/vm/jit/alpha/: md-abi.c, md-abi.h, md-abi.inc, md-asm.h,
	  md.h: Machine dependent stuff.

2005-06-08 22:54  twisti

	* src/vm/jit/alpha/codegen.c:
	  * moved ABI stuff to specific files
	  * removed BlockPtrOfPC
	  * use parsed descriptors
	  * native stub cleanup

2005-06-08 22:53  twisti

	* src/vm/jit/alpha/codegen.h: Removed useless BlockPtrOfPC macro.

2005-06-08 21:43  twisti

	* src/vm/jit/alpha/codegen.h: Removed SET_ARG_STACKSLOTS.

2005-06-08 21:43  twisti

	* src/vm/jit/alpha/asmpart.S: Moved defines to md-asm.h

2005-06-08 21:30  twisti

	* src/vm/jit/alpha/Makefile.am: Added md stuff.

2005-06-08 21:30  twisti

	* src/vm/jit/alpha/arch.h: Moved ABI stuff into md-abi.h

2005-06-08 21:29  twisti

	* src/vm/jit/alpha/types.h:
	  * removed U8_AVAILABLE, since we know what alpha can do

2005-06-08 21:26  twisti

	* src/vm/jit/alpha/patcher.c:
	  * use PATCHER_MARK_PATCHED_MONITOREXIT on exit
	  * use PATCHER_MONITOREXIT in exception case

2005-06-08 20:21  twisti

	* src/native/vm/Method.c:
	  * Java_java_lang_reflect_Method_invokeNative: forgot to set
	    throwAccess to false

2005-06-08 16:41  christian

	* src/vm/jit/i386/: Makefile.am, arch.h, codegen.c, codegen.h,
	  emitfuncs.c, md-abi.c, md-abi.h, md-abi.inc: Moved abi stuff to
	  machine depended files

2005-06-08 15:15  twisti

	* src/scripts/kjc.in: kjc script.

2005-06-08 15:07  twisti

	* configure.in:
	  * added: tests/codepatching/Makefile, src/scripts/kjc

2005-06-08 14:51  twisti

	* tests/Makefile.am:
	  - added codepatching to SUBDIRS
	  - temporary added -noverify, remove it when verifier does work again

2005-06-08 14:50  twisti

	* tests/codepatching/Makefile.am: Obviously...

2005-06-08 14:50  twisti

	* tests/codepatching/.cvsignore: Ignore standard files.

2005-06-08 14:49  twisti

	* tests/codepatching/test.java: Use threads to check the locking
	  code.

2005-06-08 13:26  twisti

	* src/native/jni.c:
	  * fill_callblock: renamed to fill_callblock_from_vargs
	  * fill_callblock_objA:
	   - renamed to fill_callblock_from_objectarray
	   - bug fix: wrong offset in object array
	  * FromReflectedMethod: some changes
	  * GetStringUTFChars: implemented like kaffe does
	  * jni_method_invokeNativeHelper:
	   - some changes, should we set the value in the object inline?
	   - better exception handling

2005-06-08 13:18  twisti

	* src/native/native.c: get_parametertypes:
	   - bug fix: added missing &
	   - fixed indent

2005-06-08 13:16  twisti

	* src/native/vm/Method.c:
	  Java_java_lang_reflect_Method_invokeNative: made code more readable

2005-06-08 13:06  twisti

	* src/native/vm/VMSystemProperties.c: Correct use of
	  java.library.path and gnu.classpath.boot.library.path.

2005-06-08 13:05  twisti

	* src/native/tools/Makefile.am: Added: DISABLE_GC

2005-06-08 13:04  twisti

	* src/vm/: string.c, stringlocal.h: Added:
	  string_java_lang_reflect_InvocationTargetException

2005-06-08 13:03  twisti

	* src/vm/initialize.c: Better error handling in wrapping the
	  exception.

2005-06-08 13:03  twisti

	* src/vm/global.h: New ACC flags:
	   - ACC_UNDEF, ACC_NONE: for internal use
	   - flags for 49.0 class format

2005-06-08 13:01  twisti

	* src/vm/exceptions.c:
	  - new_exception*: check for native_and_init* return value and return
	    exceptionptr in error case
	  - new_classformaterror: warning fix

2005-06-08 12:59  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h: Use SIZEOF_VOID_P
	  instead of POINTERSIZE.

2005-06-08 12:58  twisti

	* src/vm/jit/x86_64/: md-abi.c, md-abi.h, md-abi.inc, md-asm.h,
	  md.h: ABI stuff.

2005-06-08 12:57  twisti

	* src/vm/jit/x86_64/codegen.c: Parsed descriptors changes: use abi
	  pre-allocation

2005-06-08 12:56  twisti

	* src/vm/jit/x86_64/asmpart.S: Moved stuff to md-asm.h

2005-06-08 12:56  twisti

	* src/vm/jit/x86_64/codegen.h:
	  - removed SET_ARG_STACKSLOTS
	  - added some macros

2005-06-08 12:55  twisti

	* src/vm/jit/x86_64/emitfuncs.c: #include "md-abi.h"

2005-06-08 12:33  twisti

	* src/vm/jit/x86_64/arch.h: Moved abi stuff into md-abi.h

2005-06-08 12:33  twisti

	* src/vm/jit/x86_64/Makefile.am: Added machine dependent files.

2005-06-08 12:31  twisti

	* src/vm/jit/x86_64/patcher.c:
	  - use monitorenter/exit macros: removed
	    dontfillinexceptionstacktrace, this should be used again when we
	  have stacktraces on all archs
	  - warning fix

2005-06-07 18:04  twisti

	* src/vm/jit/powerpc/codegen.c: Native stub fixes.

2005-06-07 17:31  michi

	* configure.in: added arm architecture

2005-06-07 17:07  twisti

	* src/vm/jit/powerpc/codegen.c: MULTIANEWARRAY: linux bugfix

2005-06-07 10:37  christian

	* src/vm/jit/stack.c: conting max use of argument registers and
	  stack use for a method

2005-06-06 23:21  twisti

	* src/vm/jit/powerpc/linux/: md-abi.h, md.h: Moved md_param_alloc
	  from md-abi.h to md.h since md-abi.h is included in asmpart.S.

2005-06-06 17:39  twisti

	* src/native/native.c: get_parametertypes: use fully parsed
	  descriptors

2005-06-06 17:38  twisti

	* src/native/jni.c:
	  - used parsed descriptors
	  - code indent

2005-06-06 17:37  twisti

	* configure.in: Added:
	   - AC_COMPILE_CHECK_SIZEOF
	   - src/vm/jit/powerpc/darwin/Makefile
	   - src/vm/jit/powerpc/linux/Makefile

2005-06-06 17:36  twisti

	* src/vm/resolve.c:
	  - resolve_method: check for mi->parseddesc->params and generate it
	    if not available, so we can use the correct param stuff (static vs.
	  non-static)
	  - removed INSTRUCTION_PUTCONST_FIELDREF (only used twice)

2005-06-06 17:34  twisti

	* src/vm/loader.c:
	  - load_constantpool: try to add all descriptors to the pool
	  - load_class_from_classbuffer: pass m->flags for class methods to
	    descriptor_pool_parse_method_descriptor so we can do the register
	    pre-allocation

2005-06-06 17:32  twisti

	* src/vm/: descriptor.c, descriptor.h:
	  - descriptor_pool_add: check for method descriptors and add all of
	    them since the static flag may be different
	  - descriptor_pool_parse_method_descriptor: pass method flags and
	    generate, if possible, the params array which contains the register
	    allocation for this particular function (descriptor)
	  - added: descriptor_params_from_paramtypes
	  - some code beautification

2005-06-06 17:28  twisti

	* src/vm/Makefile.am: Added: builtintable.inc

2005-06-06 17:28  twisti

	* src/vm/jit/: parse.c, parse.h, reg.inc, stack.c, stack.h:
	  - use parsed descriptors
	  - use generic ICMD_BUILTIN

2005-06-06 17:26  twisti

	* src/vm/jit/lsra.inc: Commented builtin stuff. Please fix me!

2005-06-06 17:25  twisti

	* src/vm/jit/jit.h:
	  - removed: BUILTIN{1,2,3}, INSTRUCTION_PUTCONST_FIELDREF

2005-06-06 17:25  twisti

	* src/vm/jit/jit.c:
	  - removed BUILTIN{1,2,3}
	  - use SIZEOF_VOID_P
	  - removed sort_builtintable from jit_init

2005-06-06 17:24  twisti

	* src/vm/jit/powerpc/codegen.c:
	  - use parsed descriptors
	  - use generic ICMD_BUILTIN

2005-06-06 17:24  twisti

	* src/vm/jit/powerpc/asmpart.S: Linux changes.

2005-06-06 17:22  twisti

	* src/vm/jit/loop/tracing.c: Changed to generic ICMD_BUILTIN.

2005-06-06 17:22  twisti

	* src/vm/jit/verify/typecheck.c: Commented builtin stuff. This has
	  to be fixed correctly.

2005-06-06 17:21  twisti

	* src/vm/references.h: Code beautify.

2005-06-06 17:20  twisti

	* src/vm/: utf8.c, utf8.h: Added: utf_clone

2005-06-06 17:01  twisti

	* src/vm/global.h: Defined ACC_UNDEF, ACC_NONE: these are used
	  internally

2005-06-06 17:00  twisti

	* src/vm/: builtin.c, builtin.h:
	  - removed old builtin table stuff
	  - added: builtin_init, builtintable_init, builtintable_get_internal,
	    builtintable_get_automatic
	  - use SIZEOF_VOID_P instead of POINTERSIZE
	  - use parsed descriptor

2005-06-06 16:53  twisti

	* src/vm/jit/powerpc/Makefile.am:
	  - added OS_DIR to SUBDIRS
	  - add libmd.la to libarch.la

2005-06-06 16:52  twisti

	* src/vm/jit/powerpc/arch.h: POINTERSIZE, CONSECUTIVE_FLOAT_ARGS:
	  removed

2005-06-06 16:51  twisti

	* src/vm/jit/powerpc/patcher.c: Include memory.h for OFFSET macro.

2005-06-06 16:48  twisti

	* src/vm/jit/powerpc/linux/: .cvsignore, Makefile.am, md-abi.c,
	  md-abi.h, md.c, md.h: Moved ABI and machine dependent stuff into
	  linux/ subdirectory.

2005-06-06 16:47  twisti

	* src/vm/jit/powerpc/darwin/: .cvsignore, Makefile.am, md-abi.c,
	  md-abi.h, md.c, md.h: Moved ABI and machine dependent stuff into
	  darwin/ subdirectory.

2005-06-06 16:45  twisti

	* src/mm/memory.h: Added MMOVE macro.

2005-06-06 16:44  twisti

	* src/cacaoh/headers.c: Added md_param_alloc.

2005-06-06 16:44  twisti

	* src/cacao/cacao.c:
	  - moved jit_init
	  - added builtin_init

2005-06-06 16:42  twisti

	* src/native/.cvsignore: Ignore nativetable.inc

2005-06-06 16:42  twisti

	* src/native/vm/VMObject.c: Use memory macros.

2005-06-06 16:41  twisti

	* src/native/vm/Constructor.c:
	  - renamed arguments to fit classpath's
	  - use static utf_init

2005-06-06 16:37  twisti

	* src/native/tools/.cvsignore: Ignore generated files.

2005-06-06 16:35  twisti

	* src/vm/builtintable.inc: Contains builtin tables (internal,
	  automatic). Included in builtin.c.

2005-06-01 00:35  twisti

	* src/threads/native/Makefile.am: Include OS_DIR.

2005-05-31 20:36  twisti

	* src/cacaoh/headers.c:
	  - include <stdarg.h>
	  - define _exceptionptr

2005-05-31 18:04  twisti

	* src/vm/builtin.c:
	  - removed lazy loading defines
	  - changed output of unresolved builtin functions
	  - added #include "md-abi.h": TRACE_ARGS_NUM
	  - use short TYPE_ defines instead of long ones (i think we should
	    finally merge them)

2005-05-31 18:02  twisti

	* src/vm/jit/: parse.c, reg.inc, stack.c: Removed lazy loading
	  defines and old, unused code.

2005-05-31 18:01  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c, codegen.h: Many
	   changes (nearly too much for one commit):
	  - lazy loading/code patching
	   - removed machine depend stuff
	   - removed monitorenter/exit assembler functions
	   - code indent

2005-05-31 17:55  twisti

	* src/vm/jit/powerpc/: darwin/md-abi.h, darwin/md-abi.inc,
	  darwin/md-asm.h, linux/md-abi.h, linux/md-abi.inc,
	  linux/md-asm.h: Machine dependent stuff.

2005-05-31 17:55  twisti

	* src/vm/jit/powerpc/arch.h: Removed ABI related stuff (now in
	  OS_DIR/md-abi.h).

2005-05-31 17:54  twisti

	* src/vm/jit/powerpc/patcher.c: Patcher functions implemented.

2005-05-31 17:53  twisti

	* src/vm/jit/i386/patcher.c:
	  - use monitorenter/exit macros
	  - fixed bug: returns is exception case did not release the monitor
